package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the FpML asset class categorization.
 * 
 * @version 2.5.4
 */
public enum AssetClassEnum {
    

	/**
	 * Commodity.
	 */
	@RosettaSynonym(value = "Commodity", source = "FpML_5_10")
	@RosettaSynonym(value = "Commodity", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Commodity", source = "DTCC_11_0")
	@RosettaSynonym(value = "Commodity", source = "DTCC_9_0")
	@RosettaSynonym(value = "Commodity", source = "CME_ClearedConfirm_1_17")
	COMMODITY,
	    

	/**
	 * Credit.
	 */
	@RosettaSynonym(value = "Credit", source = "FpML_5_10")
	@RosettaSynonym(value = "Credit", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Credit", source = "DTCC_11_0")
	@RosettaSynonym(value = "Credit", source = "DTCC_9_0")
	@RosettaSynonym(value = "Credit", source = "CME_ClearedConfirm_1_17")
	CREDIT,
	    

	/**
	 * Equity.
	 */
	@RosettaSynonym(value = "Equity", source = "FpML_5_10")
	@RosettaSynonym(value = "Equity", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Equity", source = "DTCC_11_0")
	@RosettaSynonym(value = "Equity", source = "DTCC_9_0")
	@RosettaSynonym(value = "Equity", source = "CME_ClearedConfirm_1_17")
	EQUITY,
	    

	/**
	 * ForeignExchange.
	 */
	@RosettaSynonym(value = "ForeignExchange", source = "FpML_5_10")
	@RosettaSynonym(value = "ForeignExchange", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ForeignExchange", source = "DTCC_11_0")
	@RosettaSynonym(value = "ForeignExchange", source = "DTCC_9_0")
	@RosettaSynonym(value = "ForeignExchange", source = "CME_ClearedConfirm_1_17")
	FOREIGN_EXCHANGE,
	    

	/**
	 * InterestRate.
	 */
	@RosettaSynonym(value = "InterestRate", source = "FpML_5_10")
	@RosettaSynonym(value = "InterestRate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "InterestRate", source = "DTCC_11_0")
	@RosettaSynonym(value = "InterestRate", source = "DTCC_9_0")
	@RosettaSynonym(value = "InterestRate", source = "CME_ClearedConfirm_1_17")
	INTEREST_RATE    
	;

	private final String displayName;
	
	AssetClassEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
