package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the business centers.
 * 
 * @version 2.5.4
 */
public enum BusinessCenterEnum {
    

	/**
	 * Abu Dhabi, United Arab Emirates
	 */
	@RosettaSynonym(value = "AEAD", source = "FpML_5_10")
	@RosettaSynonym(value = "AEAD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AEAD", source = "DTCC_11_0")
	@RosettaSynonym(value = "AEAD", source = "DTCC_9_0")
	@RosettaSynonym(value = "AEAD", source = "CME_ClearedConfirm_1_17")
	AEAD,
	    

	/**
	 * Dubai, United Arab Emirates
	 */
	@RosettaSynonym(value = "AEDU", source = "FpML_5_10")
	@RosettaSynonym(value = "AEDU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AEDU", source = "DTCC_11_0")
	@RosettaSynonym(value = "AEDU", source = "DTCC_9_0")
	@RosettaSynonym(value = "AEDU", source = "CME_ClearedConfirm_1_17")
	AEDU,
	    

	/**
	 * Yerevan, Armenia
	 */
	@RosettaSynonym(value = "AMYE", source = "FpML_5_10")
	@RosettaSynonym(value = "AMYE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AMYE", source = "DTCC_11_0")
	@RosettaSynonym(value = "AMYE", source = "DTCC_9_0")
	@RosettaSynonym(value = "AMYE", source = "CME_ClearedConfirm_1_17")
	AMYE,
	    

	/**
	 * Luanda, Angola
	 */
	@RosettaSynonym(value = "AOLU", source = "FpML_5_10")
	@RosettaSynonym(value = "AOLU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AOLU", source = "DTCC_11_0")
	@RosettaSynonym(value = "AOLU", source = "DTCC_9_0")
	@RosettaSynonym(value = "AOLU", source = "CME_ClearedConfirm_1_17")
	AOLU,
	    

	/**
	 * Buenos Aires, Argentina
	 */
	@RosettaSynonym(value = "ARBA", source = "FpML_5_10")
	@RosettaSynonym(value = "ARBA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ARBA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ARBA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ARBA", source = "CME_ClearedConfirm_1_17")
	ARBA,
	    

	/**
	 * Vienna, Austria
	 */
	@RosettaSynonym(value = "ATVI", source = "FpML_5_10")
	@RosettaSynonym(value = "ATVI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ATVI", source = "DTCC_11_0")
	@RosettaSynonym(value = "ATVI", source = "DTCC_9_0")
	@RosettaSynonym(value = "ATVI", source = "CME_ClearedConfirm_1_17")
	ATVI,
	    

	/**
	 * Adelaide, Australia
	 */
	@RosettaSynonym(value = "AUAD", source = "FpML_5_10")
	@RosettaSynonym(value = "AUAD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUAD", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUAD", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUAD", source = "CME_ClearedConfirm_1_17")
	AUAD,
	    

	/**
	 * Brisbane, Australia
	 */
	@RosettaSynonym(value = "AUBR", source = "FpML_5_10")
	@RosettaSynonym(value = "AUBR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUBR", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUBR", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUBR", source = "CME_ClearedConfirm_1_17")
	AUBR,
	    

	/**
	 * Canberra, Australia
	 */
	@RosettaSynonym(value = "AUCA", source = "FpML_5_10")
	@RosettaSynonym(value = "AUCA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUCA", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUCA", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUCA", source = "CME_ClearedConfirm_1_17")
	AUCA,
	    

	/**
	 * Darwin, Australia
	 */
	@RosettaSynonym(value = "AUDA", source = "FpML_5_10")
	@RosettaSynonym(value = "AUDA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUDA", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUDA", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUDA", source = "CME_ClearedConfirm_1_17")
	AUDA,
	    

	/**
	 * Melbourne, Australia
	 */
	@RosettaSynonym(value = "AUME", source = "FpML_5_10")
	@RosettaSynonym(value = "AUME", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUME", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUME", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUME", source = "CME_ClearedConfirm_1_17")
	AUME,
	    

	/**
	 * Perth, Australia
	 */
	@RosettaSynonym(value = "AUPE", source = "FpML_5_10")
	@RosettaSynonym(value = "AUPE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUPE", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUPE", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUPE", source = "CME_ClearedConfirm_1_17")
	AUPE,
	    

	/**
	 * Sydney, Australia
	 */
	@RosettaSynonym(value = "AUSY", source = "FpML_5_10")
	@RosettaSynonym(value = "AUSY", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AUSY", source = "DTCC_11_0")
	@RosettaSynonym(value = "AUSY", source = "DTCC_9_0")
	@RosettaSynonym(value = "AUSY", source = "CME_ClearedConfirm_1_17")
	AUSY,
	    

	/**
	 * Bridgetown, Barbados
	 */
	@RosettaSynonym(value = "BBBR", source = "FpML_5_10")
	@RosettaSynonym(value = "BBBR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BBBR", source = "DTCC_11_0")
	@RosettaSynonym(value = "BBBR", source = "DTCC_9_0")
	@RosettaSynonym(value = "BBBR", source = "CME_ClearedConfirm_1_17")
	BBBR,
	    

	/**
	 * Dhaka, Bangladesh
	 */
	@RosettaSynonym(value = "BDDH", source = "FpML_5_10")
	@RosettaSynonym(value = "BDDH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BDDH", source = "DTCC_11_0")
	@RosettaSynonym(value = "BDDH", source = "DTCC_9_0")
	@RosettaSynonym(value = "BDDH", source = "CME_ClearedConfirm_1_17")
	BDDH,
	    

	/**
	 * Brussels, Belgium
	 */
	@RosettaSynonym(value = "BEBR", source = "FpML_5_10")
	@RosettaSynonym(value = "BEBR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BEBR", source = "DTCC_11_0")
	@RosettaSynonym(value = "BEBR", source = "DTCC_9_0")
	@RosettaSynonym(value = "BEBR", source = "CME_ClearedConfirm_1_17")
	BEBR,
	    

	/**
	 * Sofia, Bulgaria
	 */
	@RosettaSynonym(value = "BGSO", source = "FpML_5_10")
	@RosettaSynonym(value = "BGSO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BGSO", source = "DTCC_11_0")
	@RosettaSynonym(value = "BGSO", source = "DTCC_9_0")
	@RosettaSynonym(value = "BGSO", source = "CME_ClearedConfirm_1_17")
	BGSO,
	    

	/**
	 * Manama, Bahrain
	 */
	@RosettaSynonym(value = "BHMA", source = "FpML_5_10")
	@RosettaSynonym(value = "BHMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BHMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "BHMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "BHMA", source = "CME_ClearedConfirm_1_17")
	BHMA,
	    

	/**
	 * Hamilton, Bermuda
	 */
	@RosettaSynonym(value = "BMHA", source = "FpML_5_10")
	@RosettaSynonym(value = "BMHA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BMHA", source = "DTCC_11_0")
	@RosettaSynonym(value = "BMHA", source = "DTCC_9_0")
	@RosettaSynonym(value = "BMHA", source = "CME_ClearedConfirm_1_17")
	BMHA,
	    

	/**
	 * Bandar Seri Begawan, Brunei
	 */
	@RosettaSynonym(value = "BNBS", source = "FpML_5_10")
	@RosettaSynonym(value = "BNBS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BNBS", source = "DTCC_11_0")
	@RosettaSynonym(value = "BNBS", source = "DTCC_9_0")
	@RosettaSynonym(value = "BNBS", source = "CME_ClearedConfirm_1_17")
	BNBS,
	    

	/**
	 * La Paz, Bolivia
	 */
	@RosettaSynonym(value = "BOLP", source = "FpML_5_10")
	@RosettaSynonym(value = "BOLP", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BOLP", source = "DTCC_11_0")
	@RosettaSynonym(value = "BOLP", source = "DTCC_9_0")
	@RosettaSynonym(value = "BOLP", source = "CME_ClearedConfirm_1_17")
	BOLP,
	    

	/**
	 * Brazil Business Day. This means a business day in any of Sao Paulo, Rio de Janeiro or Brasilia not otherwise declared as a financial market holiday by the Bolsa de Mercadorias &amp; Futuros (BM&amp;F)
	 */
	@RosettaSynonym(value = "BRBD", source = "FpML_5_10")
	@RosettaSynonym(value = "BRBD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BRBD", source = "DTCC_11_0")
	@RosettaSynonym(value = "BRBD", source = "DTCC_9_0")
	@RosettaSynonym(value = "BRBD", source = "CME_ClearedConfirm_1_17")
	BRBD,
	    

	/**
	 * Brasilia, Brazil
	 */
	@RosettaSynonym(value = "BRBR", source = "FpML_5_10")
	@RosettaSynonym(value = "BRBR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BRBR", source = "DTCC_11_0")
	@RosettaSynonym(value = "BRBR", source = "DTCC_9_0")
	@RosettaSynonym(value = "BRBR", source = "CME_ClearedConfirm_1_17")
	BRBR,
	    

	/**
	 * Rio de Janeiro, Brazil
	 */
	@RosettaSynonym(value = "BRRJ", source = "FpML_5_10")
	@RosettaSynonym(value = "BRRJ", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BRRJ", source = "DTCC_11_0")
	@RosettaSynonym(value = "BRRJ", source = "DTCC_9_0")
	@RosettaSynonym(value = "BRRJ", source = "CME_ClearedConfirm_1_17")
	BRRJ,
	    

	/**
	 * Sao Paulo, Brazil
	 */
	@RosettaSynonym(value = "BRSP", source = "FpML_5_10")
	@RosettaSynonym(value = "BRSP", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BRSP", source = "DTCC_11_0")
	@RosettaSynonym(value = "BRSP", source = "DTCC_9_0")
	@RosettaSynonym(value = "BRSP", source = "CME_ClearedConfirm_1_17")
	BRSP,
	    

	/**
	 * Nassau, Bahamas
	 */
	@RosettaSynonym(value = "BSNA", source = "FpML_5_10")
	@RosettaSynonym(value = "BSNA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BSNA", source = "DTCC_11_0")
	@RosettaSynonym(value = "BSNA", source = "DTCC_9_0")
	@RosettaSynonym(value = "BSNA", source = "CME_ClearedConfirm_1_17")
	BSNA,
	    

	/**
	 * Gaborone, Botswana
	 */
	@RosettaSynonym(value = "BWGA", source = "FpML_5_10")
	@RosettaSynonym(value = "BWGA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BWGA", source = "DTCC_11_0")
	@RosettaSynonym(value = "BWGA", source = "DTCC_9_0")
	@RosettaSynonym(value = "BWGA", source = "CME_ClearedConfirm_1_17")
	BWGA,
	    

	/**
	 * Minsk, Belarus
	 */
	@RosettaSynonym(value = "BYMI", source = "FpML_5_10")
	@RosettaSynonym(value = "BYMI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BYMI", source = "DTCC_11_0")
	@RosettaSynonym(value = "BYMI", source = "DTCC_9_0")
	@RosettaSynonym(value = "BYMI", source = "CME_ClearedConfirm_1_17")
	BYMI,
	    

	/**
	 * Calgary, Canada
	 */
	@RosettaSynonym(value = "CACL", source = "FpML_5_10")
	@RosettaSynonym(value = "CACL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CACL", source = "DTCC_11_0")
	@RosettaSynonym(value = "CACL", source = "DTCC_9_0")
	@RosettaSynonym(value = "CACL", source = "CME_ClearedConfirm_1_17")
	CACL,
	    

	/**
	 * Montreal, Canada
	 */
	@RosettaSynonym(value = "CAMO", source = "FpML_5_10")
	@RosettaSynonym(value = "CAMO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CAMO", source = "DTCC_11_0")
	@RosettaSynonym(value = "CAMO", source = "DTCC_9_0")
	@RosettaSynonym(value = "CAMO", source = "CME_ClearedConfirm_1_17")
	CAMO,
	    

	/**
	 * Ottawa, Canada
	 */
	@RosettaSynonym(value = "CAOT", source = "FpML_5_10")
	@RosettaSynonym(value = "CAOT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CAOT", source = "DTCC_11_0")
	@RosettaSynonym(value = "CAOT", source = "DTCC_9_0")
	@RosettaSynonym(value = "CAOT", source = "CME_ClearedConfirm_1_17")
	CAOT,
	    

	/**
	 * Toronto, Canada
	 */
	@RosettaSynonym(value = "CATO", source = "FpML_5_10")
	@RosettaSynonym(value = "CATO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CATO", source = "DTCC_11_0")
	@RosettaSynonym(value = "CATO", source = "DTCC_9_0")
	@RosettaSynonym(value = "CATO", source = "CME_ClearedConfirm_1_17")
	CATO,
	    

	/**
	 * Vancouver, Canada
	 */
	@RosettaSynonym(value = "CAVA", source = "FpML_5_10")
	@RosettaSynonym(value = "CAVA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CAVA", source = "DTCC_11_0")
	@RosettaSynonym(value = "CAVA", source = "DTCC_9_0")
	@RosettaSynonym(value = "CAVA", source = "CME_ClearedConfirm_1_17")
	CAVA,
	    

	/**
	 * Winnipeg, Canada
	 */
	@RosettaSynonym(value = "CAWI", source = "FpML_5_10")
	@RosettaSynonym(value = "CAWI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CAWI", source = "DTCC_11_0")
	@RosettaSynonym(value = "CAWI", source = "DTCC_9_0")
	@RosettaSynonym(value = "CAWI", source = "CME_ClearedConfirm_1_17")
	CAWI,
	    

	/**
	 * Basel, Switzerland
	 */
	@RosettaSynonym(value = "CHBA", source = "FpML_5_10")
	@RosettaSynonym(value = "CHBA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CHBA", source = "DTCC_11_0")
	@RosettaSynonym(value = "CHBA", source = "DTCC_9_0")
	@RosettaSynonym(value = "CHBA", source = "CME_ClearedConfirm_1_17")
	CHBA,
	    

	/**
	 * Geneva, Switzerland
	 */
	@RosettaSynonym(value = "CHGE", source = "FpML_5_10")
	@RosettaSynonym(value = "CHGE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CHGE", source = "DTCC_11_0")
	@RosettaSynonym(value = "CHGE", source = "DTCC_9_0")
	@RosettaSynonym(value = "CHGE", source = "CME_ClearedConfirm_1_17")
	CHGE,
	    

	/**
	 * Zurich, Switzerland
	 */
	@RosettaSynonym(value = "CHZU", source = "FpML_5_10")
	@RosettaSynonym(value = "CHZU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CHZU", source = "DTCC_11_0")
	@RosettaSynonym(value = "CHZU", source = "DTCC_9_0")
	@RosettaSynonym(value = "CHZU", source = "CME_ClearedConfirm_1_17")
	CHZU,
	    

	/**
	 * Abidjan, Cote d&#39;Ivoire
	 */
	@RosettaSynonym(value = "CIAB", source = "FpML_5_10")
	@RosettaSynonym(value = "CIAB", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CIAB", source = "DTCC_11_0")
	@RosettaSynonym(value = "CIAB", source = "DTCC_9_0")
	@RosettaSynonym(value = "CIAB", source = "CME_ClearedConfirm_1_17")
	CIAB,
	    

	/**
	 * Santiago, Chile
	 */
	@RosettaSynonym(value = "CLSA", source = "FpML_5_10")
	@RosettaSynonym(value = "CLSA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CLSA", source = "DTCC_11_0")
	@RosettaSynonym(value = "CLSA", source = "DTCC_9_0")
	@RosettaSynonym(value = "CLSA", source = "CME_ClearedConfirm_1_17")
	CLSA,
	    

	/**
	 * Beijing, China
	 */
	@RosettaSynonym(value = "CNBE", source = "FpML_5_10")
	@RosettaSynonym(value = "CNBE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CNBE", source = "DTCC_11_0")
	@RosettaSynonym(value = "CNBE", source = "DTCC_9_0")
	@RosettaSynonym(value = "CNBE", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Beijing, China", source = "ISDA_Create_1_0")
	CNBE,
	    

	/**
	 * Shanghai, China
	 */
	@RosettaSynonym(value = "CNSH", source = "FpML_5_10")
	@RosettaSynonym(value = "CNSH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CNSH", source = "DTCC_11_0")
	@RosettaSynonym(value = "CNSH", source = "DTCC_9_0")
	@RosettaSynonym(value = "CNSH", source = "CME_ClearedConfirm_1_17")
	CNSH,
	    

	/**
	 * Bogota, Colombia
	 */
	@RosettaSynonym(value = "COBO", source = "FpML_5_10")
	@RosettaSynonym(value = "COBO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "COBO", source = "DTCC_11_0")
	@RosettaSynonym(value = "COBO", source = "DTCC_9_0")
	@RosettaSynonym(value = "COBO", source = "CME_ClearedConfirm_1_17")
	COBO,
	    

	/**
	 * San Jose, Costa Rica
	 */
	@RosettaSynonym(value = "CRSJ", source = "FpML_5_10")
	@RosettaSynonym(value = "CRSJ", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CRSJ", source = "DTCC_11_0")
	@RosettaSynonym(value = "CRSJ", source = "DTCC_9_0")
	@RosettaSynonym(value = "CRSJ", source = "CME_ClearedConfirm_1_17")
	CRSJ,
	    

	/**
	 * Nicosia, Cyprus
	 */
	@RosettaSynonym(value = "CYNI", source = "FpML_5_10")
	@RosettaSynonym(value = "CYNI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CYNI", source = "DTCC_11_0")
	@RosettaSynonym(value = "CYNI", source = "DTCC_9_0")
	@RosettaSynonym(value = "CYNI", source = "CME_ClearedConfirm_1_17")
	CYNI,
	    

	/**
	 * Prague, Czech Republic
	 */
	@RosettaSynonym(value = "CZPR", source = "FpML_5_10")
	@RosettaSynonym(value = "CZPR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CZPR", source = "DTCC_11_0")
	@RosettaSynonym(value = "CZPR", source = "DTCC_9_0")
	@RosettaSynonym(value = "CZPR", source = "CME_ClearedConfirm_1_17")
	CZPR,
	    

	/**
	 * Cologne, Germany
	 */
	@RosettaSynonym(value = "DECO", source = "FpML_5_10")
	@RosettaSynonym(value = "DECO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DECO", source = "DTCC_11_0")
	@RosettaSynonym(value = "DECO", source = "DTCC_9_0")
	@RosettaSynonym(value = "DECO", source = "CME_ClearedConfirm_1_17")
	DECO,
	    

	/**
	 * Dusseldorf, Germany
	 */
	@RosettaSynonym(value = "DEDU", source = "FpML_5_10")
	@RosettaSynonym(value = "DEDU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEDU", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEDU", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEDU", source = "CME_ClearedConfirm_1_17")
	DEDU,
	    

	/**
	 * Frankfurt, Germany
	 */
	@RosettaSynonym(value = "DEFR", source = "FpML_5_10")
	@RosettaSynonym(value = "DEFR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEFR", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEFR", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEFR", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Frankfurt, Germany", source = "ISDA_Create_1_0")
	DEFR,
	    

	/**
	 * Hamburg, Germany
	 */
	@RosettaSynonym(value = "DEHH", source = "FpML_5_10")
	@RosettaSynonym(value = "DEHH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEHH", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEHH", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEHH", source = "CME_ClearedConfirm_1_17")
	DEHH,
	    

	/**
	 * Leipzig, Germany
	 */
	@RosettaSynonym(value = "DELE", source = "FpML_5_10")
	@RosettaSynonym(value = "DELE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DELE", source = "DTCC_11_0")
	@RosettaSynonym(value = "DELE", source = "DTCC_9_0")
	@RosettaSynonym(value = "DELE", source = "CME_ClearedConfirm_1_17")
	DELE,
	    

	/**
	 * Mainz, Germany
	 */
	@RosettaSynonym(value = "DEMA", source = "FpML_5_10")
	@RosettaSynonym(value = "DEMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEMA", source = "CME_ClearedConfirm_1_17")
	DEMA,
	    

	/**
	 * Munich, Germany
	 */
	@RosettaSynonym(value = "DEMU", source = "FpML_5_10")
	@RosettaSynonym(value = "DEMU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEMU", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEMU", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEMU", source = "CME_ClearedConfirm_1_17")
	DEMU,
	    

	/**
	 * Stuttgart, Germany
	 */
	@RosettaSynonym(value = "DEST", source = "FpML_5_10")
	@RosettaSynonym(value = "DEST", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DEST", source = "DTCC_11_0")
	@RosettaSynonym(value = "DEST", source = "DTCC_9_0")
	@RosettaSynonym(value = "DEST", source = "CME_ClearedConfirm_1_17")
	DEST,
	    

	/**
	 * Copenhagen, Denmark
	 */
	@RosettaSynonym(value = "DKCO", source = "FpML_5_10")
	@RosettaSynonym(value = "DKCO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DKCO", source = "DTCC_11_0")
	@RosettaSynonym(value = "DKCO", source = "DTCC_9_0")
	@RosettaSynonym(value = "DKCO", source = "CME_ClearedConfirm_1_17")
	DKCO,
	    

	/**
	 * Santo Domingo, Dominican Republic
	 */
	@RosettaSynonym(value = "DOSD", source = "FpML_5_10")
	@RosettaSynonym(value = "DOSD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DOSD", source = "DTCC_11_0")
	@RosettaSynonym(value = "DOSD", source = "DTCC_9_0")
	@RosettaSynonym(value = "DOSD", source = "CME_ClearedConfirm_1_17")
	DOSD,
	    

	/**
	 * Algiers, Algeria
	 */
	@RosettaSynonym(value = "DZAL", source = "FpML_5_10")
	@RosettaSynonym(value = "DZAL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "DZAL", source = "DTCC_11_0")
	@RosettaSynonym(value = "DZAL", source = "DTCC_9_0")
	@RosettaSynonym(value = "DZAL", source = "CME_ClearedConfirm_1_17")
	DZAL,
	    

	/**
	 * Tallinn, Estonia
	 */
	@RosettaSynonym(value = "EETA", source = "FpML_5_10")
	@RosettaSynonym(value = "EETA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EETA", source = "DTCC_11_0")
	@RosettaSynonym(value = "EETA", source = "DTCC_9_0")
	@RosettaSynonym(value = "EETA", source = "CME_ClearedConfirm_1_17")
	EETA,
	    

	/**
	 * Cairo, Egypt
	 */
	@RosettaSynonym(value = "EGCA", source = "FpML_5_10")
	@RosettaSynonym(value = "EGCA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EGCA", source = "DTCC_11_0")
	@RosettaSynonym(value = "EGCA", source = "DTCC_9_0")
	@RosettaSynonym(value = "EGCA", source = "CME_ClearedConfirm_1_17")
	EGCA,
	    

	/**
	 * ESAS Settlement Day (as defined in 2006 ISDA Definitions Section 7.1 and Supplement Number 15 to the 2000 ISDA Definitions)
	 */
	@RosettaSynonym(value = "ESAS", source = "FpML_5_10")
	@RosettaSynonym(value = "ESAS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ESAS", source = "DTCC_11_0")
	@RosettaSynonym(value = "ESAS", source = "DTCC_9_0")
	@RosettaSynonym(value = "ESAS", source = "CME_ClearedConfirm_1_17")
	ESAS,
	    

	/**
	 * Barcelona, Spain
	 */
	@RosettaSynonym(value = "ESBA", source = "FpML_5_10")
	@RosettaSynonym(value = "ESBA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ESBA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ESBA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ESBA", source = "CME_ClearedConfirm_1_17")
	ESBA,
	    

	/**
	 * Madrid, Spain
	 */
	@RosettaSynonym(value = "ESMA", source = "FpML_5_10")
	@RosettaSynonym(value = "ESMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ESMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ESMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ESMA", source = "CME_ClearedConfirm_1_17")
	ESMA,
	    

	/**
	 * Addis Ababa, Ethiopia
	 */
	@RosettaSynonym(value = "ETAA", source = "FpML_5_10")
	@RosettaSynonym(value = "ETAA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ETAA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ETAA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ETAA", source = "CME_ClearedConfirm_1_17")
	ETAA,
	    

	/**
	 * TARGET (euro &#39;Business Center&#39;)
	 */
	@RosettaSynonym(value = "EUTA", source = "FpML_5_10")
	@RosettaSynonym(value = "EUTA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EUTA", source = "DTCC_11_0")
	@RosettaSynonym(value = "EUTA", source = "DTCC_9_0")
	@RosettaSynonym(value = "EUTA", source = "CME_ClearedConfirm_1_17")
	EUTA,
	    

	/**
	 * Helsinki, Finland
	 */
	@RosettaSynonym(value = "FIHE", source = "FpML_5_10")
	@RosettaSynonym(value = "FIHE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "FIHE", source = "DTCC_11_0")
	@RosettaSynonym(value = "FIHE", source = "DTCC_9_0")
	@RosettaSynonym(value = "FIHE", source = "CME_ClearedConfirm_1_17")
	FIHE,
	    

	/**
	 * Paris, France
	 */
	@RosettaSynonym(value = "FRPA", source = "FpML_5_10")
	@RosettaSynonym(value = "FRPA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "FRPA", source = "DTCC_11_0")
	@RosettaSynonym(value = "FRPA", source = "DTCC_9_0")
	@RosettaSynonym(value = "FRPA", source = "CME_ClearedConfirm_1_17")
	FRPA,
	    

	/**
	 * Edinburgh, Scotland
	 */
	@RosettaSynonym(value = "GBED", source = "FpML_5_10")
	@RosettaSynonym(value = "GBED", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GBED", source = "DTCC_11_0")
	@RosettaSynonym(value = "GBED", source = "DTCC_9_0")
	@RosettaSynonym(value = "GBED", source = "CME_ClearedConfirm_1_17")
	GBED,
	    

	/**
	 * London, United Kingdom
	 */
	@RosettaSynonym(value = "GBLO", source = "FpML_5_10")
	@RosettaSynonym(value = "GBLO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GBLO", source = "DTCC_11_0")
	@RosettaSynonym(value = "GBLO", source = "DTCC_9_0")
	@RosettaSynonym(value = "GBLO", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "London, United Kingdom", source = "ISDA_Create_1_0")
	GBLO,
	    

	/**
	 * Tbilisi, Georgia
	 */
	@RosettaSynonym(value = "GETB", source = "FpML_5_10")
	@RosettaSynonym(value = "GETB", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GETB", source = "DTCC_11_0")
	@RosettaSynonym(value = "GETB", source = "DTCC_9_0")
	@RosettaSynonym(value = "GETB", source = "CME_ClearedConfirm_1_17")
	GETB,
	    

	/**
	 * Saint Peter Port, Guernsey
	 */
	@RosettaSynonym(value = "GGSP", source = "FpML_5_10")
	@RosettaSynonym(value = "GGSP", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GGSP", source = "DTCC_11_0")
	@RosettaSynonym(value = "GGSP", source = "DTCC_9_0")
	@RosettaSynonym(value = "GGSP", source = "CME_ClearedConfirm_1_17")
	GGSP,
	    

	/**
	 * Accra, Ghana
	 */
	@RosettaSynonym(value = "GHAC", source = "FpML_5_10")
	@RosettaSynonym(value = "GHAC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GHAC", source = "DTCC_11_0")
	@RosettaSynonym(value = "GHAC", source = "DTCC_9_0")
	@RosettaSynonym(value = "GHAC", source = "CME_ClearedConfirm_1_17")
	GHAC,
	    

	/**
	 * Athens, Greece
	 */
	@RosettaSynonym(value = "GRAT", source = "FpML_5_10")
	@RosettaSynonym(value = "GRAT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "GRAT", source = "DTCC_11_0")
	@RosettaSynonym(value = "GRAT", source = "DTCC_9_0")
	@RosettaSynonym(value = "GRAT", source = "CME_ClearedConfirm_1_17")
	GRAT,
	    

	/**
	 * Hong Kong, Hong Kong
	 */
	@RosettaSynonym(value = "HKHK", source = "FpML_5_10")
	@RosettaSynonym(value = "HKHK", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "HKHK", source = "DTCC_11_0")
	@RosettaSynonym(value = "HKHK", source = "DTCC_9_0")
	@RosettaSynonym(value = "HKHK", source = "CME_ClearedConfirm_1_17")
	HKHK,
	    

	/**
	 * Tegucigalpa, Honduras
	 */
	@RosettaSynonym(value = "HNTE", source = "FpML_5_10")
	@RosettaSynonym(value = "HNTE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "HNTE", source = "DTCC_11_0")
	@RosettaSynonym(value = "HNTE", source = "DTCC_9_0")
	@RosettaSynonym(value = "HNTE", source = "CME_ClearedConfirm_1_17")
	HNTE,
	    

	/**
	 * Zagreb, Republic of Croatia
	 */
	@RosettaSynonym(value = "HRZA", source = "FpML_5_10")
	@RosettaSynonym(value = "HRZA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "HRZA", source = "DTCC_11_0")
	@RosettaSynonym(value = "HRZA", source = "DTCC_9_0")
	@RosettaSynonym(value = "HRZA", source = "CME_ClearedConfirm_1_17")
	HRZA,
	    

	/**
	 * Budapest, Hungary
	 */
	@RosettaSynonym(value = "HUBU", source = "FpML_5_10")
	@RosettaSynonym(value = "HUBU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "HUBU", source = "DTCC_11_0")
	@RosettaSynonym(value = "HUBU", source = "DTCC_9_0")
	@RosettaSynonym(value = "HUBU", source = "CME_ClearedConfirm_1_17")
	HUBU,
	    

	/**
	 * Jakarta, Indonesia
	 */
	@RosettaSynonym(value = "IDJA", source = "FpML_5_10")
	@RosettaSynonym(value = "IDJA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "IDJA", source = "DTCC_11_0")
	@RosettaSynonym(value = "IDJA", source = "DTCC_9_0")
	@RosettaSynonym(value = "IDJA", source = "CME_ClearedConfirm_1_17")
	IDJA,
	    

	/**
	 * Dublin, Ireland
	 */
	@RosettaSynonym(value = "IEDU", source = "FpML_5_10")
	@RosettaSynonym(value = "IEDU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "IEDU", source = "DTCC_11_0")
	@RosettaSynonym(value = "IEDU", source = "DTCC_9_0")
	@RosettaSynonym(value = "IEDU", source = "CME_ClearedConfirm_1_17")
	IEDU,
	    

	/**
	 * Jerusalem, Israel
	 */
	@RosettaSynonym(value = "ILJE", source = "FpML_5_10")
	@RosettaSynonym(value = "ILJE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ILJE", source = "DTCC_11_0")
	@RosettaSynonym(value = "ILJE", source = "DTCC_9_0")
	@RosettaSynonym(value = "ILJE", source = "CME_ClearedConfirm_1_17")
	ILJE,
	    

	/**
	 * Tel Aviv, Israel
	 */
	@RosettaSynonym(value = "ILTA", source = "FpML_5_10")
	@RosettaSynonym(value = "ILTA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ILTA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ILTA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ILTA", source = "CME_ClearedConfirm_1_17")
	ILTA,
	    

	/**
	 * Bangalore, India
	 */
	@RosettaSynonym(value = "INBA", source = "FpML_5_10")
	@RosettaSynonym(value = "INBA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INBA", source = "DTCC_11_0")
	@RosettaSynonym(value = "INBA", source = "DTCC_9_0")
	@RosettaSynonym(value = "INBA", source = "CME_ClearedConfirm_1_17")
	INBA,
	    

	/**
	 * Chennai, India
	 */
	@RosettaSynonym(value = "INCH", source = "FpML_5_10")
	@RosettaSynonym(value = "INCH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INCH", source = "DTCC_11_0")
	@RosettaSynonym(value = "INCH", source = "DTCC_9_0")
	@RosettaSynonym(value = "INCH", source = "CME_ClearedConfirm_1_17")
	INCH,
	    

	/**
	 * Hyderabad, India
	 */
	@RosettaSynonym(value = "INHY", source = "FpML_5_10")
	@RosettaSynonym(value = "INHY", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INHY", source = "DTCC_11_0")
	@RosettaSynonym(value = "INHY", source = "DTCC_9_0")
	@RosettaSynonym(value = "INHY", source = "CME_ClearedConfirm_1_17")
	INHY,
	    

	/**
	 * Kolkata, India
	 */
	@RosettaSynonym(value = "INKO", source = "FpML_5_10")
	@RosettaSynonym(value = "INKO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INKO", source = "DTCC_11_0")
	@RosettaSynonym(value = "INKO", source = "DTCC_9_0")
	@RosettaSynonym(value = "INKO", source = "CME_ClearedConfirm_1_17")
	INKO,
	    

	/**
	 * Mumbai, India
	 */
	@RosettaSynonym(value = "INMU", source = "FpML_5_10")
	@RosettaSynonym(value = "INMU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INMU", source = "DTCC_11_0")
	@RosettaSynonym(value = "INMU", source = "DTCC_9_0")
	@RosettaSynonym(value = "INMU", source = "CME_ClearedConfirm_1_17")
	INMU,
	    

	/**
	 * New Delhi, India
	 */
	@RosettaSynonym(value = "INND", source = "FpML_5_10")
	@RosettaSynonym(value = "INND", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "INND", source = "DTCC_11_0")
	@RosettaSynonym(value = "INND", source = "DTCC_9_0")
	@RosettaSynonym(value = "INND", source = "CME_ClearedConfirm_1_17")
	INND,
	    

	/**
	 * Tehran, Iran
	 */
	@RosettaSynonym(value = "IRTE", source = "FpML_5_10")
	@RosettaSynonym(value = "IRTE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "IRTE", source = "DTCC_11_0")
	@RosettaSynonym(value = "IRTE", source = "DTCC_9_0")
	@RosettaSynonym(value = "IRTE", source = "CME_ClearedConfirm_1_17")
	IRTE,
	    

	/**
	 * Reykjavik, Iceland
	 */
	@RosettaSynonym(value = "ISRE", source = "FpML_5_10")
	@RosettaSynonym(value = "ISRE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ISRE", source = "DTCC_11_0")
	@RosettaSynonym(value = "ISRE", source = "DTCC_9_0")
	@RosettaSynonym(value = "ISRE", source = "CME_ClearedConfirm_1_17")
	ISRE,
	    

	/**
	 * Milan, Italy
	 */
	@RosettaSynonym(value = "ITMI", source = "FpML_5_10")
	@RosettaSynonym(value = "ITMI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ITMI", source = "DTCC_11_0")
	@RosettaSynonym(value = "ITMI", source = "DTCC_9_0")
	@RosettaSynonym(value = "ITMI", source = "CME_ClearedConfirm_1_17")
	ITMI,
	    

	/**
	 * Rome, Italy
	 */
	@RosettaSynonym(value = "ITRO", source = "FpML_5_10")
	@RosettaSynonym(value = "ITRO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ITRO", source = "DTCC_11_0")
	@RosettaSynonym(value = "ITRO", source = "DTCC_9_0")
	@RosettaSynonym(value = "ITRO", source = "CME_ClearedConfirm_1_17")
	ITRO,
	    

	/**
	 * Turin, Italy
	 */
	@RosettaSynonym(value = "ITTU", source = "FpML_5_10")
	@RosettaSynonym(value = "ITTU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ITTU", source = "DTCC_11_0")
	@RosettaSynonym(value = "ITTU", source = "DTCC_9_0")
	@RosettaSynonym(value = "ITTU", source = "CME_ClearedConfirm_1_17")
	ITTU,
	    

	/**
	 * St. Helier, Channel Islands, Jersey
	 */
	@RosettaSynonym(value = "JESH", source = "FpML_5_10")
	@RosettaSynonym(value = "JESH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JESH", source = "DTCC_11_0")
	@RosettaSynonym(value = "JESH", source = "DTCC_9_0")
	@RosettaSynonym(value = "JESH", source = "CME_ClearedConfirm_1_17")
	JESH,
	    

	/**
	 * Kingston, Jamaica
	 */
	@RosettaSynonym(value = "JMKI", source = "FpML_5_10")
	@RosettaSynonym(value = "JMKI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JMKI", source = "DTCC_11_0")
	@RosettaSynonym(value = "JMKI", source = "DTCC_9_0")
	@RosettaSynonym(value = "JMKI", source = "CME_ClearedConfirm_1_17")
	JMKI,
	    

	/**
	 * Amman, Jordan
	 */
	@RosettaSynonym(value = "JOAM", source = "FpML_5_10")
	@RosettaSynonym(value = "JOAM", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JOAM", source = "DTCC_11_0")
	@RosettaSynonym(value = "JOAM", source = "DTCC_9_0")
	@RosettaSynonym(value = "JOAM", source = "CME_ClearedConfirm_1_17")
	JOAM,
	    

	/**
	 * Tokyo, Japan
	 */
	@RosettaSynonym(value = "JPTO", source = "FpML_5_10")
	@RosettaSynonym(value = "JPTO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JPTO", source = "DTCC_11_0")
	@RosettaSynonym(value = "JPTO", source = "DTCC_9_0")
	@RosettaSynonym(value = "JPTO", source = "CME_ClearedConfirm_1_17")
	JPTO,
	    

	/**
	 * Nairobi, Kenya
	 */
	@RosettaSynonym(value = "KENA", source = "FpML_5_10")
	@RosettaSynonym(value = "KENA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "KENA", source = "DTCC_11_0")
	@RosettaSynonym(value = "KENA", source = "DTCC_9_0")
	@RosettaSynonym(value = "KENA", source = "CME_ClearedConfirm_1_17")
	KENA,
	    

	/**
	 * Seoul, Republic of Korea
	 */
	@RosettaSynonym(value = "KRSE", source = "FpML_5_10")
	@RosettaSynonym(value = "KRSE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "KRSE", source = "DTCC_11_0")
	@RosettaSynonym(value = "KRSE", source = "DTCC_9_0")
	@RosettaSynonym(value = "KRSE", source = "CME_ClearedConfirm_1_17")
	KRSE,
	    

	/**
	 * Kuwait City, Kuwait
	 */
	@RosettaSynonym(value = "KWKC", source = "FpML_5_10")
	@RosettaSynonym(value = "KWKC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "KWKC", source = "DTCC_11_0")
	@RosettaSynonym(value = "KWKC", source = "DTCC_9_0")
	@RosettaSynonym(value = "KWKC", source = "CME_ClearedConfirm_1_17")
	KWKC,
	    

	/**
	 * George Town, Cayman Islands
	 */
	@RosettaSynonym(value = "KYGE", source = "FpML_5_10")
	@RosettaSynonym(value = "KYGE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "KYGE", source = "DTCC_11_0")
	@RosettaSynonym(value = "KYGE", source = "DTCC_9_0")
	@RosettaSynonym(value = "KYGE", source = "CME_ClearedConfirm_1_17")
	KYGE,
	    

	/**
	 * Almaty, Kazakhstan
	 */
	@RosettaSynonym(value = "KZAL", source = "FpML_5_10")
	@RosettaSynonym(value = "KZAL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "KZAL", source = "DTCC_11_0")
	@RosettaSynonym(value = "KZAL", source = "DTCC_9_0")
	@RosettaSynonym(value = "KZAL", source = "CME_ClearedConfirm_1_17")
	KZAL,
	    

	/**
	 * Beirut, Lebanon
	 */
	@RosettaSynonym(value = "LBBE", source = "FpML_5_10")
	@RosettaSynonym(value = "LBBE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LBBE", source = "DTCC_11_0")
	@RosettaSynonym(value = "LBBE", source = "DTCC_9_0")
	@RosettaSynonym(value = "LBBE", source = "CME_ClearedConfirm_1_17")
	LBBE,
	    

	/**
	 * Colombo, Sri Lanka
	 */
	@RosettaSynonym(value = "LKCO", source = "FpML_5_10")
	@RosettaSynonym(value = "LKCO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LKCO", source = "DTCC_11_0")
	@RosettaSynonym(value = "LKCO", source = "DTCC_9_0")
	@RosettaSynonym(value = "LKCO", source = "CME_ClearedConfirm_1_17")
	LKCO,
	    

	/**
	 * Luxembourg, Luxembourg
	 */
	@RosettaSynonym(value = "LULU", source = "FpML_5_10")
	@RosettaSynonym(value = "LULU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LULU", source = "DTCC_11_0")
	@RosettaSynonym(value = "LULU", source = "DTCC_9_0")
	@RosettaSynonym(value = "LULU", source = "CME_ClearedConfirm_1_17")
	LULU,
	    

	/**
	 * Riga, Latvia
	 */
	@RosettaSynonym(value = "LVRI", source = "FpML_5_10")
	@RosettaSynonym(value = "LVRI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LVRI", source = "DTCC_11_0")
	@RosettaSynonym(value = "LVRI", source = "DTCC_9_0")
	@RosettaSynonym(value = "LVRI", source = "CME_ClearedConfirm_1_17")
	LVRI,
	    

	/**
	 * Casablanca, Morocco
	 */
	@RosettaSynonym(value = "MACA", source = "FpML_5_10")
	@RosettaSynonym(value = "MACA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MACA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MACA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MACA", source = "CME_ClearedConfirm_1_17")
	MACA,
	    

	/**
	 * Rabat, Morocco
	 */
	@RosettaSynonym(value = "MARA", source = "FpML_5_10")
	@RosettaSynonym(value = "MARA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MARA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MARA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MARA", source = "CME_ClearedConfirm_1_17")
	MARA,
	    

	/**
	 * Monaco, Monaco
	 */
	@RosettaSynonym(value = "MCMO", source = "FpML_5_10")
	@RosettaSynonym(value = "MCMO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MCMO", source = "DTCC_11_0")
	@RosettaSynonym(value = "MCMO", source = "DTCC_9_0")
	@RosettaSynonym(value = "MCMO", source = "CME_ClearedConfirm_1_17")
	MCMO,
	    

	/**
	 * Macau, Macao
	 */
	@RosettaSynonym(value = "MOMA", source = "FpML_5_10")
	@RosettaSynonym(value = "MOMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MOMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MOMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MOMA", source = "CME_ClearedConfirm_1_17")
	MOMA,
	    

	/**
	 * Valletta, Malta
	 */
	@RosettaSynonym(value = "MTVA", source = "FpML_5_10")
	@RosettaSynonym(value = "MTVA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MTVA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MTVA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MTVA", source = "CME_ClearedConfirm_1_17")
	MTVA,
	    

	/**
	 * Port Louis, Mauritius
	 */
	@RosettaSynonym(value = "MUPL", source = "FpML_5_10")
	@RosettaSynonym(value = "MUPL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MUPL", source = "DTCC_11_0")
	@RosettaSynonym(value = "MUPL", source = "DTCC_9_0")
	@RosettaSynonym(value = "MUPL", source = "CME_ClearedConfirm_1_17")
	MUPL,
	    

	/**
	 * Male, Maldives
	 */
	@RosettaSynonym(value = "MVMA", source = "FpML_5_10")
	@RosettaSynonym(value = "MVMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MVMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MVMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MVMA", source = "CME_ClearedConfirm_1_17")
	MVMA,
	    

	/**
	 * Lilongwe, Malawi
	 */
	@RosettaSynonym(value = "MWLI", source = "FpML_5_10")
	@RosettaSynonym(value = "MWLI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MWLI", source = "DTCC_11_0")
	@RosettaSynonym(value = "MWLI", source = "DTCC_9_0")
	@RosettaSynonym(value = "MWLI", source = "CME_ClearedConfirm_1_17")
	MWLI,
	    

	/**
	 * Mexico City, Mexico
	 */
	@RosettaSynonym(value = "MXMC", source = "FpML_5_10")
	@RosettaSynonym(value = "MXMC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MXMC", source = "DTCC_11_0")
	@RosettaSynonym(value = "MXMC", source = "DTCC_9_0")
	@RosettaSynonym(value = "MXMC", source = "CME_ClearedConfirm_1_17")
	MXMC,
	    

	/**
	 * Kuala Lumpur, Malaysia
	 */
	@RosettaSynonym(value = "MYKL", source = "FpML_5_10")
	@RosettaSynonym(value = "MYKL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MYKL", source = "DTCC_11_0")
	@RosettaSynonym(value = "MYKL", source = "DTCC_9_0")
	@RosettaSynonym(value = "MYKL", source = "CME_ClearedConfirm_1_17")
	MYKL,
	    

	/**
	 * Labuan, Malaysia
	 */
	@RosettaSynonym(value = "MYLA", source = "FpML_5_10")
	@RosettaSynonym(value = "MYLA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MYLA", source = "DTCC_11_0")
	@RosettaSynonym(value = "MYLA", source = "DTCC_9_0")
	@RosettaSynonym(value = "MYLA", source = "CME_ClearedConfirm_1_17")
	MYLA,
	    

	/**
	 * Windhoek, Namibia
	 */
	@RosettaSynonym(value = "NAWI", source = "FpML_5_10")
	@RosettaSynonym(value = "NAWI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NAWI", source = "DTCC_11_0")
	@RosettaSynonym(value = "NAWI", source = "DTCC_9_0")
	@RosettaSynonym(value = "NAWI", source = "CME_ClearedConfirm_1_17")
	NAWI,
	    

	/**
	 * Abuja, Nigeria
	 */
	@RosettaSynonym(value = "NGAB", source = "FpML_5_10")
	@RosettaSynonym(value = "NGAB", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NGAB", source = "DTCC_11_0")
	@RosettaSynonym(value = "NGAB", source = "DTCC_9_0")
	@RosettaSynonym(value = "NGAB", source = "CME_ClearedConfirm_1_17")
	NGAB,
	    

	/**
	 * Lagos, Nigeria
	 */
	@RosettaSynonym(value = "NGLA", source = "FpML_5_10")
	@RosettaSynonym(value = "NGLA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NGLA", source = "DTCC_11_0")
	@RosettaSynonym(value = "NGLA", source = "DTCC_9_0")
	@RosettaSynonym(value = "NGLA", source = "CME_ClearedConfirm_1_17")
	NGLA,
	    

	/**
	 * Amsterdam, Netherlands
	 */
	@RosettaSynonym(value = "NLAM", source = "FpML_5_10")
	@RosettaSynonym(value = "NLAM", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NLAM", source = "DTCC_11_0")
	@RosettaSynonym(value = "NLAM", source = "DTCC_9_0")
	@RosettaSynonym(value = "NLAM", source = "CME_ClearedConfirm_1_17")
	NLAM,
	    

	/**
	 * Rotterdam, Netherlands
	 */
	@RosettaSynonym(value = "NLRO", source = "FpML_5_10")
	@RosettaSynonym(value = "NLRO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NLRO", source = "DTCC_11_0")
	@RosettaSynonym(value = "NLRO", source = "DTCC_9_0")
	@RosettaSynonym(value = "NLRO", source = "CME_ClearedConfirm_1_17")
	NLRO,
	    

	/**
	 * Oslo, Norway
	 */
	@RosettaSynonym(value = "NOOS", source = "FpML_5_10")
	@RosettaSynonym(value = "NOOS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NOOS", source = "DTCC_11_0")
	@RosettaSynonym(value = "NOOS", source = "DTCC_9_0")
	@RosettaSynonym(value = "NOOS", source = "CME_ClearedConfirm_1_17")
	NOOS,
	    

	/**
	 * Kathmandu, Nepal
	 */
	@RosettaSynonym(value = "NPKA", source = "FpML_5_10")
	@RosettaSynonym(value = "NPKA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NPKA", source = "DTCC_11_0")
	@RosettaSynonym(value = "NPKA", source = "DTCC_9_0")
	@RosettaSynonym(value = "NPKA", source = "CME_ClearedConfirm_1_17")
	NPKA,
	    

	/**
	 * New York Fed Business Day (as defined in 2006 ISDA Definitions Section 1.9 and 2000 ISDA Definitions Section 1.9)
	 */
	@RosettaSynonym(value = "NYFD", source = "FpML_5_10")
	@RosettaSynonym(value = "NYFD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NYFD", source = "DTCC_11_0")
	@RosettaSynonym(value = "NYFD", source = "DTCC_9_0")
	@RosettaSynonym(value = "NYFD", source = "CME_ClearedConfirm_1_17")
	NYFD,
	    

	/**
	 * New York Stock Exchange Business Day (as defined in 2006 ISDA Definitions Section 1.10 and 2000 ISDA Definitions Section 1.10)
	 */
	@RosettaSynonym(value = "NYSE", source = "FpML_5_10")
	@RosettaSynonym(value = "NYSE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NYSE", source = "DTCC_11_0")
	@RosettaSynonym(value = "NYSE", source = "DTCC_9_0")
	@RosettaSynonym(value = "NYSE", source = "CME_ClearedConfirm_1_17")
	NYSE,
	    

	/**
	 * Auckland, New Zealand
	 */
	@RosettaSynonym(value = "NZAU", source = "FpML_5_10")
	@RosettaSynonym(value = "NZAU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NZAU", source = "DTCC_11_0")
	@RosettaSynonym(value = "NZAU", source = "DTCC_9_0")
	@RosettaSynonym(value = "NZAU", source = "CME_ClearedConfirm_1_17")
	NZAU,
	    

	/**
	 * Wellington, New Zealand
	 */
	@RosettaSynonym(value = "NZWE", source = "FpML_5_10")
	@RosettaSynonym(value = "NZWE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NZWE", source = "DTCC_11_0")
	@RosettaSynonym(value = "NZWE", source = "DTCC_9_0")
	@RosettaSynonym(value = "NZWE", source = "CME_ClearedConfirm_1_17")
	NZWE,
	    

	/**
	 * Muscat, Oman
	 */
	@RosettaSynonym(value = "OMMU", source = "FpML_5_10")
	@RosettaSynonym(value = "OMMU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "OMMU", source = "DTCC_11_0")
	@RosettaSynonym(value = "OMMU", source = "DTCC_9_0")
	@RosettaSynonym(value = "OMMU", source = "CME_ClearedConfirm_1_17")
	OMMU,
	    

	/**
	 * Panama City, Panama
	 */
	@RosettaSynonym(value = "PAPC", source = "FpML_5_10")
	@RosettaSynonym(value = "PAPC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PAPC", source = "DTCC_11_0")
	@RosettaSynonym(value = "PAPC", source = "DTCC_9_0")
	@RosettaSynonym(value = "PAPC", source = "CME_ClearedConfirm_1_17")
	PAPC,
	    

	/**
	 * Lima, Peru
	 */
	@RosettaSynonym(value = "PELI", source = "FpML_5_10")
	@RosettaSynonym(value = "PELI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PELI", source = "DTCC_11_0")
	@RosettaSynonym(value = "PELI", source = "DTCC_9_0")
	@RosettaSynonym(value = "PELI", source = "CME_ClearedConfirm_1_17")
	PELI,
	    

	/**
	 * Manila, Philippines
	 */
	@RosettaSynonym(value = "PHMA", source = "FpML_5_10")
	@RosettaSynonym(value = "PHMA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PHMA", source = "DTCC_11_0")
	@RosettaSynonym(value = "PHMA", source = "DTCC_9_0")
	@RosettaSynonym(value = "PHMA", source = "CME_ClearedConfirm_1_17")
	PHMA,
	    

	/**
	 * Makati, Philippines
	 */
	@RosettaSynonym(value = "PHMK", source = "FpML_5_10")
	@RosettaSynonym(value = "PHMK", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PHMK", source = "DTCC_11_0")
	@RosettaSynonym(value = "PHMK", source = "DTCC_9_0")
	@RosettaSynonym(value = "PHMK", source = "CME_ClearedConfirm_1_17")
	PHMK,
	    

	/**
	 * Karachi, Pakistan
	 */
	@RosettaSynonym(value = "PKKA", source = "FpML_5_10")
	@RosettaSynonym(value = "PKKA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PKKA", source = "DTCC_11_0")
	@RosettaSynonym(value = "PKKA", source = "DTCC_9_0")
	@RosettaSynonym(value = "PKKA", source = "CME_ClearedConfirm_1_17")
	PKKA,
	    

	/**
	 * Warsaw, Poland
	 */
	@RosettaSynonym(value = "PLWA", source = "FpML_5_10")
	@RosettaSynonym(value = "PLWA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PLWA", source = "DTCC_11_0")
	@RosettaSynonym(value = "PLWA", source = "DTCC_9_0")
	@RosettaSynonym(value = "PLWA", source = "CME_ClearedConfirm_1_17")
	PLWA,
	    

	/**
	 * San Juan, Puerto Rico
	 */
	@RosettaSynonym(value = "PRSJ", source = "FpML_5_10")
	@RosettaSynonym(value = "PRSJ", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PRSJ", source = "DTCC_11_0")
	@RosettaSynonym(value = "PRSJ", source = "DTCC_9_0")
	@RosettaSynonym(value = "PRSJ", source = "CME_ClearedConfirm_1_17")
	PRSJ,
	    

	/**
	 * Lisbon, Portugal
	 */
	@RosettaSynonym(value = "PTLI", source = "FpML_5_10")
	@RosettaSynonym(value = "PTLI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PTLI", source = "DTCC_11_0")
	@RosettaSynonym(value = "PTLI", source = "DTCC_9_0")
	@RosettaSynonym(value = "PTLI", source = "CME_ClearedConfirm_1_17")
	PTLI,
	    

	/**
	 * Doha, Qatar
	 */
	@RosettaSynonym(value = "QADO", source = "FpML_5_10")
	@RosettaSynonym(value = "QADO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "QADO", source = "DTCC_11_0")
	@RosettaSynonym(value = "QADO", source = "DTCC_9_0")
	@RosettaSynonym(value = "QADO", source = "CME_ClearedConfirm_1_17")
	QADO,
	    

	/**
	 * Bucarest, Romania
	 */
	@RosettaSynonym(value = "ROBU", source = "FpML_5_10")
	@RosettaSynonym(value = "ROBU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ROBU", source = "DTCC_11_0")
	@RosettaSynonym(value = "ROBU", source = "DTCC_9_0")
	@RosettaSynonym(value = "ROBU", source = "CME_ClearedConfirm_1_17")
	ROBU,
	    

	/**
	 * Belgrade, Serbia
	 */
	@RosettaSynonym(value = "RSBE", source = "FpML_5_10")
	@RosettaSynonym(value = "RSBE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "RSBE", source = "DTCC_11_0")
	@RosettaSynonym(value = "RSBE", source = "DTCC_9_0")
	@RosettaSynonym(value = "RSBE", source = "CME_ClearedConfirm_1_17")
	RSBE,
	    

	/**
	 * Moscow, Russian Federation
	 */
	@RosettaSynonym(value = "RUMO", source = "FpML_5_10")
	@RosettaSynonym(value = "RUMO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "RUMO", source = "DTCC_11_0")
	@RosettaSynonym(value = "RUMO", source = "DTCC_9_0")
	@RosettaSynonym(value = "RUMO", source = "CME_ClearedConfirm_1_17")
	RUMO,
	    

	/**
	 * Abha, Saudi Arabia
	 */
	@RosettaSynonym(value = "SAAB", source = "FpML_5_10")
	@RosettaSynonym(value = "SAAB", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SAAB", source = "DTCC_11_0")
	@RosettaSynonym(value = "SAAB", source = "DTCC_9_0")
	@RosettaSynonym(value = "SAAB", source = "CME_ClearedConfirm_1_17")
	SAAB,
	    

	/**
	 * Jeddah, Saudi Arabia
	 */
	@RosettaSynonym(value = "SAJE", source = "FpML_5_10")
	@RosettaSynonym(value = "SAJE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SAJE", source = "DTCC_11_0")
	@RosettaSynonym(value = "SAJE", source = "DTCC_9_0")
	@RosettaSynonym(value = "SAJE", source = "CME_ClearedConfirm_1_17")
	SAJE,
	    

	/**
	 * Riyadh, Saudi Arabia
	 */
	@RosettaSynonym(value = "SARI", source = "FpML_5_10")
	@RosettaSynonym(value = "SARI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SARI", source = "DTCC_11_0")
	@RosettaSynonym(value = "SARI", source = "DTCC_9_0")
	@RosettaSynonym(value = "SARI", source = "CME_ClearedConfirm_1_17")
	SARI,
	    

	/**
	 * Stockholm, Sweden
	 */
	@RosettaSynonym(value = "SEST", source = "FpML_5_10")
	@RosettaSynonym(value = "SEST", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SEST", source = "DTCC_11_0")
	@RosettaSynonym(value = "SEST", source = "DTCC_9_0")
	@RosettaSynonym(value = "SEST", source = "CME_ClearedConfirm_1_17")
	SEST,
	    

	/**
	 * Singapore, Singapore
	 */
	@RosettaSynonym(value = "SGSI", source = "FpML_5_10")
	@RosettaSynonym(value = "SGSI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SGSI", source = "DTCC_11_0")
	@RosettaSynonym(value = "SGSI", source = "DTCC_9_0")
	@RosettaSynonym(value = "SGSI", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Singapore, Singapore", source = "ISDA_Create_1_0")
	SGSI,
	    

	/**
	 * Ljubljana, Slovenia
	 */
	@RosettaSynonym(value = "SILJ", source = "FpML_5_10")
	@RosettaSynonym(value = "SILJ", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SILJ", source = "DTCC_11_0")
	@RosettaSynonym(value = "SILJ", source = "DTCC_9_0")
	@RosettaSynonym(value = "SILJ", source = "CME_ClearedConfirm_1_17")
	SILJ,
	    

	/**
	 * Bratislava, Slovakia
	 */
	@RosettaSynonym(value = "SKBR", source = "FpML_5_10")
	@RosettaSynonym(value = "SKBR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SKBR", source = "DTCC_11_0")
	@RosettaSynonym(value = "SKBR", source = "DTCC_9_0")
	@RosettaSynonym(value = "SKBR", source = "CME_ClearedConfirm_1_17")
	SKBR,
	    

	/**
	 * Dakar, Senegal
	 */
	@RosettaSynonym(value = "SNDA", source = "FpML_5_10")
	@RosettaSynonym(value = "SNDA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SNDA", source = "DTCC_11_0")
	@RosettaSynonym(value = "SNDA", source = "DTCC_9_0")
	@RosettaSynonym(value = "SNDA", source = "CME_ClearedConfirm_1_17")
	SNDA,
	    

	/**
	 * San Salvador, El Salvador
	 */
	@RosettaSynonym(value = "SVSS", source = "FpML_5_10")
	@RosettaSynonym(value = "SVSS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SVSS", source = "DTCC_11_0")
	@RosettaSynonym(value = "SVSS", source = "DTCC_9_0")
	@RosettaSynonym(value = "SVSS", source = "CME_ClearedConfirm_1_17")
	SVSS,
	    

	/**
	 * Bangkok, Thailand
	 */
	@RosettaSynonym(value = "THBA", source = "FpML_5_10")
	@RosettaSynonym(value = "THBA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "THBA", source = "DTCC_11_0")
	@RosettaSynonym(value = "THBA", source = "DTCC_9_0")
	@RosettaSynonym(value = "THBA", source = "CME_ClearedConfirm_1_17")
	THBA,
	    

	/**
	 * Tunis, Tunisia
	 */
	@RosettaSynonym(value = "TNTU", source = "FpML_5_10")
	@RosettaSynonym(value = "TNTU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TNTU", source = "DTCC_11_0")
	@RosettaSynonym(value = "TNTU", source = "DTCC_9_0")
	@RosettaSynonym(value = "TNTU", source = "CME_ClearedConfirm_1_17")
	TNTU,
	    

	/**
	 * Ankara, Turkey
	 */
	@RosettaSynonym(value = "TRAN", source = "FpML_5_10")
	@RosettaSynonym(value = "TRAN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TRAN", source = "DTCC_11_0")
	@RosettaSynonym(value = "TRAN", source = "DTCC_9_0")
	@RosettaSynonym(value = "TRAN", source = "CME_ClearedConfirm_1_17")
	TRAN,
	    

	/**
	 * Istanbul, Turkey
	 */
	@RosettaSynonym(value = "TRIS", source = "FpML_5_10")
	@RosettaSynonym(value = "TRIS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TRIS", source = "DTCC_11_0")
	@RosettaSynonym(value = "TRIS", source = "DTCC_9_0")
	@RosettaSynonym(value = "TRIS", source = "CME_ClearedConfirm_1_17")
	TRIS,
	    

	/**
	 * Port of Spain, Trinidad and Tobago
	 */
	@RosettaSynonym(value = "TTPS", source = "FpML_5_10")
	@RosettaSynonym(value = "TTPS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TTPS", source = "DTCC_11_0")
	@RosettaSynonym(value = "TTPS", source = "DTCC_9_0")
	@RosettaSynonym(value = "TTPS", source = "CME_ClearedConfirm_1_17")
	TTPS,
	    

	/**
	 * Taipei, Taiwan
	 */
	@RosettaSynonym(value = "TWTA", source = "FpML_5_10")
	@RosettaSynonym(value = "TWTA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TWTA", source = "DTCC_11_0")
	@RosettaSynonym(value = "TWTA", source = "DTCC_9_0")
	@RosettaSynonym(value = "TWTA", source = "CME_ClearedConfirm_1_17")
	TWTA,
	    

	/**
	 * Dar es Salaam, Tanzania
	 */
	@RosettaSynonym(value = "TZDA", source = "FpML_5_10")
	@RosettaSynonym(value = "TZDA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TZDA", source = "DTCC_11_0")
	@RosettaSynonym(value = "TZDA", source = "DTCC_9_0")
	@RosettaSynonym(value = "TZDA", source = "CME_ClearedConfirm_1_17")
	TZDA,
	    

	/**
	 * Dodoma, Tanzania
	 */
	@RosettaSynonym(value = "TZDO", source = "FpML_5_10")
	@RosettaSynonym(value = "TZDO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TZDO", source = "DTCC_11_0")
	@RosettaSynonym(value = "TZDO", source = "DTCC_9_0")
	@RosettaSynonym(value = "TZDO", source = "CME_ClearedConfirm_1_17")
	TZDO,
	    

	/**
	 * Kiev, Ukraine
	 */
	@RosettaSynonym(value = "UAKI", source = "FpML_5_10")
	@RosettaSynonym(value = "UAKI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "UAKI", source = "DTCC_11_0")
	@RosettaSynonym(value = "UAKI", source = "DTCC_9_0")
	@RosettaSynonym(value = "UAKI", source = "CME_ClearedConfirm_1_17")
	UAKI,
	    

	/**
	 * Kampala, Uganda
	 */
	@RosettaSynonym(value = "UGKA", source = "FpML_5_10")
	@RosettaSynonym(value = "UGKA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "UGKA", source = "DTCC_11_0")
	@RosettaSynonym(value = "UGKA", source = "DTCC_9_0")
	@RosettaSynonym(value = "UGKA", source = "CME_ClearedConfirm_1_17")
	UGKA,
	    

	/**
	 * Boston, Massachusetts, United States
	 */
	@RosettaSynonym(value = "USBO", source = "FpML_5_10")
	@RosettaSynonym(value = "USBO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USBO", source = "DTCC_11_0")
	@RosettaSynonym(value = "USBO", source = "DTCC_9_0")
	@RosettaSynonym(value = "USBO", source = "CME_ClearedConfirm_1_17")
	USBO,
	    

	/**
	 * Chicago, United States
	 */
	@RosettaSynonym(value = "USCH", source = "FpML_5_10")
	@RosettaSynonym(value = "USCH", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USCH", source = "DTCC_11_0")
	@RosettaSynonym(value = "USCH", source = "DTCC_9_0")
	@RosettaSynonym(value = "USCH", source = "CME_ClearedConfirm_1_17")
	USCH,
	    

	/**
	 * Charlotte, North Carolina, United States
	 */
	@RosettaSynonym(value = "USCR", source = "FpML_5_10")
	@RosettaSynonym(value = "USCR", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USCR", source = "DTCC_11_0")
	@RosettaSynonym(value = "USCR", source = "DTCC_9_0")
	@RosettaSynonym(value = "USCR", source = "CME_ClearedConfirm_1_17")
	USCR,
	    

	/**
	 * Washington, District of Columbia, United States
	 */
	@RosettaSynonym(value = "USDC", source = "FpML_5_10")
	@RosettaSynonym(value = "USDC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USDC", source = "DTCC_11_0")
	@RosettaSynonym(value = "USDC", source = "DTCC_9_0")
	@RosettaSynonym(value = "USDC", source = "CME_ClearedConfirm_1_17")
	USDC,
	    

	/**
	 * Denver, United States
	 */
	@RosettaSynonym(value = "USDN", source = "FpML_5_10")
	@RosettaSynonym(value = "USDN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USDN", source = "DTCC_11_0")
	@RosettaSynonym(value = "USDN", source = "DTCC_9_0")
	@RosettaSynonym(value = "USDN", source = "CME_ClearedConfirm_1_17")
	USDN,
	    

	/**
	 * Detroit, Michigan, United States
	 */
	@RosettaSynonym(value = "USDT", source = "FpML_5_10")
	@RosettaSynonym(value = "USDT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USDT", source = "DTCC_11_0")
	@RosettaSynonym(value = "USDT", source = "DTCC_9_0")
	@RosettaSynonym(value = "USDT", source = "CME_ClearedConfirm_1_17")
	USDT,
	    

	/**
	 * U.S. Government Securities Business Day (as defined in 2006 ISDA Definitions Section 1.11 and 2000 ISDA Definitions Section 1.11)
	 */
	@RosettaSynonym(value = "USGS", source = "FpML_5_10")
	@RosettaSynonym(value = "USGS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USGS", source = "DTCC_11_0")
	@RosettaSynonym(value = "USGS", source = "DTCC_9_0")
	@RosettaSynonym(value = "USGS", source = "CME_ClearedConfirm_1_17")
	USGS,
	    

	/**
	 * Honolulu, Hawaii, United States
	 */
	@RosettaSynonym(value = "USHL", source = "FpML_5_10")
	@RosettaSynonym(value = "USHL", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USHL", source = "DTCC_11_0")
	@RosettaSynonym(value = "USHL", source = "DTCC_9_0")
	@RosettaSynonym(value = "USHL", source = "CME_ClearedConfirm_1_17")
	USHL,
	    

	/**
	 * Houston, United States
	 */
	@RosettaSynonym(value = "USHO", source = "FpML_5_10")
	@RosettaSynonym(value = "USHO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USHO", source = "DTCC_11_0")
	@RosettaSynonym(value = "USHO", source = "DTCC_9_0")
	@RosettaSynonym(value = "USHO", source = "CME_ClearedConfirm_1_17")
	USHO,
	    

	/**
	 * Los Angeles, United States
	 */
	@RosettaSynonym(value = "USLA", source = "FpML_5_10")
	@RosettaSynonym(value = "USLA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USLA", source = "DTCC_11_0")
	@RosettaSynonym(value = "USLA", source = "DTCC_9_0")
	@RosettaSynonym(value = "USLA", source = "CME_ClearedConfirm_1_17")
	USLA,
	    

	/**
	 * Mobile, Alabama, United States
	 */
	@RosettaSynonym(value = "USMB", source = "FpML_5_10")
	@RosettaSynonym(value = "USMB", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USMB", source = "DTCC_11_0")
	@RosettaSynonym(value = "USMB", source = "DTCC_9_0")
	@RosettaSynonym(value = "USMB", source = "CME_ClearedConfirm_1_17")
	USMB,
	    

	/**
	 * Minneapolis, United States
	 */
	@RosettaSynonym(value = "USMN", source = "FpML_5_10")
	@RosettaSynonym(value = "USMN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USMN", source = "DTCC_11_0")
	@RosettaSynonym(value = "USMN", source = "DTCC_9_0")
	@RosettaSynonym(value = "USMN", source = "CME_ClearedConfirm_1_17")
	USMN,
	    

	/**
	 * New York, United States
	 */
	@RosettaSynonym(value = "USNY", source = "FpML_5_10")
	@RosettaSynonym(value = "USNY", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USNY", source = "DTCC_11_0")
	@RosettaSynonym(value = "USNY", source = "DTCC_9_0")
	@RosettaSynonym(value = "USNY", source = "CME_ClearedConfirm_1_17")
	USNY,
	    

	/**
	 * Portland, Oregon, United States
	 */
	@RosettaSynonym(value = "USPO", source = "FpML_5_10")
	@RosettaSynonym(value = "USPO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USPO", source = "DTCC_11_0")
	@RosettaSynonym(value = "USPO", source = "DTCC_9_0")
	@RosettaSynonym(value = "USPO", source = "CME_ClearedConfirm_1_17")
	USPO,
	    

	/**
	 * Sacramento, California, United States
	 */
	@RosettaSynonym(value = "USSA", source = "FpML_5_10")
	@RosettaSynonym(value = "USSA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USSA", source = "DTCC_11_0")
	@RosettaSynonym(value = "USSA", source = "DTCC_9_0")
	@RosettaSynonym(value = "USSA", source = "CME_ClearedConfirm_1_17")
	USSA,
	    

	/**
	 * Seattle, United States
	 */
	@RosettaSynonym(value = "USSE", source = "FpML_5_10")
	@RosettaSynonym(value = "USSE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USSE", source = "DTCC_11_0")
	@RosettaSynonym(value = "USSE", source = "DTCC_9_0")
	@RosettaSynonym(value = "USSE", source = "CME_ClearedConfirm_1_17")
	USSE,
	    

	/**
	 * Wichita, United States
	 */
	@RosettaSynonym(value = "USWT", source = "FpML_5_10")
	@RosettaSynonym(value = "USWT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USWT", source = "DTCC_11_0")
	@RosettaSynonym(value = "USWT", source = "DTCC_9_0")
	@RosettaSynonym(value = "USWT", source = "CME_ClearedConfirm_1_17")
	USWT,
	    

	/**
	 * Montevideo, Uruguay
	 */
	@RosettaSynonym(value = "UYMO", source = "FpML_5_10")
	@RosettaSynonym(value = "UYMO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "UYMO", source = "DTCC_11_0")
	@RosettaSynonym(value = "UYMO", source = "DTCC_9_0")
	@RosettaSynonym(value = "UYMO", source = "CME_ClearedConfirm_1_17")
	UYMO,
	    

	/**
	 * Caracas, Venezuela
	 */
	@RosettaSynonym(value = "VECA", source = "FpML_5_10")
	@RosettaSynonym(value = "VECA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "VECA", source = "DTCC_11_0")
	@RosettaSynonym(value = "VECA", source = "DTCC_9_0")
	@RosettaSynonym(value = "VECA", source = "CME_ClearedConfirm_1_17")
	VECA,
	    

	/**
	 * Road Town, Virgin Islands (British)
	 */
	@RosettaSynonym(value = "VGRT", source = "FpML_5_10")
	@RosettaSynonym(value = "VGRT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "VGRT", source = "DTCC_11_0")
	@RosettaSynonym(value = "VGRT", source = "DTCC_9_0")
	@RosettaSynonym(value = "VGRT", source = "CME_ClearedConfirm_1_17")
	VGRT,
	    

	/**
	 * Hanoi, Vietnam
	 */
	@RosettaSynonym(value = "VNHA", source = "FpML_5_10")
	@RosettaSynonym(value = "VNHA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "VNHA", source = "DTCC_11_0")
	@RosettaSynonym(value = "VNHA", source = "DTCC_9_0")
	@RosettaSynonym(value = "VNHA", source = "CME_ClearedConfirm_1_17")
	VNHA,
	    

	/**
	 * Ho Chi Minh (formerly Saigon), Vietnam
	 */
	@RosettaSynonym(value = "VNHC", source = "FpML_5_10")
	@RosettaSynonym(value = "VNHC", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "VNHC", source = "DTCC_11_0")
	@RosettaSynonym(value = "VNHC", source = "DTCC_9_0")
	@RosettaSynonym(value = "VNHC", source = "CME_ClearedConfirm_1_17")
	VNHC,
	    

	/**
	 * Aden, Yemen
	 */
	@RosettaSynonym(value = "YEAD", source = "FpML_5_10")
	@RosettaSynonym(value = "YEAD", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "YEAD", source = "DTCC_11_0")
	@RosettaSynonym(value = "YEAD", source = "DTCC_9_0")
	@RosettaSynonym(value = "YEAD", source = "CME_ClearedConfirm_1_17")
	YEAD,
	    

	/**
	 * Johannesburg, South Africa
	 */
	@RosettaSynonym(value = "ZAJO", source = "FpML_5_10")
	@RosettaSynonym(value = "ZAJO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ZAJO", source = "DTCC_11_0")
	@RosettaSynonym(value = "ZAJO", source = "DTCC_9_0")
	@RosettaSynonym(value = "ZAJO", source = "CME_ClearedConfirm_1_17")
	ZAJO,
	    

	/**
	 * Lusaka, Zambia
	 */
	@RosettaSynonym(value = "ZMLU", source = "FpML_5_10")
	@RosettaSynonym(value = "ZMLU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ZMLU", source = "DTCC_11_0")
	@RosettaSynonym(value = "ZMLU", source = "DTCC_9_0")
	@RosettaSynonym(value = "ZMLU", source = "CME_ClearedConfirm_1_17")
	ZMLU,
	    

	/**
	 * Harare, Zimbabwe
	 */
	@RosettaSynonym(value = "ZWHA", source = "FpML_5_10")
	@RosettaSynonym(value = "ZWHA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ZWHA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ZWHA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ZWHA", source = "CME_ClearedConfirm_1_17")
	ZWHA    
	;

	private final String displayName;
	
	BusinessCenterEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
