package org.isda.cdm;



import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.CommodityMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;


/**
 * A class to specify a commodity asset.
 * 
 * @version 2.5.4
 */
@RosettaClass

@RosettaSynonym(value="Commodity", source="FpML_5_10")
public class Commodity extends RosettaModelObject {
	private static CommodityMeta metaData = new CommodityMeta();
	
	Commodity(CommodityBuilder builder) {
	}
	
	
	@Override
	public RosettaMetaData<? extends Commodity> metaData() {
		return metaData;
	} 
	
	public CommodityBuilder toBuilder() {
		CommodityBuilder builder = new CommodityBuilder();
		return builder;
	}

	public static CommodityBuilder builder() {
		return new CommodityBuilder();
	}

	public static  class CommodityBuilder extends RosettaModelObjectBuilder {
	
	
		public CommodityBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends Commodity> metaData() {
			return metaData;
		} 
	
	
		
		public Commodity build() {
			return new Commodity(this);
		}
	
		@Override
		public CommodityBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			CommodityBuilder _that = (CommodityBuilder) o;
		
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			return _result;
		}
		
		@Override
		public String toString() {
			return "CommodityBuilder {" +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		Commodity _that = (Commodity) o;
	
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		return _result;
	}
	
	@Override
	public String toString() {
		return "Commodity {" +
		'}';
	}
}
