package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the rating agencies.
 * 
 * @version 2.5.4
 */
public enum CreditRatingAgencyEnum {
    

	/**
	 * A. M. Best
	 */
	@RosettaSynonym(value = "AMBest", source = "FpML_5_10")
	AM_BEST,
	    

	/**
	 * Canadian Bond Rating Service
	 */
	@RosettaSynonym(value = "CBRS", source = "FpML_5_10")
	CBRS,
	    

	/**
	 * Dominion Bond Rating Service
	 */
	@RosettaSynonym(value = "DBRS", source = "FpML_5_10")
	@RosettaSynonym(value = "DBRS", source = "AcadiaSoft_AM_1_0")
	DBRS,
	    

	/**
	 * Fitch
	 */
	@RosettaSynonym(value = "Fitch", source = "FpML_5_10")
	@RosettaSynonym(value = "FITCH", source = "AcadiaSoft_AM_1_0")
	FITCH,
	    

	/**
	 * Japan Credit Rating Agency, Ltd.
	 */
	@RosettaSynonym(value = "Japanagency", source = "FpML_5_10")
	JAPAN_AGENCY,
	    

	/**
	 * Moody&#39;s
	 */
	@RosettaSynonym(value = "Moodys", source = "FpML_5_10")
	@RosettaSynonym(value = "MOODYS", source = "AcadiaSoft_AM_1_0")
	MOODYS,
	    

	/**
	 * Rating And Investment Information, Inc.
	 */
	@RosettaSynonym(value = "RatingAndInvestmentInformation", source = "FpML_5_10")
	RATING_AND_INVESTMENT_INFORMATION,
	    

	/**
	 * Standard And Poor&#39;s
	 */
	@RosettaSynonym(value = "StandardAndPoors", source = "FpML_5_10")
	@RosettaSynonym(value = "STANDARD_POORS", source = "AcadiaSoft_AM_1_0")
	STANDARD_AND_POORS    
	;

	private final String displayName;
	
	CreditRatingAgencyEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
