package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify a day of the seven-day week.
 * 
 * @version 2.5.4
 */
public enum DayOfWeekEnum {
    

	/**
	 * Monday
	 */
	@RosettaSynonym(value = "MON", source = "FpML_5_10")
	@RosettaSynonym(value = "MON", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MON", source = "DTCC_11_0")
	@RosettaSynonym(value = "MON", source = "DTCC_9_0")
	@RosettaSynonym(value = "MON", source = "CME_ClearedConfirm_1_17")
	MON,
	    

	/**
	 * Tuesday
	 */
	@RosettaSynonym(value = "TUE", source = "FpML_5_10")
	@RosettaSynonym(value = "TUE", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TUE", source = "DTCC_11_0")
	@RosettaSynonym(value = "TUE", source = "DTCC_9_0")
	@RosettaSynonym(value = "TUE", source = "CME_ClearedConfirm_1_17")
	TUE,
	    

	/**
	 * Wednesday
	 */
	@RosettaSynonym(value = "WED", source = "FpML_5_10")
	@RosettaSynonym(value = "WED", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "WED", source = "DTCC_11_0")
	@RosettaSynonym(value = "WED", source = "DTCC_9_0")
	@RosettaSynonym(value = "WED", source = "CME_ClearedConfirm_1_17")
	WED,
	    

	/**
	 * Thursday
	 */
	@RosettaSynonym(value = "THU", source = "FpML_5_10")
	@RosettaSynonym(value = "THU", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "THU", source = "DTCC_11_0")
	@RosettaSynonym(value = "THU", source = "DTCC_9_0")
	@RosettaSynonym(value = "THU", source = "CME_ClearedConfirm_1_17")
	THU,
	    

	/**
	 * Friday
	 */
	@RosettaSynonym(value = "FRI", source = "FpML_5_10")
	@RosettaSynonym(value = "FRI", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "FRI", source = "DTCC_11_0")
	@RosettaSynonym(value = "FRI", source = "DTCC_9_0")
	@RosettaSynonym(value = "FRI", source = "CME_ClearedConfirm_1_17")
	FRI,
	    

	/**
	 * Saturday
	 */
	@RosettaSynonym(value = "SAT", source = "FpML_5_10")
	@RosettaSynonym(value = "SAT", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SAT", source = "DTCC_11_0")
	@RosettaSynonym(value = "SAT", source = "DTCC_9_0")
	@RosettaSynonym(value = "SAT", source = "CME_ClearedConfirm_1_17")
	SAT,
	    

	/**
	 * Sunday
	 */
	@RosettaSynonym(value = "SUN", source = "FpML_5_10")
	@RosettaSynonym(value = "SUN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SUN", source = "DTCC_11_0")
	@RosettaSynonym(value = "SUN", source = "DTCC_9_0")
	@RosettaSynonym(value = "SUN", source = "CME_ClearedConfirm_1_17")
	SUN    
	;

	private final String displayName;
	
	DayOfWeekEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
