package org.isda.cdm;

import org.isda.cdm.FinInstrmRptgTxRpt;


import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.DocumentMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;

import static java.util.Optional.ofNullable;

/**
 * @version 2.5.4
 */
@RosettaClass
public class Document extends RosettaModelObject {
	private final FinInstrmRptgTxRpt finInstrmRptgTxRpt;
	private static DocumentMeta metaData = new DocumentMeta();
	
	Document(DocumentBuilder builder) {
		this.finInstrmRptgTxRpt = ofNullable(builder.getFinInstrmRptgTxRpt()).map(f->f.build()).orElse(null);
	}
	
	@RosettaSynonym(value="FinInstrmRptgTxRpt", source="ISO20022")
	public final FinInstrmRptgTxRpt getFinInstrmRptgTxRpt() {
		return finInstrmRptgTxRpt;
	}
	
	
	@Override
	public RosettaMetaData<? extends Document> metaData() {
		return metaData;
	} 
	
	public DocumentBuilder toBuilder() {
		DocumentBuilder builder = new DocumentBuilder();
		ofNullable(getFinInstrmRptgTxRpt()).ifPresent(builder::setFinInstrmRptgTxRpt);
		return builder;
	}

	public static DocumentBuilder builder() {
		return new DocumentBuilder();
	}

	public static  class DocumentBuilder extends RosettaModelObjectBuilder {
	
		protected FinInstrmRptgTxRpt.FinInstrmRptgTxRptBuilder finInstrmRptgTxRpt;
	
		public DocumentBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends Document> metaData() {
			return metaData;
		} 
	
		
		public FinInstrmRptgTxRpt.FinInstrmRptgTxRptBuilder getFinInstrmRptgTxRpt() {
			return finInstrmRptgTxRpt;
		}
		
		public FinInstrmRptgTxRpt.FinInstrmRptgTxRptBuilder getOrCreateFinInstrmRptgTxRpt() {
			if (finInstrmRptgTxRpt!=null) {
				return finInstrmRptgTxRpt;
			}
			else return finInstrmRptgTxRpt = new FinInstrmRptgTxRpt.FinInstrmRptgTxRptBuilder();
		}
		
	
		public DocumentBuilder setFinInstrmRptgTxRpt(FinInstrmRptgTxRpt finInstrmRptgTxRpt) {
			this.finInstrmRptgTxRpt = finInstrmRptgTxRpt.toBuilder();
			return this;
		}
		public DocumentBuilder setFinInstrmRptgTxRptBuilder(FinInstrmRptgTxRpt.FinInstrmRptgTxRptBuilder finInstrmRptgTxRpt) {
			this.finInstrmRptgTxRpt = finInstrmRptgTxRpt;
			return this;
		}
		
		public Document build() {
			return new Document(this);
		}
	
		@Override
		public DocumentBuilder prune() {
			if (finInstrmRptgTxRpt!=null && !finInstrmRptgTxRpt.prune().hasData()) finInstrmRptgTxRpt = null;
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (getFinInstrmRptgTxRpt()!=null && getFinInstrmRptgTxRpt().hasData()) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			
			processRosetta(path.newSubPath("finInstrmRptgTxRpt"), processor, FinInstrmRptgTxRpt.class, finInstrmRptgTxRpt);
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			DocumentBuilder _that = (DocumentBuilder) o;
		
			if (finInstrmRptgTxRpt != null ? !finInstrmRptgTxRpt.equals(_that.finInstrmRptgTxRpt) : _that.finInstrmRptgTxRpt != null) return false;
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			_result = 31 * _result + (finInstrmRptgTxRpt != null ? finInstrmRptgTxRpt.hashCode() : 0);
			return _result;
		}
		
		@Override
		public String toString() {
			return "DocumentBuilder {" +
				"finInstrmRptgTxRpt=" + this.finInstrmRptgTxRpt +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		
		processRosetta(path.newSubPath("finInstrmRptgTxRpt"), processor, FinInstrmRptgTxRpt.class, finInstrmRptgTxRpt);
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		Document _that = (Document) o;
	
		if (finInstrmRptgTxRpt != null ? !finInstrmRptgTxRpt.equals(_that.finInstrmRptgTxRpt) : _that.finInstrmRptgTxRpt != null) return false;
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		_result = 31 * _result + (finInstrmRptgTxRpt != null ? finInstrmRptgTxRpt.hashCode() : 0);
		return _result;
	}
	
	@Override
	public String toString() {
		return "Document {" +
			"finInstrmRptgTxRpt=" + this.finInstrmRptgTxRpt +
		'}';
	}
}
