package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the reference entity types corresponding to a list of types defined in the ISDA First to Default documentation.
 * 
 * @version 2.5.4
 */
public enum EntityTypeEnum {
    

	/**
	 * Entity Type of Asian.
	 */
	@RosettaSynonym(value = "Asian", source = "FpML_5_10")
	@RosettaSynonym(value = "Asian", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Asian", source = "DTCC_11_0")
	@RosettaSynonym(value = "Asian", source = "DTCC_9_0")
	@RosettaSynonym(value = "Asian", source = "CME_ClearedConfirm_1_17")
	ASIAN,
	    

	/**
	 * Entity Type of Australian and New Zealand.
	 */
	@RosettaSynonym(value = "AustralianAndNewZealand", source = "FpML_5_10")
	@RosettaSynonym(value = "AustralianAndNewZealand", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AustralianAndNewZealand", source = "DTCC_11_0")
	@RosettaSynonym(value = "AustralianAndNewZealand", source = "DTCC_9_0")
	@RosettaSynonym(value = "AustralianAndNewZealand", source = "CME_ClearedConfirm_1_17")
	AUSTRALIAN_AND_NEW_ZEALAND,
	    

	/**
	 * Entity Type of European Emerging Markets.
	 */
	@RosettaSynonym(value = "EuropeanEmergingMarket", source = "FpML_5_10")
	@RosettaSynonym(value = "EuropeanEmergingMarket", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuropeanEmergingMarket", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuropeanEmergingMarket", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuropeanEmergingMarket", source = "CME_ClearedConfirm_1_17")
	EUROPEAN_EMERGING_MARKETS,
	    

	/**
	 * Entity Type of Japanese.
	 */
	@RosettaSynonym(value = "Japanese", source = "FpML_5_10")
	@RosettaSynonym(value = "Japanese", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Japanese", source = "DTCC_11_0")
	@RosettaSynonym(value = "Japanese", source = "DTCC_9_0")
	@RosettaSynonym(value = "Japanese", source = "CME_ClearedConfirm_1_17")
	JAPANESE,
	    

	/**
	 * Entity Type of North American High Yield.
	 */
	@RosettaSynonym(value = "NorthAmericanHighYield", source = "FpML_5_10")
	@RosettaSynonym(value = "NorthAmericanHighYield", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NorthAmericanHighYield", source = "DTCC_11_0")
	@RosettaSynonym(value = "NorthAmericanHighYield", source = "DTCC_9_0")
	@RosettaSynonym(value = "NorthAmericanHighYield", source = "CME_ClearedConfirm_1_17")
	NORTH_AMERICAN_HIGH_YIELD,
	    

	/**
	 * Entity Type of North American Insurance.
	 */
	@RosettaSynonym(value = "NorthAmericanInsurance", source = "FpML_5_10")
	@RosettaSynonym(value = "NorthAmericanInsurance", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NorthAmericanInsurance", source = "DTCC_11_0")
	@RosettaSynonym(value = "NorthAmericanInsurance", source = "DTCC_9_0")
	@RosettaSynonym(value = "NorthAmericanInsurance", source = "CME_ClearedConfirm_1_17")
	NORTH_AMERICAN_INSURANCE,
	    

	/**
	 * Entity Type of North American Investment Grade.
	 */
	@RosettaSynonym(value = "NorthAmericanInvestmentGrade", source = "FpML_5_10")
	@RosettaSynonym(value = "NorthAmericanInvestmentGrade", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NorthAmericanInvestmentGrade", source = "DTCC_11_0")
	@RosettaSynonym(value = "NorthAmericanInvestmentGrade", source = "DTCC_9_0")
	@RosettaSynonym(value = "NorthAmericanInvestmentGrade", source = "CME_ClearedConfirm_1_17")
	NORTH_AMERICAN_INVESTMENT_GRADE,
	    

	/**
	 * Entity Type of Singaporean.
	 */
	@RosettaSynonym(value = "Singaporean", source = "FpML_5_10")
	@RosettaSynonym(value = "Singaporean", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Singaporean", source = "DTCC_11_0")
	@RosettaSynonym(value = "Singaporean", source = "DTCC_9_0")
	@RosettaSynonym(value = "Singaporean", source = "CME_ClearedConfirm_1_17")
	SINGAPOREAN,
	    

	/**
	 * Entity Type of Western European.
	 */
	@RosettaSynonym(value = "WesternEuropean", source = "FpML_5_10")
	@RosettaSynonym(value = "WesternEuropean", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "WesternEuropean", source = "DTCC_11_0")
	@RosettaSynonym(value = "WesternEuropean", source = "DTCC_9_0")
	@RosettaSynonym(value = "WesternEuropean", source = "CME_ClearedConfirm_1_17")
	WESTERN_EUROPEAN,
	    

	/**
	 * Entity Type of Western European Insurance.
	 */
	@RosettaSynonym(value = "WesternEuropeanInsurance", source = "FpML_5_10")
	@RosettaSynonym(value = "WesternEuropeanInsurance", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "WesternEuropeanInsurance", source = "DTCC_11_0")
	@RosettaSynonym(value = "WesternEuropeanInsurance", source = "DTCC_9_0")
	@RosettaSynonym(value = "WesternEuropeanInsurance", source = "CME_ClearedConfirm_1_17")
	WESTERN_EUROPEAN_INSURANCE    
	;

	private final String displayName;
	
	EntityTypeEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
