package org.isda.cdm;



import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.EquityMasterConfirmationMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;


/**
 * Specification for General Terms and Elections of an Equity Master Confirmation that is applicable across multiple Equity confirmations and is referenced by each of these confirmations, an example of which being the 2018 ISDA CDM Equity Confirmation for Security Equity Swap.
 * 
 * @version 2.5.4
 */
@RosettaClass
public abstract class EquityMasterConfirmation extends MasterConfirmationBase {
	private static EquityMasterConfirmationMeta metaData = new EquityMasterConfirmationMeta();
	
	EquityMasterConfirmation(EquityMasterConfirmationBuilder builder) {
		super(builder);
	}
	
	
	@Override
	public RosettaMetaData<? extends EquityMasterConfirmation> metaData() {
		return metaData;
	} 
	
	public abstract EquityMasterConfirmationBuilder toBuilder();


	public static abstract
	 class EquityMasterConfirmationBuilder extends MasterConfirmationBaseBuilder {
	
	
		public EquityMasterConfirmationBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends EquityMasterConfirmation> metaData() {
			return metaData;
		} 
	
	
		
		public abstract EquityMasterConfirmation build();
	
		@Override
		public EquityMasterConfirmationBuilder prune() {
			super.prune();
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (super.hasData()) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
			super.process(path, processor);
		
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
			if (!super.equals(o)) return false;
		
			EquityMasterConfirmationBuilder _that = (EquityMasterConfirmationBuilder) o;
		
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = super.hashCode();
			return _result;
		}
		
		@Override
		public String toString() {
			return "EquityMasterConfirmationBuilder {" +
			'}' + " " + super.toString();
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		super.process(path, processor);
		
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		if (!super.equals(o)) return false;
	
		EquityMasterConfirmation _that = (EquityMasterConfirmation) o;
	
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = super.hashCode();
		return _result;
	}
	
	@Override
	public String toString() {
		return "EquityMasterConfirmation {" +
		'}' + " " + super.toString();
	}
}
