package org.isda.cdm;

import java.lang.String;


import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.FinInstrmGnlAttrbtsMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;

import static java.util.Optional.ofNullable;

/**
 * @version 2.5.4
 */
@RosettaClass
public class FinInstrmGnlAttrbts extends RosettaModelObject {
	private final String clssfctnTp;
	private final String fullNm;
	private final String ntnlCcy;
	private static FinInstrmGnlAttrbtsMeta metaData = new FinInstrmGnlAttrbtsMeta();
	
	FinInstrmGnlAttrbts(FinInstrmGnlAttrbtsBuilder builder) {
		this.clssfctnTp = builder.getClssfctnTp();
		this.fullNm = builder.getFullNm();
		this.ntnlCcy = builder.getNtnlCcy();
	}
	
	@RosettaSynonym(value="ClssfctnTp", source="ISO20022")
	public final String getClssfctnTp() {
		return clssfctnTp;
	}
	
	@RosettaSynonym(value="FullNm", source="ISO20022")
	public final String getFullNm() {
		return fullNm;
	}
	
	@RosettaSynonym(value="NtnlCcy", source="ISO20022")
	public final String getNtnlCcy() {
		return ntnlCcy;
	}
	
	
	@Override
	public RosettaMetaData<? extends FinInstrmGnlAttrbts> metaData() {
		return metaData;
	} 
	
	public FinInstrmGnlAttrbtsBuilder toBuilder() {
		FinInstrmGnlAttrbtsBuilder builder = new FinInstrmGnlAttrbtsBuilder();
		ofNullable(getClssfctnTp()).ifPresent(builder::setClssfctnTp);
		ofNullable(getFullNm()).ifPresent(builder::setFullNm);
		ofNullable(getNtnlCcy()).ifPresent(builder::setNtnlCcy);
		return builder;
	}

	public static FinInstrmGnlAttrbtsBuilder builder() {
		return new FinInstrmGnlAttrbtsBuilder();
	}

	public static  class FinInstrmGnlAttrbtsBuilder extends RosettaModelObjectBuilder {
	
		protected String clssfctnTp;
		protected String fullNm;
		protected String ntnlCcy;
	
		public FinInstrmGnlAttrbtsBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends FinInstrmGnlAttrbts> metaData() {
			return metaData;
		} 
	
		
		public String getClssfctnTp() {
			return clssfctnTp;
		}
		
		
		public String getFullNm() {
			return fullNm;
		}
		
		
		public String getNtnlCcy() {
			return ntnlCcy;
		}
		
	
		public FinInstrmGnlAttrbtsBuilder setClssfctnTp(String clssfctnTp) {
			this.clssfctnTp = clssfctnTp;
			return this;
		}
		public FinInstrmGnlAttrbtsBuilder setFullNm(String fullNm) {
			this.fullNm = fullNm;
			return this;
		}
		public FinInstrmGnlAttrbtsBuilder setNtnlCcy(String ntnlCcy) {
			this.ntnlCcy = ntnlCcy;
			return this;
		}
		
		public FinInstrmGnlAttrbts build() {
			return new FinInstrmGnlAttrbts(this);
		}
	
		@Override
		public FinInstrmGnlAttrbtsBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (getClssfctnTp()!=null) return true;
			if (getFullNm()!=null) return true;
			if (getNtnlCcy()!=null) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			processor.processBasic(path.newSubPath("clssfctnTp"), String.class, clssfctnTp, this);
			processor.processBasic(path.newSubPath("fullNm"), String.class, fullNm, this);
			processor.processBasic(path.newSubPath("ntnlCcy"), String.class, ntnlCcy, this);
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			FinInstrmGnlAttrbtsBuilder _that = (FinInstrmGnlAttrbtsBuilder) o;
		
			if (clssfctnTp != null ? !clssfctnTp.equals(_that.clssfctnTp) : _that.clssfctnTp != null) return false;
			if (fullNm != null ? !fullNm.equals(_that.fullNm) : _that.fullNm != null) return false;
			if (ntnlCcy != null ? !ntnlCcy.equals(_that.ntnlCcy) : _that.ntnlCcy != null) return false;
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			_result = 31 * _result + (clssfctnTp != null ? clssfctnTp.hashCode() : 0);
			_result = 31 * _result + (fullNm != null ? fullNm.hashCode() : 0);
			_result = 31 * _result + (ntnlCcy != null ? ntnlCcy.hashCode() : 0);
			return _result;
		}
		
		@Override
		public String toString() {
			return "FinInstrmGnlAttrbtsBuilder {" +
				"clssfctnTp=" + this.clssfctnTp + ", " +
				"fullNm=" + this.fullNm + ", " +
				"ntnlCcy=" + this.ntnlCcy +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		processor.processBasic(path.newSubPath("clssfctnTp"), String.class, clssfctnTp, this);
		processor.processBasic(path.newSubPath("fullNm"), String.class, fullNm, this);
		processor.processBasic(path.newSubPath("ntnlCcy"), String.class, ntnlCcy, this);
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		FinInstrmGnlAttrbts _that = (FinInstrmGnlAttrbts) o;
	
		if (clssfctnTp != null ? !clssfctnTp.equals(_that.clssfctnTp) : _that.clssfctnTp != null) return false;
		if (fullNm != null ? !fullNm.equals(_that.fullNm) : _that.fullNm != null) return false;
		if (ntnlCcy != null ? !ntnlCcy.equals(_that.ntnlCcy) : _that.ntnlCcy != null) return false;
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		_result = 31 * _result + (clssfctnTp != null ? clssfctnTp.hashCode() : 0);
		_result = 31 * _result + (fullNm != null ? fullNm.hashCode() : 0);
		_result = 31 * _result + (ntnlCcy != null ? ntnlCcy.hashCode() : 0);
		return _result;
	}
	
	@Override
	public String toString() {
		return "FinInstrmGnlAttrbts {" +
			"clssfctnTp=" + this.clssfctnTp + ", " +
			"fullNm=" + this.fullNm + ", " +
			"ntnlCcy=" + this.ntnlCcy +
		'}';
	}
}
