package org.isda.cdm;

import org.isda.cdm.Tx;


import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.FinInstrmRptgTxRptMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;

import static java.util.Optional.ofNullable;

/**
 * @version 2.5.4
 */
@RosettaClass
public class FinInstrmRptgTxRpt extends RosettaModelObject {
	private final Tx tx;
	private static FinInstrmRptgTxRptMeta metaData = new FinInstrmRptgTxRptMeta();
	
	FinInstrmRptgTxRpt(FinInstrmRptgTxRptBuilder builder) {
		this.tx = ofNullable(builder.getTx()).map(f->f.build()).orElse(null);
	}
	
	@RosettaSynonym(value="Tx", source="ISO20022")
	public final Tx getTx() {
		return tx;
	}
	
	
	@Override
	public RosettaMetaData<? extends FinInstrmRptgTxRpt> metaData() {
		return metaData;
	} 
	
	public FinInstrmRptgTxRptBuilder toBuilder() {
		FinInstrmRptgTxRptBuilder builder = new FinInstrmRptgTxRptBuilder();
		ofNullable(getTx()).ifPresent(builder::setTx);
		return builder;
	}

	public static FinInstrmRptgTxRptBuilder builder() {
		return new FinInstrmRptgTxRptBuilder();
	}

	public static  class FinInstrmRptgTxRptBuilder extends RosettaModelObjectBuilder {
	
		protected Tx.TxBuilder tx;
	
		public FinInstrmRptgTxRptBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends FinInstrmRptgTxRpt> metaData() {
			return metaData;
		} 
	
		
		public Tx.TxBuilder getTx() {
			return tx;
		}
		
		public Tx.TxBuilder getOrCreateTx() {
			if (tx!=null) {
				return tx;
			}
			else return tx = new Tx.TxBuilder();
		}
		
	
		public FinInstrmRptgTxRptBuilder setTx(Tx tx) {
			this.tx = tx.toBuilder();
			return this;
		}
		public FinInstrmRptgTxRptBuilder setTxBuilder(Tx.TxBuilder tx) {
			this.tx = tx;
			return this;
		}
		
		public FinInstrmRptgTxRpt build() {
			return new FinInstrmRptgTxRpt(this);
		}
	
		@Override
		public FinInstrmRptgTxRptBuilder prune() {
			if (tx!=null && !tx.prune().hasData()) tx = null;
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (getTx()!=null && getTx().hasData()) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			
			processRosetta(path.newSubPath("tx"), processor, Tx.class, tx);
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			FinInstrmRptgTxRptBuilder _that = (FinInstrmRptgTxRptBuilder) o;
		
			if (tx != null ? !tx.equals(_that.tx) : _that.tx != null) return false;
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			_result = 31 * _result + (tx != null ? tx.hashCode() : 0);
			return _result;
		}
		
		@Override
		public String toString() {
			return "FinInstrmRptgTxRptBuilder {" +
				"tx=" + this.tx +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		
		processRosetta(path.newSubPath("tx"), processor, Tx.class, tx);
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		FinInstrmRptgTxRpt _that = (FinInstrmRptgTxRpt) o;
	
		if (tx != null ? !tx.equals(_that.tx) : _that.tx != null) return false;
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		_result = 31 * _result + (tx != null ? tx.hashCode() : 0);
		return _result;
	}
	
	@Override
	public String toString() {
		return "FinInstrmRptgTxRpt {" +
			"tx=" + this.tx +
		'}';
	}
}
