package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the instances where the independent amount eligible collateral is not defined as a set of eligible collateral assets. 
 * 
 * @version 2.5.4
 */
public enum IndependentAmountEligibilityEnum {
    

	/**
	 * None.
	 */
	@RosettaSynonym(value = "None", source = "FpML_5_10")
	NONE,
	    

	/**
	 * None, unless otherwise specified in a Confirmation.
	 */
	@RosettaSynonym(value = "NoneUnlessSpecifiedInConfirmation", source = "FpML_5_10")
	NONE_UNLESS_SPECIFIED_IN_CONFIRMATION    
	;

	private final String displayName;
	
	IndependentAmountEligibilityEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
