package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the CDX index annex source.
 * 
 * @version 2.5.4
 */
public enum IndexAnnexSourceEnum {
    

	/**
	 * As defined in the relevant form of Master Confirmation applicable to the confirmation of Dow Jones CDX indices.
	 */
	@RosettaSynonym(value = "MasterConfirmation", source = "FpML_5_10")
	@RosettaSynonym(value = "MasterConfirmation", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "MasterConfirmation", source = "DTCC_11_0")
	@RosettaSynonym(value = "MasterConfirmation", source = "DTCC_9_0")
	@RosettaSynonym(value = "MasterConfirmation", source = "CME_ClearedConfirm_1_17")
	MASTER_CONFIRMATION,
	    

	/**
	 * As defined in the relevant form of Master Confirmation applicable to the confirmation of Dow Jones CDX indices.
	 */
	@RosettaSynonym(value = "Publisher", source = "FpML_5_10")
	@RosettaSynonym(value = "Publisher", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Publisher", source = "DTCC_11_0")
	@RosettaSynonym(value = "Publisher", source = "DTCC_9_0")
	@RosettaSynonym(value = "Publisher", source = "CME_ClearedConfirm_1_17")
	PUBLISHER    
	;

	private final String displayName;
	
	IndexAnnexSourceEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
