package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the consequences of Index Events.
 * 
 * @version 2.5.4
 */
public enum IndexEventConsequenceEnum {
    

	/**
	 * Calculation Agent Adjustment.
	 */
	@RosettaSynonym(value = "CalculationAgentAdjustment", source = "FpML_5_10")
	CALCULATION_AGENT_ADJUSTMENT,
	    

	/**
	 * Negotiated Close Out.
	 */
	@RosettaSynonym(value = "NegotiatedCloseOut", source = "FpML_5_10")
	NEGOTIATED_CLOSE_OUT,
	    

	/**
	 * Cancellation and Payment.
	 */
	@RosettaSynonym(value = "CancellationAndPayment", source = "FpML_5_10")
	CANCELLATION_AND_PAYMENT,
	    

	/**
	 * Related Exchange.
	 */
	@RosettaSynonym(value = "RelatedExchange", source = "FpML_5_10")
	RELATED_EXCHANGE    
	;

	private final String displayName;
	
	IndexEventConsequenceEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
