package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the list of information providers.
 * 
 * @version 2.5.4
 */
public enum InformationProviderEnum {
    

	/**
	 * The Association of Banks in Singapore.
	 */
	@RosettaSynonym(value = "AssocBanksSingapore", source = "FpML_5_10")
	@RosettaSynonym(value = "AssocBanksSingapore", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AssocBanksSingapore", source = "DTCC_11_0")
	@RosettaSynonym(value = "AssocBanksSingapore", source = "DTCC_9_0")
	@RosettaSynonym(value = "AssocBanksSingapore", source = "CME_ClearedConfirm_1_17")
	ASSOC_BANKS_SINGAPORE,
	    

	/**
	 * The central bank of Canada.
	 */
	@RosettaSynonym(value = "BankOfCanada", source = "FpML_5_10")
	@RosettaSynonym(value = "BankOfCanada", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BankOfCanada", source = "DTCC_11_0")
	@RosettaSynonym(value = "BankOfCanada", source = "DTCC_9_0")
	@RosettaSynonym(value = "BankOfCanada", source = "CME_ClearedConfirm_1_17")
	BANK_OF_CANADA,
	    

	/**
	 * The Bank Of England.
	 */
	@RosettaSynonym(value = "BankOfEngland", source = "FpML_5_10")
	@RosettaSynonym(value = "BankOfEngland", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BankOfEngland", source = "DTCC_11_0")
	@RosettaSynonym(value = "BankOfEngland", source = "DTCC_9_0")
	@RosettaSynonym(value = "BankOfEngland", source = "CME_ClearedConfirm_1_17")
	BANK_OF_ENGLAND,
	    

	/**
	 * The central bank of Japan.
	 */
	@RosettaSynonym(value = "BankOfJapan", source = "FpML_5_10")
	@RosettaSynonym(value = "BankOfJapan", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "BankOfJapan", source = "DTCC_11_0")
	@RosettaSynonym(value = "BankOfJapan", source = "DTCC_9_0")
	@RosettaSynonym(value = "BankOfJapan", source = "CME_ClearedConfirm_1_17")
	BANK_OF_JAPAN,
	    

	/**
	 * Bloomberg LP.
	 */
	@RosettaSynonym(value = "Bloomberg", source = "FpML_5_10")
	@RosettaSynonym(value = "Bloomberg", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Bloomberg", source = "DTCC_11_0")
	@RosettaSynonym(value = "Bloomberg", source = "DTCC_9_0")
	@RosettaSynonym(value = "Bloomberg", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "0", source = "FIX_5_0_SP2")
	BLOOMBERG,
	    

	/**
	 * The European Central Bank.
	 */
	@RosettaSynonym(value = "EuroCentralBank", source = "FpML_5_10")
	@RosettaSynonym(value = "EuroCentralBank", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuroCentralBank", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuroCentralBank", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuroCentralBank", source = "CME_ClearedConfirm_1_17")
	EURO_CENTRAL_BANK,
	    

	/**
	 * The Federal Home Loan Bank of San Francisco, or its successor.
	 */
	@RosettaSynonym(value = "FHLBSF", source = "FpML_5_10")
	@RosettaSynonym(value = "FHLBSF", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "FHLBSF", source = "DTCC_11_0")
	@RosettaSynonym(value = "FHLBSF", source = "DTCC_9_0")
	@RosettaSynonym(value = "FHLBSF", source = "CME_ClearedConfirm_1_17")
	FHLBSF,
	    

	/**
	 * The Federal Reserve, the central bank of the United States.
	 */
	@RosettaSynonym(value = "FederalReserve", source = "FpML_5_10")
	@RosettaSynonym(value = "FederalReserve", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "FederalReserve", source = "DTCC_11_0")
	@RosettaSynonym(value = "FederalReserve", source = "DTCC_9_0")
	@RosettaSynonym(value = "FederalReserve", source = "CME_ClearedConfirm_1_17")
	FEDERAL_RESERVE,
	    

	/**
	 * International Swaps and Derivatives Association, Inc.
	 */
	@RosettaSynonym(value = "ISDA", source = "FpML_5_10")
	@RosettaSynonym(value = "ISDA", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ISDA", source = "DTCC_11_0")
	@RosettaSynonym(value = "ISDA", source = "DTCC_9_0")
	@RosettaSynonym(value = "ISDA", source = "CME_ClearedConfirm_1_17")
	ISDA,
	    

	@RosettaSynonym(value = "99", source = "FIX_5_0_SP2")
	OTHER,
	    

	/**
	 * The Reserve Bank of Australia.
	 */
	@RosettaSynonym(value = "ReserveBankAustralia", source = "FpML_5_10")
	@RosettaSynonym(value = "ReserveBankAustralia", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ReserveBankAustralia", source = "DTCC_11_0")
	@RosettaSynonym(value = "ReserveBankAustralia", source = "DTCC_9_0")
	@RosettaSynonym(value = "ReserveBankAustralia", source = "CME_ClearedConfirm_1_17")
	RESERVE_BANK_AUSTRALIA,
	    

	/**
	 * The Reserve Bank of New Zealand.
	 */
	@RosettaSynonym(value = "ReserveBankNewZealand", source = "FpML_5_10")
	@RosettaSynonym(value = "ReserveBankNewZealand", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ReserveBankNewZealand", source = "DTCC_11_0")
	@RosettaSynonym(value = "ReserveBankNewZealand", source = "DTCC_9_0")
	@RosettaSynonym(value = "ReserveBankNewZealand", source = "CME_ClearedConfirm_1_17")
	RESERVE_BANK_NEW_ZEALAND,
	    

	/**
	 * Reuters Group Plc.
	 */
	@RosettaSynonym(value = "Reuters", source = "FpML_5_10")
	@RosettaSynonym(value = "Reuters", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Reuters", source = "DTCC_11_0")
	@RosettaSynonym(value = "Reuters", source = "DTCC_9_0")
	@RosettaSynonym(value = "Reuters", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "1", source = "FIX_5_0_SP2")
	REUTERS,
	    

	/**
	 * South African Futures Exchange, or its successor.
	 */
	@RosettaSynonym(value = "SAFEX", source = "FpML_5_10")
	@RosettaSynonym(value = "SAFEX", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SAFEX", source = "DTCC_11_0")
	@RosettaSynonym(value = "SAFEX", source = "DTCC_9_0")
	@RosettaSynonym(value = "SAFEX", source = "CME_ClearedConfirm_1_17")
	SAFEX,
	    

	/**
	 * Telerate, Inc.
	 */
	@RosettaSynonym(value = "Telerate", source = "FpML_5_10")
	@RosettaSynonym(value = "Telerate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Telerate", source = "DTCC_11_0")
	@RosettaSynonym(value = "Telerate", source = "DTCC_9_0")
	@RosettaSynonym(value = "Telerate", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "2", source = "FIX_5_0_SP2")
	TELERATE    
	;

	private final String displayName;
	
	InformationProviderEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
