package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the interest shortfall cap, applicable to mortgage derivatives.
 * 
 * @version 2.5.4
 */
public enum InterestShortfallCapEnum {
    

	@RosettaSynonym(value = "Fixed", source = "FpML_5_10")
	@RosettaSynonym(value = "Fixed", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Fixed", source = "DTCC_11_0")
	@RosettaSynonym(value = "Fixed", source = "DTCC_9_0")
	@RosettaSynonym(value = "Fixed", source = "CME_ClearedConfirm_1_17")
	FIXED,
	    

	@RosettaSynonym(value = "Variable", source = "FpML_5_10")
	@RosettaSynonym(value = "Variable", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Variable", source = "DTCC_11_0")
	@RosettaSynonym(value = "Variable", source = "DTCC_9_0")
	@RosettaSynonym(value = "Variable", source = "CME_ClearedConfirm_1_17")
	VARIABLE    
	;

	private final String displayName;
	
	InterestShortfallCapEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
