package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the interpolation method, e.g. linear.
 * 
 * @version 2.5.4
 */
public enum InterpolationMethodEnum {
    

	/**
	 * Linear Interpolation applicable.
	 */
	@RosettaSynonym(value = "LinearZeroYield", source = "FpML_5_10")
	@RosettaSynonym(value = "LinearZeroYield", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LinearZeroYield", source = "DTCC_11_0")
	@RosettaSynonym(value = "LinearZeroYield", source = "DTCC_9_0")
	@RosettaSynonym(value = "LinearZeroYield", source = "CME_ClearedConfirm_1_17")
	LINEAR_ZERO_YIELD,
	    

	/**
	 * No Interpolation applicable.
	 */
	@RosettaSynonym(value = "None", source = "FpML_5_10")
	@RosettaSynonym(value = "None", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "None", source = "DTCC_11_0")
	@RosettaSynonym(value = "None", source = "DTCC_9_0")
	@RosettaSynonym(value = "None", source = "CME_ClearedConfirm_1_17")
	NONE    
	;

	private final String displayName;
	
	InterpolationMethodEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
