package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the legal agreement name.
 * 
 * @version 2.5.4
 */
public enum LegalAgreementNameEnum {
    

	/**
	 * A Credit Support Deed legal agreement.
	 */
	@RosettaSynonym(value = "Credit Support Deed", source = "ISDA_Create_1_0")
	CREDIT_SUPPORT_DEED,
	    

	/**
	 * A Credit Support Annex legal agreement.
	 */
	@RosettaSynonym(value = "CreditSupportAnnex", source = "FpML_5_10")
	@RosettaSynonym(value = "CSA", source = "AcadiaSoft_AM_1_0")
	@RosettaSynonym(value = "Credit Support Annex", source = "ISDA_Create_1_0")
	CREDIT_SUPPORT_ANNEX,
	    

	/**
	 * A Master Agreement.
	 */
	@RosettaSynonym(value = "MasterAgreement", source = "FpML_5_10")
	MASTER_AGREEMENT,
	    

	/**
	 * An Standard Credit Support Annex.
	 */
	@RosettaSynonym(value = "StandardCreditSupportAnnex", source = "FpML_5_10")
	STANDARD_CREDIT_SUPPORT_ANNEX    
	;

	private final String displayName;
	
	LegalAgreementNameEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
