package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the legal agreement publisher.
 * 
 * @version 2.5.4
 */
public enum LegalAgreementPublisherEnum {
    

	/**
	 * Association Française des Banques.
	 */
	@RosettaSynonym(value = "AFB", source = "FpML_5_10")
	AFB,
	    

	/**
	 * International Swaps and Derivatives Association, Inc.
	 */
	@RosettaSynonym(value = "ISDA", source = "FpML_5_10")
	@RosettaSynonym(value = "ISDA", source = "AcadiaSoft_AM_1_0")
	@RosettaSynonym(value = "ISDA", source = "ISDA_Create_1_0")
	ISDA    
	;

	private final String displayName;
	
	LegalAgreementPublisherEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
