package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the length unit in the Resource type.
 * 
 * @version 2.5.4
 */
public enum LengthUnitEnum {
    

	@RosettaSynonym(value = "Pages", source = "FpML_5_10")
	@RosettaSynonym(value = "Pages", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Pages", source = "DTCC_11_0")
	@RosettaSynonym(value = "Pages", source = "DTCC_9_0")
	@RosettaSynonym(value = "Pages", source = "CME_ClearedConfirm_1_17")
	PAGES,
	    

	@RosettaSynonym(value = "TimeUnit", source = "FpML_5_10")
	@RosettaSynonym(value = "TimeUnit", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "TimeUnit", source = "DTCC_11_0")
	@RosettaSynonym(value = "TimeUnit", source = "DTCC_9_0")
	@RosettaSynonym(value = "TimeUnit", source = "CME_ClearedConfirm_1_17")
	TIME_UNIT    
	;

	private final String displayName;
	
	LengthUnitEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
