package org.isda.cdm;



import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.MasterConfirmationBaseMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;


/**
 * Legal agreement specification for General Terms and Elections that are applicable across multiple confirmations and are referenced by these confirmations.
 * 
 * @version 2.5.4
 */
@RosettaClass
public abstract class MasterConfirmationBase extends RosettaModelObject {
	private static MasterConfirmationBaseMeta metaData = new MasterConfirmationBaseMeta();
	
	MasterConfirmationBase(MasterConfirmationBaseBuilder builder) {
	}
	
	
	@Override
	public RosettaMetaData<? extends MasterConfirmationBase> metaData() {
		return metaData;
	} 
	
	public abstract MasterConfirmationBaseBuilder toBuilder();


	public static abstract
	 class MasterConfirmationBaseBuilder extends RosettaModelObjectBuilder {
	
	
		public MasterConfirmationBaseBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends MasterConfirmationBase> metaData() {
			return metaData;
		} 
	
	
		
		public abstract MasterConfirmationBase build();
	
		@Override
		public MasterConfirmationBaseBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			MasterConfirmationBaseBuilder _that = (MasterConfirmationBaseBuilder) o;
		
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			return _result;
		}
		
		@Override
		public String toString() {
			return "MasterConfirmationBaseBuilder {" +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		MasterConfirmationBase _that = (MasterConfirmationBase) o;
	
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		return _result;
	}
	
	@Override
	public String toString() {
		return "MasterConfirmationBase {" +
		'}';
	}
}
