package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify a scheme of transaction types specified in the Equity Derivatives Settlement Matrix.
 * 
 * @version 2.5.4
 */
public enum MatrixTermEnum {
    

	/**
	 * Matrix Transaction Type of ASIA CORPORATE.
	 */
	@RosettaSynonym(value = "AsiaCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "AsiaCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AsiaCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "AsiaCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "AsiaCorporate", source = "CME_ClearedConfirm_1_17")
	ASIA_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of ASIA FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "AsiaFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "AsiaFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AsiaFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "AsiaFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "AsiaFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	ASIA_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of ASIA SOVEREIGN.
	 */
	@RosettaSynonym(value = "AsiaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "AsiaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AsiaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "AsiaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "AsiaSovereign", source = "CME_ClearedConfirm_1_17")
	ASIA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of AUSTRALIA CORPORATE.
	 */
	@RosettaSynonym(value = "AustraliaCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "AustraliaCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AustraliaCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "AustraliaCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "AustraliaCorporate", source = "CME_ClearedConfirm_1_17")
	AUSTRALIA_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of AUSTRALIA FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "AustraliaFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "AustraliaFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AustraliaFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "AustraliaFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "AustraliaFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	AUSTRALIA_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of AUSTRALIA SOVEREIGN.
	 */
	@RosettaSynonym(value = "AustraliaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "AustraliaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "AustraliaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "AustraliaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "AustraliaSovereign", source = "CME_ClearedConfirm_1_17")
	AUSTRALIA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of EMERGING EUROPEAN AND MIDDLE EASTERN SOVEREIGN.
	 */
	@RosettaSynonym(value = "EmergingEuropeanAndMiddleEasternSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "EmergingEuropeanAndMiddleEasternSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EmergingEuropeanAndMiddleEasternSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "EmergingEuropeanAndMiddleEasternSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "EmergingEuropeanAndMiddleEasternSovereign", source = "CME_ClearedConfirm_1_17")
	EMERGING_EUROPEAN_AND_MIDDLE_EASTERN_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of EMERGING EUROPEAN CORPORATE.
	 */
	@RosettaSynonym(value = "EmergingEuropeanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EmergingEuropeanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporate", source = "CME_ClearedConfirm_1_17")
	EMERGING_EUROPEAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of EMERGING EUROPEAN CORPORATE LPN.
	 */
	@RosettaSynonym(value = "EmergingEuropeanCorporateLPN", source = "FpML_5_10")
	@RosettaSynonym(value = "EmergingEuropeanCorporateLPN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporateLPN", source = "DTCC_11_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporateLPN", source = "DTCC_9_0")
	@RosettaSynonym(value = "EmergingEuropeanCorporateLPN", source = "CME_ClearedConfirm_1_17")
	EMERGING_EUROPEAN_CORPORATE_LPN,
	    

	/**
	 * Matrix Transaction Type of EMERGING EUROPEAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	EMERGING_EUROPEAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of EMERGING EUROPEAN FINANCIAL CORPORATE LPN.
	 */
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporateLPN", source = "FpML_5_10")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporateLPN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporateLPN", source = "DTCC_11_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporateLPN", source = "DTCC_9_0")
	@RosettaSynonym(value = "EmergingEuropeanFinancialCorporateLPN", source = "CME_ClearedConfirm_1_17")
	EMERGING_EUROPEAN_FINANCIAL_CORPORATE_LPN,
	    

	/**
	 * Matrix Transaction Type of EUROPEAN COCO FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "EuropeanCoCoFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EuropeanCoCoFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuropeanCoCoFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuropeanCoCoFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuropeanCoCoFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	EUROPEAN_CO_CO_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of EUROPEAN CORPORATE.
	 */
	@RosettaSynonym(value = "EuropeanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EuropeanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuropeanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuropeanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuropeanCorporate", source = "CME_ClearedConfirm_1_17")
	EUROPEAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of EUROPEAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "EuropeanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EuropeanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuropeanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuropeanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuropeanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	EUROPEAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of EUROPEAN SENIOR NON PREFERRED FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "EuropeanSeniorNonPreferredFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "EuropeanSeniorNonPreferredFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "EuropeanSeniorNonPreferredFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "EuropeanSeniorNonPreferredFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "EuropeanSeniorNonPreferredFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	EUROPEAN_SENIOR_NON_PREFERRED_FINANCIAL_CORPORATE,
	    

	/**
	 * The ISDA-published 2011 Index Volatility Swap Agreement for Open Markets.
	 */
	@RosettaSynonym(value = "IVS1OpenMarkets", source = "FpML_5_10")
	@RosettaSynonym(value = "IVS1OpenMarkets", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "IVS1OpenMarkets", source = "DTCC_11_0")
	@RosettaSynonym(value = "IVS1OpenMarkets", source = "DTCC_9_0")
	@RosettaSynonym(value = "IVS1OpenMarkets", source = "CME_ClearedConfirm_1_17")
	IVS_1_OPEN_MARKETS,
	    

	/**
	 * Matrix Transaction Type of JAPAN CORPORATE.
	 */
	@RosettaSynonym(value = "JapanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "JapanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JapanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "JapanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "JapanCorporate", source = "CME_ClearedConfirm_1_17")
	JAPAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of JAPAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "JapanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "JapanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JapanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "JapanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "JapanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	JAPAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of JAPAN SOVEREIGN.
	 */
	@RosettaSynonym(value = "JapanSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "JapanSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "JapanSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "JapanSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "JapanSovereign", source = "CME_ClearedConfirm_1_17")
	JAPAN_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA CORPORATE.
	 */
	@RosettaSynonym(value = "LatinAmericaCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaCorporate", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA CORPORATE B.
	 */
	@RosettaSynonym(value = "LatinAmericaCorporateBond", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaCorporateBond", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBond", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBond", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBond", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_CORPORATE_BOND,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA CORPORATE BL.
	 */
	@RosettaSynonym(value = "LatinAmericaCorporateBondOrLoan", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaCorporateBondOrLoan", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBondOrLoan", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBondOrLoan", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaCorporateBondOrLoan", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_CORPORATE_BOND_OR_LOAN,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA FINANCIAL CORPORATE B.
	 */
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBond", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBond", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBond", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBond", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBond", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_FINANCIAL_CORPORATE_BOND,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA FINANCIAL CORPORATE BL.
	 */
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBondOrLoan", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBondOrLoan", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBondOrLoan", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBondOrLoan", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaFinancialCorporateBondOrLoan", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_FINANCIAL_CORPORATE_BOND_OR_LOAN,
	    

	/**
	 * Matrix Transaction Type of LATIN AMERICA SOVEREIGN.
	 */
	@RosettaSynonym(value = "LatinAmericaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "LatinAmericaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "LatinAmericaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "LatinAmericaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "LatinAmericaSovereign", source = "CME_ClearedConfirm_1_17")
	LATIN_AMERICA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of NEW ZEALAND CORPORATE.
	 */
	@RosettaSynonym(value = "NewZealandCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "NewZealandCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NewZealandCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "NewZealandCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "NewZealandCorporate", source = "CME_ClearedConfirm_1_17")
	NEW_ZEALAND_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of NEW ZEALAND FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "NewZealandFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "NewZealandFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NewZealandFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "NewZealandFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "NewZealandFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	NEW_ZEALAND_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of NEW ZEALAND SOVEREIGN.
	 */
	@RosettaSynonym(value = "NewZealandSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "NewZealandSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NewZealandSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "NewZealandSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "NewZealandSovereign", source = "CME_ClearedConfirm_1_17")
	NEW_ZEALAND_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of NORTH AMERICAN CORPORATE.
	 */
	@RosettaSynonym(value = "NorthAmericanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "NorthAmericanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NorthAmericanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "NorthAmericanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "NorthAmericanCorporate", source = "CME_ClearedConfirm_1_17")
	NORTH_AMERICAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of NORTH AMERICAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "NorthAmericanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "NorthAmericanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "NorthAmericanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "NorthAmericanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "NorthAmericanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	NORTH_AMERICAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SINGAPORE CORPORATE.
	 */
	@RosettaSynonym(value = "SingaporeCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "SingaporeCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SingaporeCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "SingaporeCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "SingaporeCorporate", source = "CME_ClearedConfirm_1_17")
	SINGAPORE_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SINGAPORE FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "SingaporeFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "SingaporeFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SingaporeFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "SingaporeFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "SingaporeFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	SINGAPORE_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SINGAPORE SOVEREIGN.
	 */
	@RosettaSynonym(value = "SingaporeSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "SingaporeSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SingaporeSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "SingaporeSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "SingaporeSovereign", source = "CME_ClearedConfirm_1_17")
	SINGAPORE_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD ASIA CORPORATE.
	 */
	@RosettaSynonym(value = "StandardAsiaCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAsiaCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAsiaCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAsiaCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAsiaCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_ASIA_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD ASIA FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardAsiaFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAsiaFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAsiaFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAsiaFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAsiaFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_ASIA_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD ASIA SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardAsiaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAsiaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAsiaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAsiaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAsiaSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_ASIA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD AUSTRALIA CORPORATE.
	 */
	@RosettaSynonym(value = "StandardAustraliaCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAustraliaCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAustraliaCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAustraliaCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAustraliaCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_AUSTRALIA_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD AUSTRALIA FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardAustraliaFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAustraliaFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAustraliaFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAustraliaFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAustraliaFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_AUSTRALIA_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD AUSTRALIA SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardAustraliaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardAustraliaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardAustraliaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardAustraliaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardAustraliaSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_AUSTRALIA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD EMERGING EUROPEAN AND MIDDLE EASTERN SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardEmergingEuropeanAndMiddleEasternSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEmergingEuropeanAndMiddleEasternSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanAndMiddleEasternSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanAndMiddleEasternSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanAndMiddleEasternSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_EMERGING_EUROPEAN_AND_MIDDLE_EASTERN_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD EMERGING EUROPEAN CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EMERGING_EUROPEAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD EMERGING EUROPEAN CORPORATE LPN.
	 */
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporateLPN", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporateLPN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporateLPN", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporateLPN", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanCorporateLPN", source = "CME_ClearedConfirm_1_17")
	STANDARD_EMERGING_EUROPEAN_CORPORATE_LPN,
	    

	/**
	 * Matrix Transaction Type of STANDARD EMERGING EUROPEAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EMERGING_EUROPEAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD EMERGING EUROPEAN FINANCIAL CORPORATE LPN.
	 */
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporateLPN", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporateLPN", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporateLPN", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporateLPN", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEmergingEuropeanFinancialCorporateLPN", source = "CME_ClearedConfirm_1_17")
	STANDARD_EMERGING_EUROPEAN_FINANCIAL_CORPORATE_LPN,
	    

	/**
	 * Matrix Transaction Type of STANDARD EUROPEAN COCO FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEuropeanCoCoFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEuropeanCoCoFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEuropeanCoCoFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEuropeanCoCoFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEuropeanCoCoFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EUROPEAN_CO_CO_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD EUROPEAN CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEuropeanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEuropeanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEuropeanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEuropeanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEuropeanCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EUROPEAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD EUROPEAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEuropeanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEuropeanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEuropeanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEuropeanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEuropeanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EUROPEAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD EUROPEAN SENIOR NON PREFERRED FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardEuropeanSeniorNonPreferredFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardEuropeanSeniorNonPreferredFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardEuropeanSeniorNonPreferredFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardEuropeanSeniorNonPreferredFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardEuropeanSeniorNonPreferredFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_EUROPEAN_SENIOR_NON_PREFERRED_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD JAPAN CORPORATE.
	 */
	@RosettaSynonym(value = "StandardJapanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardJapanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardJapanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardJapanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardJapanCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_JAPAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD JAPAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardJapanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardJapanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardJapanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardJapanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardJapanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_JAPAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD JAPAN SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardJapanSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardJapanSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardJapanSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardJapanSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardJapanSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_JAPAN_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD LATIN AMERICA CORPORATE B.
	 */
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBond", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBond", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBond", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBond", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBond", source = "CME_ClearedConfirm_1_17")
	STANDARD_LATIN_AMERICA_CORPORATE_BOND,
	    

	/**
	 * Matrix Transaction Type of STANDARD LATIN AMERICA CORPORATE BL.
	 */
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBondOrLoan", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBondOrLoan", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBondOrLoan", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBondOrLoan", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardLatinAmericaCorporateBondOrLoan", source = "CME_ClearedConfirm_1_17")
	STANDARD_LATIN_AMERICA_CORPORATE_BOND_OR_LOAN,
	    

	/**
	 * Matrix Transaction Type of STANDARD LATIN AMERICA FINANCIAL CORPORATE B.
	 */
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBond", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBond", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBond", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBond", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBond", source = "CME_ClearedConfirm_1_17")
	STANDARD_LATIN_AMERICA_FINANCIAL_CORPORATE_BOND,
	    

	/**
	 * Matrix Transaction Type of STANDARD LATIN AMERICA FINANCIAL CORPORATE BL.
	 */
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBondOrLoan", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBondOrLoan", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBondOrLoan", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBondOrLoan", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardLatinAmericaFinancialCorporateBondOrLoan", source = "CME_ClearedConfirm_1_17")
	STANDARD_LATIN_AMERICA_FINANCIAL_CORPORATE_BOND_OR_LOAN,
	    

	/**
	 * Matrix Transaction Type of STANDARD LATIN AMERICA SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardLatinAmericaSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardLatinAmericaSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardLatinAmericaSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardLatinAmericaSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardLatinAmericaSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_LATIN_AMERICA_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD NEW ZEALAND CORPORATE.
	 */
	@RosettaSynonym(value = "StandardNewZealandCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardNewZealandCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardNewZealandCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardNewZealandCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardNewZealandCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_NEW_ZEALAND_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD NEW ZEALAND FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardNewZealandFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardNewZealandFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardNewZealandFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardNewZealandFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardNewZealandFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_NEW_ZEALAND_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD NEW ZEALAND SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardNewZealandSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardNewZealandSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardNewZealandSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardNewZealandSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardNewZealandSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_NEW_ZEALAND_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of STANDARD NORTH AMERICAN CORPORATE.
	 */
	@RosettaSynonym(value = "StandardNorthAmericanCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardNorthAmericanCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardNorthAmericanCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardNorthAmericanCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardNorthAmericanCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_NORTH_AMERICAN_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD NORTH AMERICAN FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardNorthAmericanFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardNorthAmericanFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardNorthAmericanFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardNorthAmericanFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardNorthAmericanFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_NORTH_AMERICAN_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD SINGAPORE CORPORATE.
	 */
	@RosettaSynonym(value = "StandardSingaporeCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardSingaporeCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardSingaporeCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardSingaporeCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardSingaporeCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_SINGAPORE_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD SINGAPORE FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardSingaporeFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardSingaporeFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardSingaporeFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardSingaporeFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardSingaporeFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_SINGAPORE_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD SINGAPORE SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardSingaporeSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardSingaporeSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardSingaporeSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardSingaporeSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardSingaporeSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_SINGAPORE_SOVEREIGN,
	    

	/**
	 * Transaction Type of STANDARD SUBORDINATED EUROPEAN INSURANCE CORPORATE.
	 */
	@RosettaSynonym(value = "StandardSubordinatedEuropeanInsuranceCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardSubordinatedEuropeanInsuranceCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardSubordinatedEuropeanInsuranceCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardSubordinatedEuropeanInsuranceCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardSubordinatedEuropeanInsuranceCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_SUBORDINATED_EUROPEAN_INSURANCE_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD SUKUK FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "StandardSukukFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardSukukFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardSukukFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardSukukFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardSukukFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	STANDARD_SUKUK_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of STANDARD U.S. MUNICIPAL FULL FAITH AND CREDIT.
	 */
	@RosettaSynonym(value = "StandardUSMunicipalFullFaithAndCredit", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardUSMunicipalFullFaithAndCredit", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardUSMunicipalFullFaithAndCredit", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardUSMunicipalFullFaithAndCredit", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardUSMunicipalFullFaithAndCredit", source = "CME_ClearedConfirm_1_17")
	STANDARD_US_MUNICIPAL_FULL_FAITH_AND_CREDIT,
	    

	/**
	 * Matrix Transaction Type of STANDARD U.S. MUNICIPAL GENERAL FUND.
	 */
	@RosettaSynonym(value = "StandardUSMunicipalGeneralFund", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardUSMunicipalGeneralFund", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardUSMunicipalGeneralFund", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardUSMunicipalGeneralFund", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardUSMunicipalGeneralFund", source = "CME_ClearedConfirm_1_17")
	STANDARD_US_MUNICIPAL_GENERAL_FUND,
	    

	/**
	 * Matrix Transaction Type of STANDARD U.S. MUNICIPAL REVENUE.
	 */
	@RosettaSynonym(value = "StandardUSMunicipalRevenue", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardUSMunicipalRevenue", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardUSMunicipalRevenue", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardUSMunicipalRevenue", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardUSMunicipalRevenue", source = "CME_ClearedConfirm_1_17")
	STANDARD_US_MUNICIPAL_REVENUE,
	    

	/**
	 * Matrix Transaction Type of STANDARD WESTERN EUROPEAN SOVEREIGN.
	 */
	@RosettaSynonym(value = "StandardWesternEuropeanSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "StandardWesternEuropeanSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "StandardWesternEuropeanSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "StandardWesternEuropeanSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "StandardWesternEuropeanSovereign", source = "CME_ClearedConfirm_1_17")
	STANDARD_WESTERN_EUROPEAN_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of SUBORDINATED EUROPEAN INSURANCE CORPORATE.
	 */
	@RosettaSynonym(value = "SubordinatedEuropeanInsuranceCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "SubordinatedEuropeanInsuranceCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SubordinatedEuropeanInsuranceCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "SubordinatedEuropeanInsuranceCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "SubordinatedEuropeanInsuranceCorporate", source = "CME_ClearedConfirm_1_17")
	SUBORDINATED_EUROPEAN_INSURANCE_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SUKUK CORPORATE.
	 */
	@RosettaSynonym(value = "SukukCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "SukukCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SukukCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "SukukCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "SukukCorporate", source = "CME_ClearedConfirm_1_17")
	SUKUK_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SUKUK FINANCIAL CORPORATE.
	 */
	@RosettaSynonym(value = "SukukFinancialCorporate", source = "FpML_5_10")
	@RosettaSynonym(value = "SukukFinancialCorporate", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SukukFinancialCorporate", source = "DTCC_11_0")
	@RosettaSynonym(value = "SukukFinancialCorporate", source = "DTCC_9_0")
	@RosettaSynonym(value = "SukukFinancialCorporate", source = "CME_ClearedConfirm_1_17")
	SUKUK_FINANCIAL_CORPORATE,
	    

	/**
	 * Matrix Transaction Type of SUKUK SOVEREIGN.
	 */
	@RosettaSynonym(value = "SukukSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "SukukSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "SukukSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "SukukSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "SukukSovereign", source = "CME_ClearedConfirm_1_17")
	SUKUK_SOVEREIGN,
	    

	/**
	 * Matrix Transaction Type of U.S. MUNICIPAL FULL FAITH AND CREDIT.
	 */
	@RosettaSynonym(value = "USMunicipalFullFaithAndCredit", source = "FpML_5_10")
	@RosettaSynonym(value = "USMunicipalFullFaithAndCredit", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USMunicipalFullFaithAndCredit", source = "DTCC_11_0")
	@RosettaSynonym(value = "USMunicipalFullFaithAndCredit", source = "DTCC_9_0")
	@RosettaSynonym(value = "USMunicipalFullFaithAndCredit", source = "CME_ClearedConfirm_1_17")
	US_MUNICIPAL_FULL_FAITH_AND_CREDIT,
	    

	/**
	 * Matrix Transaction Type of U.S. MUNICIPAL GENERAL FUND.
	 */
	@RosettaSynonym(value = "USMunicipalGeneralFund", source = "FpML_5_10")
	@RosettaSynonym(value = "USMunicipalGeneralFund", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USMunicipalGeneralFund", source = "DTCC_11_0")
	@RosettaSynonym(value = "USMunicipalGeneralFund", source = "DTCC_9_0")
	@RosettaSynonym(value = "USMunicipalGeneralFund", source = "CME_ClearedConfirm_1_17")
	US_MUNICIPAL_GENERAL_FUND,
	    

	/**
	 * Matrix Transaction Type of U.S. MUNICIPAL REVENUE.
	 */
	@RosettaSynonym(value = "USMunicipalRevenue", source = "FpML_5_10")
	@RosettaSynonym(value = "USMunicipalRevenue", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "USMunicipalRevenue", source = "DTCC_11_0")
	@RosettaSynonym(value = "USMunicipalRevenue", source = "DTCC_9_0")
	@RosettaSynonym(value = "USMunicipalRevenue", source = "CME_ClearedConfirm_1_17")
	US_MUNICIPAL_REVENUE,
	    

	/**
	 * Matrix Transaction Type of WESTERN EUROPEAN SOVEREIGN.
	 */
	@RosettaSynonym(value = "WesternEuropeanSovereign", source = "FpML_5_10")
	@RosettaSynonym(value = "WesternEuropeanSovereign", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "WesternEuropeanSovereign", source = "DTCC_11_0")
	@RosettaSynonym(value = "WesternEuropeanSovereign", source = "DTCC_9_0")
	@RosettaSynonym(value = "WesternEuropeanSovereign", source = "CME_ClearedConfirm_1_17")
	WESTERN_EUROPEAN_SOVEREIGN    
	;

	private final String displayName;
	
	MatrixTermEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
