package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify a mortgage typology.
 * 
 * @version 2.5.4
 */
public enum MortgageSectorEnum {
    

	/**
	 * Asset Backed Security.
	 */
	@RosettaSynonym(value = "ABS", source = "FpML_5_10")
	@RosettaSynonym(value = "ABS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "ABS", source = "DTCC_11_0")
	@RosettaSynonym(value = "ABS", source = "DTCC_9_0")
	@RosettaSynonym(value = "ABS", source = "CME_ClearedConfirm_1_17")
	ABS,
	    

	/**
	 * Collateralized Debt Obligation.
	 */
	@RosettaSynonym(value = "CDO", source = "FpML_5_10")
	@RosettaSynonym(value = "CDO", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CDO", source = "DTCC_11_0")
	@RosettaSynonym(value = "CDO", source = "DTCC_9_0")
	@RosettaSynonym(value = "CDO", source = "CME_ClearedConfirm_1_17")
	CDO,
	    

	/**
	 * Commercial Mortgage Backed Security.
	 */
	@RosettaSynonym(value = "CMBS", source = "FpML_5_10")
	@RosettaSynonym(value = "CMBS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "CMBS", source = "DTCC_11_0")
	@RosettaSynonym(value = "CMBS", source = "DTCC_9_0")
	@RosettaSynonym(value = "CMBS", source = "CME_ClearedConfirm_1_17")
	CMBS,
	    

	/**
	 * Residential Mortgage Backed Security.
	 */
	@RosettaSynonym(value = "RMBS", source = "FpML_5_10")
	@RosettaSynonym(value = "RMBS", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "RMBS", source = "DTCC_11_0")
	@RosettaSynonym(value = "RMBS", source = "DTCC_9_0")
	@RosettaSynonym(value = "RMBS", source = "CME_ClearedConfirm_1_17")
	RMBS    
	;

	private final String displayName;
	
	MortgageSectorEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
