package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * Defines the consequences of nationalization, insolvency and delisting events relating to the underlying.
 * 
 * @version 2.5.4
 */
public enum NationalizationOrInsolvencyOrDelistingEventEnum {
    

	/**
	 * The parties may, but are not obliged, to terminate the transaction on mutually acceptable terms and if the terms are not agreed then the transaction continues.
	 */
	@RosettaSynonym(value = "NegotiatedCloseout", source = "FpML_5_10")
	NEGOTIATED_CLOSEOUT,
	    

	/**
	 * The trade is terminated.
	 */
	@RosettaSynonym(value = "CancellationAndPayment", source = "FpML_5_10")
	CANCELLATION_AND_PAYMENT    
	;

	private final String displayName;
	
	NationalizationOrInsolvencyOrDelistingEventEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
