package org.isda.cdm;

import java.lang.String;
import org.isda.cdm.AddtlAttrbts;
import org.isda.cdm.Buyr;
import org.isda.cdm.ExctgPrsn;
import org.isda.cdm.FinInstrm;
import org.isda.cdm.InvstmtDcsnPrsn;
import org.isda.cdm.OrdrTrnsmssn;
import org.isda.cdm.Sellr;
import org.isda.cdm.Tx;


import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.NewMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;

import static java.util.Optional.ofNullable;

/**
 * @version 2.5.4
 */
@RosettaClass
public class New extends RosettaModelObject {
	private final AddtlAttrbts addtlAttrbts;
	private final Buyr buyr;
	private final ExctgPrsn exctgPrsn;
	private final String exctgPty;
	private final FinInstrm finInstrm;
	private final InvstmtDcsnPrsn invstmtDcsnPrsn;
	private final String invstmtPtyInd;
	private final OrdrTrnsmssn ordrTrnsmssn;
	private final Sellr sellr;
	private final String submitgPty;
	private final Tx tx;
	private final String txId;
	private static NewMeta metaData = new NewMeta();
	
	New(NewBuilder builder) {
		this.addtlAttrbts = ofNullable(builder.getAddtlAttrbts()).map(f->f.build()).orElse(null);
		this.buyr = ofNullable(builder.getBuyr()).map(f->f.build()).orElse(null);
		this.exctgPrsn = ofNullable(builder.getExctgPrsn()).map(f->f.build()).orElse(null);
		this.exctgPty = builder.getExctgPty();
		this.finInstrm = ofNullable(builder.getFinInstrm()).map(f->f.build()).orElse(null);
		this.invstmtDcsnPrsn = ofNullable(builder.getInvstmtDcsnPrsn()).map(f->f.build()).orElse(null);
		this.invstmtPtyInd = builder.getInvstmtPtyInd();
		this.ordrTrnsmssn = ofNullable(builder.getOrdrTrnsmssn()).map(f->f.build()).orElse(null);
		this.sellr = ofNullable(builder.getSellr()).map(f->f.build()).orElse(null);
		this.submitgPty = builder.getSubmitgPty();
		this.tx = ofNullable(builder.getTx()).map(f->f.build()).orElse(null);
		this.txId = builder.getTxId();
	}
	
	@RosettaSynonym(value="AddtlAttrbts", source="ISO20022")
	public final AddtlAttrbts getAddtlAttrbts() {
		return addtlAttrbts;
	}
	
	@RosettaSynonym(value="Buyr", source="ISO20022")
	public final Buyr getBuyr() {
		return buyr;
	}
	
	@RosettaSynonym(value="ExctgPrsn", source="ISO20022")
	public final ExctgPrsn getExctgPrsn() {
		return exctgPrsn;
	}
	
	@RosettaSynonym(value="ExctgPty", source="ISO20022")
	public final String getExctgPty() {
		return exctgPty;
	}
	
	@RosettaSynonym(value="FinInstrm", source="ISO20022")
	public final FinInstrm getFinInstrm() {
		return finInstrm;
	}
	
	@RosettaSynonym(value="InvstmtDcsnPrsn", source="ISO20022")
	public final InvstmtDcsnPrsn getInvstmtDcsnPrsn() {
		return invstmtDcsnPrsn;
	}
	
	@RosettaSynonym(value="InvstmtPtyInd", source="ISO20022")
	public final String getInvstmtPtyInd() {
		return invstmtPtyInd;
	}
	
	@RosettaSynonym(value="OrdrTrnsmssn", source="ISO20022")
	public final OrdrTrnsmssn getOrdrTrnsmssn() {
		return ordrTrnsmssn;
	}
	
	@RosettaSynonym(value="Sellr", source="ISO20022")
	public final Sellr getSellr() {
		return sellr;
	}
	
	@RosettaSynonym(value="SubmitgPty", source="ISO20022")
	public final String getSubmitgPty() {
		return submitgPty;
	}
	
	@RosettaSynonym(value="Tx", source="ISO20022")
	public final Tx getTx() {
		return tx;
	}
	
	@RosettaSynonym(value="TxId", source="ISO20022")
	public final String getTxId() {
		return txId;
	}
	
	
	@Override
	public RosettaMetaData<? extends New> metaData() {
		return metaData;
	} 
	
	public NewBuilder toBuilder() {
		NewBuilder builder = new NewBuilder();
		ofNullable(getAddtlAttrbts()).ifPresent(builder::setAddtlAttrbts);
		ofNullable(getBuyr()).ifPresent(builder::setBuyr);
		ofNullable(getExctgPrsn()).ifPresent(builder::setExctgPrsn);
		ofNullable(getExctgPty()).ifPresent(builder::setExctgPty);
		ofNullable(getFinInstrm()).ifPresent(builder::setFinInstrm);
		ofNullable(getInvstmtDcsnPrsn()).ifPresent(builder::setInvstmtDcsnPrsn);
		ofNullable(getInvstmtPtyInd()).ifPresent(builder::setInvstmtPtyInd);
		ofNullable(getOrdrTrnsmssn()).ifPresent(builder::setOrdrTrnsmssn);
		ofNullable(getSellr()).ifPresent(builder::setSellr);
		ofNullable(getSubmitgPty()).ifPresent(builder::setSubmitgPty);
		ofNullable(getTx()).ifPresent(builder::setTx);
		ofNullable(getTxId()).ifPresent(builder::setTxId);
		return builder;
	}

	public static NewBuilder builder() {
		return new NewBuilder();
	}

	public static  class NewBuilder extends RosettaModelObjectBuilder {
	
		protected AddtlAttrbts.AddtlAttrbtsBuilder addtlAttrbts;
		protected Buyr.BuyrBuilder buyr;
		protected ExctgPrsn.ExctgPrsnBuilder exctgPrsn;
		protected String exctgPty;
		protected FinInstrm.FinInstrmBuilder finInstrm;
		protected InvstmtDcsnPrsn.InvstmtDcsnPrsnBuilder invstmtDcsnPrsn;
		protected String invstmtPtyInd;
		protected OrdrTrnsmssn.OrdrTrnsmssnBuilder ordrTrnsmssn;
		protected Sellr.SellrBuilder sellr;
		protected String submitgPty;
		protected Tx.TxBuilder tx;
		protected String txId;
	
		public NewBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends New> metaData() {
			return metaData;
		} 
	
		
		public AddtlAttrbts.AddtlAttrbtsBuilder getAddtlAttrbts() {
			return addtlAttrbts;
		}
		
		public AddtlAttrbts.AddtlAttrbtsBuilder getOrCreateAddtlAttrbts() {
			if (addtlAttrbts!=null) {
				return addtlAttrbts;
			}
			else return addtlAttrbts = new AddtlAttrbts.AddtlAttrbtsBuilder();
		}
		
		
		public Buyr.BuyrBuilder getBuyr() {
			return buyr;
		}
		
		public Buyr.BuyrBuilder getOrCreateBuyr() {
			if (buyr!=null) {
				return buyr;
			}
			else return buyr = new Buyr.BuyrBuilder();
		}
		
		
		public ExctgPrsn.ExctgPrsnBuilder getExctgPrsn() {
			return exctgPrsn;
		}
		
		public ExctgPrsn.ExctgPrsnBuilder getOrCreateExctgPrsn() {
			if (exctgPrsn!=null) {
				return exctgPrsn;
			}
			else return exctgPrsn = new ExctgPrsn.ExctgPrsnBuilder();
		}
		
		
		public String getExctgPty() {
			return exctgPty;
		}
		
		
		public FinInstrm.FinInstrmBuilder getFinInstrm() {
			return finInstrm;
		}
		
		public FinInstrm.FinInstrmBuilder getOrCreateFinInstrm() {
			if (finInstrm!=null) {
				return finInstrm;
			}
			else return finInstrm = new FinInstrm.FinInstrmBuilder();
		}
		
		
		public InvstmtDcsnPrsn.InvstmtDcsnPrsnBuilder getInvstmtDcsnPrsn() {
			return invstmtDcsnPrsn;
		}
		
		public InvstmtDcsnPrsn.InvstmtDcsnPrsnBuilder getOrCreateInvstmtDcsnPrsn() {
			if (invstmtDcsnPrsn!=null) {
				return invstmtDcsnPrsn;
			}
			else return invstmtDcsnPrsn = new InvstmtDcsnPrsn.InvstmtDcsnPrsnBuilder();
		}
		
		
		public String getInvstmtPtyInd() {
			return invstmtPtyInd;
		}
		
		
		public OrdrTrnsmssn.OrdrTrnsmssnBuilder getOrdrTrnsmssn() {
			return ordrTrnsmssn;
		}
		
		public OrdrTrnsmssn.OrdrTrnsmssnBuilder getOrCreateOrdrTrnsmssn() {
			if (ordrTrnsmssn!=null) {
				return ordrTrnsmssn;
			}
			else return ordrTrnsmssn = new OrdrTrnsmssn.OrdrTrnsmssnBuilder();
		}
		
		
		public Sellr.SellrBuilder getSellr() {
			return sellr;
		}
		
		public Sellr.SellrBuilder getOrCreateSellr() {
			if (sellr!=null) {
				return sellr;
			}
			else return sellr = new Sellr.SellrBuilder();
		}
		
		
		public String getSubmitgPty() {
			return submitgPty;
		}
		
		
		public Tx.TxBuilder getTx() {
			return tx;
		}
		
		public Tx.TxBuilder getOrCreateTx() {
			if (tx!=null) {
				return tx;
			}
			else return tx = new Tx.TxBuilder();
		}
		
		
		public String getTxId() {
			return txId;
		}
		
	
		public NewBuilder setAddtlAttrbts(AddtlAttrbts addtlAttrbts) {
			this.addtlAttrbts = addtlAttrbts.toBuilder();
			return this;
		}
		public NewBuilder setAddtlAttrbtsBuilder(AddtlAttrbts.AddtlAttrbtsBuilder addtlAttrbts) {
			this.addtlAttrbts = addtlAttrbts;
			return this;
		}
		public NewBuilder setBuyr(Buyr buyr) {
			this.buyr = buyr.toBuilder();
			return this;
		}
		public NewBuilder setBuyrBuilder(Buyr.BuyrBuilder buyr) {
			this.buyr = buyr;
			return this;
		}
		public NewBuilder setExctgPrsn(ExctgPrsn exctgPrsn) {
			this.exctgPrsn = exctgPrsn.toBuilder();
			return this;
		}
		public NewBuilder setExctgPrsnBuilder(ExctgPrsn.ExctgPrsnBuilder exctgPrsn) {
			this.exctgPrsn = exctgPrsn;
			return this;
		}
		public NewBuilder setExctgPty(String exctgPty) {
			this.exctgPty = exctgPty;
			return this;
		}
		public NewBuilder setFinInstrm(FinInstrm finInstrm) {
			this.finInstrm = finInstrm.toBuilder();
			return this;
		}
		public NewBuilder setFinInstrmBuilder(FinInstrm.FinInstrmBuilder finInstrm) {
			this.finInstrm = finInstrm;
			return this;
		}
		public NewBuilder setInvstmtDcsnPrsn(InvstmtDcsnPrsn invstmtDcsnPrsn) {
			this.invstmtDcsnPrsn = invstmtDcsnPrsn.toBuilder();
			return this;
		}
		public NewBuilder setInvstmtDcsnPrsnBuilder(InvstmtDcsnPrsn.InvstmtDcsnPrsnBuilder invstmtDcsnPrsn) {
			this.invstmtDcsnPrsn = invstmtDcsnPrsn;
			return this;
		}
		public NewBuilder setInvstmtPtyInd(String invstmtPtyInd) {
			this.invstmtPtyInd = invstmtPtyInd;
			return this;
		}
		public NewBuilder setOrdrTrnsmssn(OrdrTrnsmssn ordrTrnsmssn) {
			this.ordrTrnsmssn = ordrTrnsmssn.toBuilder();
			return this;
		}
		public NewBuilder setOrdrTrnsmssnBuilder(OrdrTrnsmssn.OrdrTrnsmssnBuilder ordrTrnsmssn) {
			this.ordrTrnsmssn = ordrTrnsmssn;
			return this;
		}
		public NewBuilder setSellr(Sellr sellr) {
			this.sellr = sellr.toBuilder();
			return this;
		}
		public NewBuilder setSellrBuilder(Sellr.SellrBuilder sellr) {
			this.sellr = sellr;
			return this;
		}
		public NewBuilder setSubmitgPty(String submitgPty) {
			this.submitgPty = submitgPty;
			return this;
		}
		public NewBuilder setTx(Tx tx) {
			this.tx = tx.toBuilder();
			return this;
		}
		public NewBuilder setTxBuilder(Tx.TxBuilder tx) {
			this.tx = tx;
			return this;
		}
		public NewBuilder setTxId(String txId) {
			this.txId = txId;
			return this;
		}
		
		public New build() {
			return new New(this);
		}
	
		@Override
		public NewBuilder prune() {
			if (addtlAttrbts!=null && !addtlAttrbts.prune().hasData()) addtlAttrbts = null;
			if (buyr!=null && !buyr.prune().hasData()) buyr = null;
			if (exctgPrsn!=null && !exctgPrsn.prune().hasData()) exctgPrsn = null;
			if (finInstrm!=null && !finInstrm.prune().hasData()) finInstrm = null;
			if (invstmtDcsnPrsn!=null && !invstmtDcsnPrsn.prune().hasData()) invstmtDcsnPrsn = null;
			if (ordrTrnsmssn!=null && !ordrTrnsmssn.prune().hasData()) ordrTrnsmssn = null;
			if (sellr!=null && !sellr.prune().hasData()) sellr = null;
			if (tx!=null && !tx.prune().hasData()) tx = null;
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (getAddtlAttrbts()!=null && getAddtlAttrbts().hasData()) return true;
			if (getBuyr()!=null && getBuyr().hasData()) return true;
			if (getExctgPrsn()!=null && getExctgPrsn().hasData()) return true;
			if (getExctgPty()!=null) return true;
			if (getFinInstrm()!=null && getFinInstrm().hasData()) return true;
			if (getInvstmtDcsnPrsn()!=null && getInvstmtDcsnPrsn().hasData()) return true;
			if (getInvstmtPtyInd()!=null) return true;
			if (getOrdrTrnsmssn()!=null && getOrdrTrnsmssn().hasData()) return true;
			if (getSellr()!=null && getSellr().hasData()) return true;
			if (getSubmitgPty()!=null) return true;
			if (getTx()!=null && getTx().hasData()) return true;
			if (getTxId()!=null) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			processor.processBasic(path.newSubPath("exctgPty"), String.class, exctgPty, this);
			processor.processBasic(path.newSubPath("invstmtPtyInd"), String.class, invstmtPtyInd, this);
			processor.processBasic(path.newSubPath("submitgPty"), String.class, submitgPty, this);
			processor.processBasic(path.newSubPath("txId"), String.class, txId, this);
			
			processRosetta(path.newSubPath("addtlAttrbts"), processor, AddtlAttrbts.class, addtlAttrbts);
			processRosetta(path.newSubPath("buyr"), processor, Buyr.class, buyr);
			processRosetta(path.newSubPath("exctgPrsn"), processor, ExctgPrsn.class, exctgPrsn);
			processRosetta(path.newSubPath("finInstrm"), processor, FinInstrm.class, finInstrm);
			processRosetta(path.newSubPath("invstmtDcsnPrsn"), processor, InvstmtDcsnPrsn.class, invstmtDcsnPrsn);
			processRosetta(path.newSubPath("ordrTrnsmssn"), processor, OrdrTrnsmssn.class, ordrTrnsmssn);
			processRosetta(path.newSubPath("sellr"), processor, Sellr.class, sellr);
			processRosetta(path.newSubPath("tx"), processor, Tx.class, tx);
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			NewBuilder _that = (NewBuilder) o;
		
			if (addtlAttrbts != null ? !addtlAttrbts.equals(_that.addtlAttrbts) : _that.addtlAttrbts != null) return false;
			if (buyr != null ? !buyr.equals(_that.buyr) : _that.buyr != null) return false;
			if (exctgPrsn != null ? !exctgPrsn.equals(_that.exctgPrsn) : _that.exctgPrsn != null) return false;
			if (exctgPty != null ? !exctgPty.equals(_that.exctgPty) : _that.exctgPty != null) return false;
			if (finInstrm != null ? !finInstrm.equals(_that.finInstrm) : _that.finInstrm != null) return false;
			if (invstmtDcsnPrsn != null ? !invstmtDcsnPrsn.equals(_that.invstmtDcsnPrsn) : _that.invstmtDcsnPrsn != null) return false;
			if (invstmtPtyInd != null ? !invstmtPtyInd.equals(_that.invstmtPtyInd) : _that.invstmtPtyInd != null) return false;
			if (ordrTrnsmssn != null ? !ordrTrnsmssn.equals(_that.ordrTrnsmssn) : _that.ordrTrnsmssn != null) return false;
			if (sellr != null ? !sellr.equals(_that.sellr) : _that.sellr != null) return false;
			if (submitgPty != null ? !submitgPty.equals(_that.submitgPty) : _that.submitgPty != null) return false;
			if (tx != null ? !tx.equals(_that.tx) : _that.tx != null) return false;
			if (txId != null ? !txId.equals(_that.txId) : _that.txId != null) return false;
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			_result = 31 * _result + (addtlAttrbts != null ? addtlAttrbts.hashCode() : 0);
			_result = 31 * _result + (buyr != null ? buyr.hashCode() : 0);
			_result = 31 * _result + (exctgPrsn != null ? exctgPrsn.hashCode() : 0);
			_result = 31 * _result + (exctgPty != null ? exctgPty.hashCode() : 0);
			_result = 31 * _result + (finInstrm != null ? finInstrm.hashCode() : 0);
			_result = 31 * _result + (invstmtDcsnPrsn != null ? invstmtDcsnPrsn.hashCode() : 0);
			_result = 31 * _result + (invstmtPtyInd != null ? invstmtPtyInd.hashCode() : 0);
			_result = 31 * _result + (ordrTrnsmssn != null ? ordrTrnsmssn.hashCode() : 0);
			_result = 31 * _result + (sellr != null ? sellr.hashCode() : 0);
			_result = 31 * _result + (submitgPty != null ? submitgPty.hashCode() : 0);
			_result = 31 * _result + (tx != null ? tx.hashCode() : 0);
			_result = 31 * _result + (txId != null ? txId.hashCode() : 0);
			return _result;
		}
		
		@Override
		public String toString() {
			return "NewBuilder {" +
				"addtlAttrbts=" + this.addtlAttrbts + ", " +
				"buyr=" + this.buyr + ", " +
				"exctgPrsn=" + this.exctgPrsn + ", " +
				"exctgPty=" + this.exctgPty + ", " +
				"finInstrm=" + this.finInstrm + ", " +
				"invstmtDcsnPrsn=" + this.invstmtDcsnPrsn + ", " +
				"invstmtPtyInd=" + this.invstmtPtyInd + ", " +
				"ordrTrnsmssn=" + this.ordrTrnsmssn + ", " +
				"sellr=" + this.sellr + ", " +
				"submitgPty=" + this.submitgPty + ", " +
				"tx=" + this.tx + ", " +
				"txId=" + this.txId +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		processor.processBasic(path.newSubPath("exctgPty"), String.class, exctgPty, this);
		processor.processBasic(path.newSubPath("invstmtPtyInd"), String.class, invstmtPtyInd, this);
		processor.processBasic(path.newSubPath("submitgPty"), String.class, submitgPty, this);
		processor.processBasic(path.newSubPath("txId"), String.class, txId, this);
		
		processRosetta(path.newSubPath("addtlAttrbts"), processor, AddtlAttrbts.class, addtlAttrbts);
		processRosetta(path.newSubPath("buyr"), processor, Buyr.class, buyr);
		processRosetta(path.newSubPath("exctgPrsn"), processor, ExctgPrsn.class, exctgPrsn);
		processRosetta(path.newSubPath("finInstrm"), processor, FinInstrm.class, finInstrm);
		processRosetta(path.newSubPath("invstmtDcsnPrsn"), processor, InvstmtDcsnPrsn.class, invstmtDcsnPrsn);
		processRosetta(path.newSubPath("ordrTrnsmssn"), processor, OrdrTrnsmssn.class, ordrTrnsmssn);
		processRosetta(path.newSubPath("sellr"), processor, Sellr.class, sellr);
		processRosetta(path.newSubPath("tx"), processor, Tx.class, tx);
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		New _that = (New) o;
	
		if (addtlAttrbts != null ? !addtlAttrbts.equals(_that.addtlAttrbts) : _that.addtlAttrbts != null) return false;
		if (buyr != null ? !buyr.equals(_that.buyr) : _that.buyr != null) return false;
		if (exctgPrsn != null ? !exctgPrsn.equals(_that.exctgPrsn) : _that.exctgPrsn != null) return false;
		if (exctgPty != null ? !exctgPty.equals(_that.exctgPty) : _that.exctgPty != null) return false;
		if (finInstrm != null ? !finInstrm.equals(_that.finInstrm) : _that.finInstrm != null) return false;
		if (invstmtDcsnPrsn != null ? !invstmtDcsnPrsn.equals(_that.invstmtDcsnPrsn) : _that.invstmtDcsnPrsn != null) return false;
		if (invstmtPtyInd != null ? !invstmtPtyInd.equals(_that.invstmtPtyInd) : _that.invstmtPtyInd != null) return false;
		if (ordrTrnsmssn != null ? !ordrTrnsmssn.equals(_that.ordrTrnsmssn) : _that.ordrTrnsmssn != null) return false;
		if (sellr != null ? !sellr.equals(_that.sellr) : _that.sellr != null) return false;
		if (submitgPty != null ? !submitgPty.equals(_that.submitgPty) : _that.submitgPty != null) return false;
		if (tx != null ? !tx.equals(_that.tx) : _that.tx != null) return false;
		if (txId != null ? !txId.equals(_that.txId) : _that.txId != null) return false;
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		_result = 31 * _result + (addtlAttrbts != null ? addtlAttrbts.hashCode() : 0);
		_result = 31 * _result + (buyr != null ? buyr.hashCode() : 0);
		_result = 31 * _result + (exctgPrsn != null ? exctgPrsn.hashCode() : 0);
		_result = 31 * _result + (exctgPty != null ? exctgPty.hashCode() : 0);
		_result = 31 * _result + (finInstrm != null ? finInstrm.hashCode() : 0);
		_result = 31 * _result + (invstmtDcsnPrsn != null ? invstmtDcsnPrsn.hashCode() : 0);
		_result = 31 * _result + (invstmtPtyInd != null ? invstmtPtyInd.hashCode() : 0);
		_result = 31 * _result + (ordrTrnsmssn != null ? ordrTrnsmssn.hashCode() : 0);
		_result = 31 * _result + (sellr != null ? sellr.hashCode() : 0);
		_result = 31 * _result + (submitgPty != null ? submitgPty.hashCode() : 0);
		_result = 31 * _result + (tx != null ? tx.hashCode() : 0);
		_result = 31 * _result + (txId != null ? txId.hashCode() : 0);
		return _result;
	}
	
	@Override
	public String toString() {
		return "New {" +
			"addtlAttrbts=" + this.addtlAttrbts + ", " +
			"buyr=" + this.buyr + ", " +
			"exctgPrsn=" + this.exctgPrsn + ", " +
			"exctgPty=" + this.exctgPty + ", " +
			"finInstrm=" + this.finInstrm + ", " +
			"invstmtDcsnPrsn=" + this.invstmtDcsnPrsn + ", " +
			"invstmtPtyInd=" + this.invstmtPtyInd + ", " +
			"ordrTrnsmssn=" + this.ordrTrnsmssn + ", " +
			"sellr=" + this.sellr + ", " +
			"submitgPty=" + this.submitgPty + ", " +
			"tx=" + this.tx + ", " +
			"txId=" + this.txId +
		'}';
	}
}
