package org.isda.cdm;

import java.lang.String;


import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import org.isda.cdm.meta.OrdrTrnsmssnMeta;
import com.rosetta.model.lib.annotations.RosettaClass;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.process.*;

import com.rosetta.model.lib.annotations.RosettaSynonym;
import com.rosetta.model.lib.qualify.Qualified;
import com.rosetta.util.ListEquals;

import static java.util.Optional.ofNullable;

/**
 * @version 2.5.4
 */
@RosettaClass
public class OrdrTrnsmssn extends RosettaModelObject {
	private final String trnsmssnInd;
	private static OrdrTrnsmssnMeta metaData = new OrdrTrnsmssnMeta();
	
	OrdrTrnsmssn(OrdrTrnsmssnBuilder builder) {
		this.trnsmssnInd = builder.getTrnsmssnInd();
	}
	
	@RosettaSynonym(value="TrnsmssnInd", source="ISO20022")
	public final String getTrnsmssnInd() {
		return trnsmssnInd;
	}
	
	
	@Override
	public RosettaMetaData<? extends OrdrTrnsmssn> metaData() {
		return metaData;
	} 
	
	public OrdrTrnsmssnBuilder toBuilder() {
		OrdrTrnsmssnBuilder builder = new OrdrTrnsmssnBuilder();
		ofNullable(getTrnsmssnInd()).ifPresent(builder::setTrnsmssnInd);
		return builder;
	}

	public static OrdrTrnsmssnBuilder builder() {
		return new OrdrTrnsmssnBuilder();
	}

	public static  class OrdrTrnsmssnBuilder extends RosettaModelObjectBuilder {
	
		protected String trnsmssnInd;
	
		public OrdrTrnsmssnBuilder() {
		}
				
		@Override
		public RosettaMetaData<? extends OrdrTrnsmssn> metaData() {
			return metaData;
		} 
	
		
		public String getTrnsmssnInd() {
			return trnsmssnInd;
		}
		
	
		public OrdrTrnsmssnBuilder setTrnsmssnInd(String trnsmssnInd) {
			this.trnsmssnInd = trnsmssnInd;
			return this;
		}
		
		public OrdrTrnsmssn build() {
			return new OrdrTrnsmssn(this);
		}
	
		@Override
		public OrdrTrnsmssnBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			if (getTrnsmssnInd()!=null) return true;
			return false;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
		
			processor.processBasic(path.newSubPath("trnsmssnInd"), String.class, trnsmssnInd, this);
			
		}
	
		@Override
		public boolean equals(Object o) {
			if (this == o) return true;
			if (o == null || getClass() != o.getClass()) return false;
		
			OrdrTrnsmssnBuilder _that = (OrdrTrnsmssnBuilder) o;
		
			if (trnsmssnInd != null ? !trnsmssnInd.equals(_that.trnsmssnInd) : _that.trnsmssnInd != null) return false;
			return true;
		}
		
		@Override
		public int hashCode() {
			int _result = 0;
			_result = 31 * _result + (trnsmssnInd != null ? trnsmssnInd.hashCode() : 0);
			return _result;
		}
		
		@Override
		public String toString() {
			return "OrdrTrnsmssnBuilder {" +
				"trnsmssnInd=" + this.trnsmssnInd +
			'}';
		}
	}

	@Override
	public void process(RosettaPath path, Processor processor) {
		
		processor.processBasic(path.newSubPath("trnsmssnInd"), String.class, trnsmssnInd, this);
		
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
	
		OrdrTrnsmssn _that = (OrdrTrnsmssn) o;
	
		if (trnsmssnInd != null ? !trnsmssnInd.equals(_that.trnsmssnInd) : _that.trnsmssnInd != null) return false;
		return true;
	}
	
	@Override
	public int hashCode() {
		int _result = 0;
		_result = 31 * _result + (trnsmssnInd != null ? trnsmssnInd.hashCode() : 0);
		return _result;
	}
	
	@Override
	public String toString() {
		return "OrdrTrnsmssn {" +
			"trnsmssnInd=" + this.trnsmssnInd +
		'}';
	}
}
