package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify an interest rate stream payer or receiver party.
 * 
 * @version 2.5.4
 */
public enum PayerReceiverEnum {
    

	/**
	 * The party identified as the stream payer.
	 */
	@RosettaSynonym(value = "Payer", source = "FpML_5_10")
	@RosettaSynonym(value = "Payer", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Payer", source = "DTCC_11_0")
	@RosettaSynonym(value = "Payer", source = "DTCC_9_0")
	@RosettaSynonym(value = "Payer", source = "CME_ClearedConfirm_1_17")
	PAYER,
	    

	/**
	 * The party identified as the stream receiver.
	 */
	@RosettaSynonym(value = "Receiver", source = "FpML_5_10")
	@RosettaSynonym(value = "Receiver", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Receiver", source = "DTCC_11_0")
	@RosettaSynonym(value = "Receiver", source = "DTCC_9_0")
	@RosettaSynonym(value = "Receiver", source = "CME_ClearedConfirm_1_17")
	RECEIVER    
	;

	private final String displayName;
	
	PayerReceiverEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
