package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the period, e.g. day, week.
 * 
 * @version 2.5.4
 */
public enum PeriodEnum {
    

	/**
	 * Day
	 */
	@RosettaSynonym(value = "D", source = "FpML_5_10")
	@RosettaSynonym(value = "D", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "D", source = "DTCC_11_0")
	@RosettaSynonym(value = "D", source = "DTCC_9_0")
	@RosettaSynonym(value = "D", source = "CME_ClearedConfirm_1_17")
	D,
	    

	/**
	 * Week
	 */
	@RosettaSynonym(value = "W", source = "FpML_5_10")
	@RosettaSynonym(value = "W", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "W", source = "DTCC_11_0")
	@RosettaSynonym(value = "W", source = "DTCC_9_0")
	@RosettaSynonym(value = "W", source = "CME_ClearedConfirm_1_17")
	W,
	    

	/**
	 * Month
	 */
	@RosettaSynonym(value = "M", source = "FpML_5_10")
	@RosettaSynonym(value = "M", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "M", source = "DTCC_11_0")
	@RosettaSynonym(value = "M", source = "DTCC_9_0")
	@RosettaSynonym(value = "M", source = "CME_ClearedConfirm_1_17")
	M,
	    

	/**
	 * Year
	 */
	@RosettaSynonym(value = "Y", source = "FpML_5_10")
	@RosettaSynonym(value = "Y", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Y", source = "DTCC_11_0")
	@RosettaSynonym(value = "Y", source = "DTCC_9_0")
	@RosettaSynonym(value = "Y", source = "CME_ClearedConfirm_1_17")
	Y    
	;

	private final String displayName;
	
	PeriodEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
