package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumeration values to specify a time period containing additional values such as Term.
 * 
 * @version 2.5.4
 */
public enum PeriodTimeEnum {
    

	/**
	 * Period measured in hours.
	 */
	@RosettaSynonym(value = "Hour", source = "FpML_5_10")
	HOUR,
	    

	/**
	 * Period measured in minutes.
	 */
	@RosettaSynonym(value = "Minute", source = "FpML_5_10")
	MINUTE,
	    

	/**
	 * Period measured in seconds.
	 */
	@RosettaSynonym(value = "Second", source = "FpML_5_10")
	SECOND    
	;

	private final String displayName;
	
	PeriodTimeEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
