package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify the premium type for forward start options.
 * 
 * @version 2.5.4
 */
public enum PremiumTypeEnum {
    

	@RosettaSynonym(value = "PrePaid", source = "FpML_5_10")
	@RosettaSynonym(value = "PrePaid", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PrePaid", source = "DTCC_11_0")
	@RosettaSynonym(value = "PrePaid", source = "DTCC_9_0")
	@RosettaSynonym(value = "PrePaid", source = "CME_ClearedConfirm_1_17")
	PRE_PAID,
	    

	@RosettaSynonym(value = "PostPaid", source = "FpML_5_10")
	@RosettaSynonym(value = "PostPaid", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "PostPaid", source = "DTCC_11_0")
	@RosettaSynonym(value = "PostPaid", source = "DTCC_9_0")
	@RosettaSynonym(value = "PostPaid", source = "CME_ClearedConfirm_1_17")
	POST_PAID,
	    

	@RosettaSynonym(value = "Variable", source = "FpML_5_10")
	@RosettaSynonym(value = "Variable", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Variable", source = "DTCC_11_0")
	@RosettaSynonym(value = "Variable", source = "DTCC_9_0")
	@RosettaSynonym(value = "Variable", source = "CME_ClearedConfirm_1_17")
	VARIABLE,
	    

	@RosettaSynonym(value = "Fixed", source = "FpML_5_10")
	@RosettaSynonym(value = "Fixed", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Fixed", source = "DTCC_11_0")
	@RosettaSynonym(value = "Fixed", source = "DTCC_9_0")
	@RosettaSynonym(value = "Fixed", source = "CME_ClearedConfirm_1_17")
	FIXED    
	;

	private final String displayName;
	
	PremiumTypeEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
