package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * he enumerated values to specify whether the price is expressed in absolute or relative terms.
 * 
 * @version 2.5.4
 */
public enum PriceExpressionEnum {
    

	/**
	 * The price is expressed as an absolute amount.
	 */
	@RosettaSynonym(value = "AbsoluteTerms", source = "FpML_5_10")
	ABSOLUTE_TERMS,
	    

	/**
	 * The price is expressed in percentage of the notional amount.
	 */
	@RosettaSynonym(value = "PercentageOfNotional", source = "FpML_5_10")
	PERCENTAGE_OF_NOTIONAL    
	;

	private final String displayName;
	
	PriceExpressionEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
