package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify a logical quantification, i.e. either All or Any.
 * 
 * @version 2.5.4
 */
public enum QuantifierEnum {
    

	/**
	 * The condition in the scope of the quantifier is true of every member of the domain i.e. every one of the elements in scope.
	 */
	@RosettaSynonym(value = "All", source = "FpML_5_10")
	ALL,
	    

	/**
	 * The condition in the scope of the quantifier is true of at least one member of the domain i.e. one or more of the elements in scope.
	 */
	@RosettaSynonym(value = "Any", source = "FpML_5_10")
	ANY    
	;

	private final String displayName;
	
	QuantifierEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
