package org.isda.cdm;


/**
 * Enumeration for the different types of quantity notations that can be specified for a product, such as the number of securities, or notional etc.
 * 
 * @version 2.5.4
 */
public enum QuantityNotationEnum {
    

	/**
	 * When the specified quantity corresponds to the number of securities
	 */
	NUMBER_OF_SECURITIES,
	    

	/**
	 * When the specified quantity corresponds to a notional
	 */
	NOTIONAL    
	;

	private final String displayName;
	
	QuantityNotationEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
