package org.isda.cdm;


/**
 * The enumeration values to qualify the type of quantity.
 * 
 * @version 2.5.4
 */
public enum QuantityTypeEnum {
    

	/**
	 * Units
	 */
	UNITS,
	    

	/**
	 * Contracts
	 */
	CONTRACTS,
	    

	/**
	 * Units of measure per time unit.
	 */
	UNITS_OF_MEASURE_PER_TIME_UNIT    
	;

	private final String displayName;
	
	QuantityTypeEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
