package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumerated values to specify a long or short spread value.
 * 
 * @version 2.5.4
 */
public enum SpreadScheduleTypeEnum {
    

	/**
	 * Represents a Long Spread Schedule. Spread schedules defined as &#39;Long&#39; will be applied to Long Positions.
	 */
	@RosettaSynonym(value = "Long", source = "FpML_5_10")
	@RosettaSynonym(value = "Long", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Long", source = "DTCC_11_0")
	@RosettaSynonym(value = "Long", source = "DTCC_9_0")
	@RosettaSynonym(value = "Long", source = "CME_ClearedConfirm_1_17")
	LONG,
	    

	/**
	 * Represents a Short Spread Schedule. Spread schedules defined as &#39;Short&#39; will be applied to Short Positions.
	 */
	@RosettaSynonym(value = "Short", source = "FpML_5_10")
	@RosettaSynonym(value = "Short", source = "CME_SubmissionIRS_1_0")
	@RosettaSynonym(value = "Short", source = "DTCC_11_0")
	@RosettaSynonym(value = "Short", source = "DTCC_9_0")
	@RosettaSynonym(value = "Short", source = "CME_ClearedConfirm_1_17")
	SHORT    
	;

	private final String displayName;
	
	SpreadScheduleTypeEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
