package org.isda.cdm;


/**
 * The enumerated values to specify taxonomy sources.
 * 
 * @version 2.5.4
 */
public enum TaxonomySourceEnum {
    

	/**
	 * The ISO 10962 Classification of Financial Instruments code
	 */
	CFI,
	    

	/**
	 * The ISDA product taxonomy
	 */
	ISDA    
	;

	private final String displayName;
	
	TaxonomySourceEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
