package org.isda.cdm;


/**
 * The enumeration values to qualify the allowed units of time.
 * 
 * @version 2.5.4
 */
public enum TimeUnitEnum {
    

	/**
	 * Second
	 */
	SECOND,
	    

	/**
	 * Minute
	 */
	MINUTE,
	    

	/**
	 * Hour
	 */
	HOUR,
	    

	/**
	 * Day
	 */
	DAY,
	    

	/**
	 * Week
	 */
	WEEK,
	    

	/**
	 * Month
	 */
	MONTH,
	    

	/**
	 * Year
	 */
	YEAR    
	;

	private final String displayName;
	
	TimeUnitEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
