package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * The enumeration values to specify the transfer status.
 * 
 * @version 2.5.4
 */
public enum TransferStatusEnum {
    

	/**
	 * The transfer is disputed.
	 */
	@RosettaSynonym(value = "disputed", source = "Rosetta_Workbench")
	DISPUTED,
	    

	/**
	 * The transfer has been instructed.
	 */
	@RosettaSynonym(value = "instructed", source = "Rosetta_Workbench")
	INSTRUCTED,
	    

	/**
	 * The transfer is pending instruction.
	 */
	@RosettaSynonym(value = "pending", source = "Rosetta_Workbench")
	PENDING,
	    

	/**
	 * The transfer has been settled.
	 */
	@RosettaSynonym(value = "settled", source = "Rosetta_Workbench")
	SETTLED    
	;

	private final String displayName;
	
	TransferStatusEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
