package org.isda.cdm;

import com.rosetta.model.lib.annotations.RosettaSynonym;

/**
 * @version 2.5.4
 */
public enum WorkflowStatusEnum {
    

	@RosettaSynonym(value = "Accepted", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Accepted", source = "Rosetta_Workbench")
	ACCEPTED,
	    

	@RosettaSynonym(value = "Alleged", source = "DTCC_11_0")
	@RosettaSynonym(value = "Alleged", source = "DTCC_9_0")
	ALLEGED,
	    

	@RosettaSynonym(value = "AMENDED", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Amended", source = "Rosetta_Workbench")
	AMENDED,
	    

	@RosettaSynonym(value = "2", source = "CME_SubmissionIRS_1_0")
	CANCELLED,
	    

	@RosettaSynonym(value = "Certain", source = "DTCC_11_0")
	@RosettaSynonym(value = "Certain", source = "DTCC_9_0")
	CERTAIN,
	    

	@RosettaSynonym(value = "CLEARED", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Cleared", source = "Rosetta_Workbench")
	CLEARED,
	    

	@RosettaSynonym(value = "101", source = "CME_SubmissionIRS_1_0")
	PENDING,
	    

	@RosettaSynonym(value = "Rejected", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Rejected", source = "Rosetta_Workbench")
	@RosettaSynonym(value = "1", source = "CME_SubmissionIRS_1_0")
	REJECTED,
	    

	@RosettaSynonym(value = "Submitted", source = "Rosetta_Workbench")
	@RosettaSynonym(value = "Submit", source = "DTCC_11_0")
	@RosettaSynonym(value = "Submit", source = "DTCC_9_0")
	@RosettaSynonym(value = "0", source = "CME_SubmissionIRS_1_0")
	SUBMITTED,
	    

	@RosettaSynonym(value = "TERMINATED", source = "CME_ClearedConfirm_1_17")
	@RosettaSynonym(value = "Terminated", source = "Rosetta_Workbench")
	TERMINATED,
	    

	@RosettaSynonym(value = "Uncertain", source = "DTCC_11_0")
	@RosettaSynonym(value = "Uncertain", source = "DTCC_9_0")
	UNCERTAIN,
	    

	@RosettaSynonym(value = "Unconfirmed", source = "DTCC_11_0")
	@RosettaSynonym(value = "Unconfirmed", source = "DTCC_9_0")
	UNCONFIRMED,
	    

	@RosettaSynonym(value = "Affirmed", source = "Rosetta_Workbench")
	AFFIRMED,
	    

	@RosettaSynonym(value = "Confirmed", source = "Rosetta_Workbench")
	CONFIRMED    
	;

	private final String displayName;
	
	WorkflowStatusEnum() {
		this.displayName = null;
	}


	@Override
	public String toString() {
		return displayName != null ?  displayName : name();
	}
	
}
