package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.Filter;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.Event;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class BusinessEventNotInScopeOfMifirRule<INKEY extends Comparable<INKEY>> implements Blueprint<Event, Event, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public BusinessEventNotInScopeOfMifirRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "BusinessEventNotInScopeOfMifir"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#BusinessEventNotInScopeOfMifir";
	}
	
	
	@Override
	public BlueprintInstance<Event, Event, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, new Filter<Event, INKEY>("model-reg-reporting.rosetta#//@elements.26/@nodes/@node", "->eventQualifier<>\"Allocation\"and->eventQualifier<>\"ClearedTrade\"and->eventQualifier<>\"Novation\"and->eventQualifier<>\"PartialNovation\"and->eventQualifier<>\"Compression\"", event -> notEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("Allocation")).and(notEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("ClearedTrade"))).and(notEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("Novation"))).and(notEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("PartialNovation"))).and(notEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("Compression"))).get()))
			.toBlueprint(getURI(), getName());
	}
}
