package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.Contract;
import org.isda.cdm.ContractState;
import org.isda.cdm.Event;
import org.isda.cdm.Inception;
import org.isda.cdm.PostInceptionState;
import org.isda.cdm.PrimitiveEvent;
import org.isda.cdm.QuantityChangePrimitive;
import org.isda.cdm.Trade;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class ContractForEventRule<INKEY extends Comparable<INKEY>> implements Blueprint<Event, Contract, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public ContractForEventRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "ContractForEvent"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#ContractForEvent";
	}
	
	
	@Override
	public BlueprintInstance<Event, Contract, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Event, Contract, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.71/@nodes/@node", "choice", new StringIdentifier("Contract"), event -> doIf(exists(MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<Inception>mapC("getInception", PrimitiveEvent::getInception).<PostInceptionState>map("getAfter", Inception::getAfter).<Contract>map("getContract", ContractState::getContract), true),MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<Inception>mapC("getInception", PrimitiveEvent::getInception).<PostInceptionState>map("getAfter", Inception::getAfter).<Contract>map("getContract", ContractState::getContract),doIf(exists(MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<QuantityChangePrimitive>mapC("getQuantityChange", PrimitiveEvent::getQuantityChange).<Trade>map("getAfter", QuantityChangePrimitive::getAfter).<Contract>map("getContract", Trade::getContract), false),MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<QuantityChangePrimitive>mapC("getQuantityChange", PrimitiveEvent::getQuantityChange).<Trade>map("getAfter", QuantityChangePrimitive::getAfter).<Contract>map("getContract", Trade::getContract),MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<Inception>mapC("getInception", PrimitiveEvent::getInception).<PostInceptionState>map("getAfter", Inception::getAfter).<Contract>map("getContract", ContractState::getContract)))))
			.toBlueprint(getURI(), getName());
	}
}
