package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import com.rosetta.model.lib.meta.FieldWithMeta;
import org.isda.cdm.Address;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class IsAddressInEEARule<INKEY extends Comparable<INKEY>> implements Blueprint<Address, Boolean, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public IsAddressInEEARule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "IsAddressInEEA"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#IsAddressInEEA";
	}
	
	
	@Override
	public BlueprintInstance<Address, Boolean, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Address, Boolean, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.92/@nodes/@node", "->country=\"FI\"or->country=\"AT\"or->country=\"PT\"or->country=\"BE\"or->country=\"BG\"or->country=\"ES\"or->country=\"HR\"or->country=\"CY\"or->country=\"CZ\"or->country=\"DK\"or->country=\"EE\"or->country=\"FI\"or->country=\"FR\"or->country=\"GF\"or->country=\"DE\"or->country=\"GI\"or->country=\"GR\"or->country=\"GP\"or->country=\"GG\"or->country=\"HU\"or->country=\"IS\"or->country=\"IE\"or->country=\"IM\"or->country=\"IT\"or->country=\"JE\"or->country=\"LV\"or->country=\"LI\"or->country=\"LT\"or->country=\"LU\"or->country=\"PT\"or->country=\"MT\"or->country=\"MQ\"or->country=\"YT\"or->country=\"NL\"or->country=\"NO\"or->country=\"PL\"or->country=\"PT\"or->country=\"RE\"or->country=\"RO\"or->country=\"BL\"or->country=\"MF\"or->country=\"PM\"or->country=\"SK\"or->country=\"SI\"or->country=\"ES\"or->country=\"SE\"or->country=\"GB\"", new StringIdentifier("->country=\"FI\"or->country=\"AT\"or->country=\"PT\"or->country=\"BE\"or->country=\"BG\"or->country=\"ES\"or->country=\"HR\"or->country=\"CY\"or->country=\"CZ\"or->country=\"DK\"or->country=\"EE\"or->country=\"FI\"or->country=\"FR\"or->country=\"GF\"or->country=\"DE\"or->country=\"GI\"or->country=\"GR\"or->country=\"GP\"or->country=\"GG\"or->country=\"HU\"or->country=\"IS\"or->country=\"IE\"or->country=\"IM\"or->country=\"IT\"or->country=\"JE\"or->country=\"LV\"or->country=\"LI\"or->country=\"LT\"or->country=\"LU\"or->country=\"PT\"or->country=\"MT\"or->country=\"MQ\"or->country=\"YT\"or->country=\"NL\"or->country=\"NO\"or->country=\"PL\"or->country=\"PT\"or->country=\"RE\"or->country=\"RO\"or->country=\"BL\"or->country=\"MF\"or->country=\"PM\"or->country=\"SK\"or->country=\"SI\"or->country=\"ES\"or->country=\"SE\"or->country=\"GB\""), address -> areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("FI")).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("AT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("BE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("BG"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("ES"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("HR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("CY"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("CZ"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("DK"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("EE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("FI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("FR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GF"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("DE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GP"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GG"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("HU"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IS"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IM"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("JE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LV"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LU"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("MT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("MQ"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("YT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("NL"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("NO"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PL"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("RE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("RO"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("BL"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("MF"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PM"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SK"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("ES"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GB")))))
			.toBlueprint(getURI(), getName());
	}
}
