package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import com.rosetta.model.lib.meta.FieldWithMeta;
import org.isda.cdm.Address;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class IsAddressInEURule<INKEY extends Comparable<INKEY>> implements Blueprint<Address, Boolean, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public IsAddressInEURule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "IsAddressInEU"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#IsAddressInEU";
	}
	
	
	@Override
	public BlueprintInstance<Address, Boolean, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Address, Boolean, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.93/@nodes/@node", "->country=\"AT\"or->country=\"BE\"or->country=\"BG\"or->country=\"CY\"or->country=\"CZ\"or->country=\"DE\"or->country=\"DK\"or->country=\"EE\"or->country=\"ES\"or->country=\"FI\"or->country=\"FR\"or->country=\"GB\"or->country=\"GR\"or->country=\"HR\"or->country=\"HU\"or->country=\"IE\"or->country=\"IT\"or->country=\"LT\"or->country=\"LU\"or->country=\"LV\"or->country=\"MT\"or->country=\"NL\"or->country=\"PO\"or->country=\"PT\"or->country=\"RO\"or->country=\"SE\"or->country=\"SI\"or->country=\"SK\"", new StringIdentifier("->country=\"AT\"or->country=\"BE\"or->country=\"BG\"or->country=\"CY\"or->country=\"CZ\"or->country=\"DE\"or->country=\"DK\"or->country=\"EE\"or->country=\"ES\"or->country=\"FI\"or->country=\"FR\"or->country=\"GB\"or->country=\"GR\"or->country=\"HR\"or->country=\"HU\"or->country=\"IE\"or->country=\"IT\"or->country=\"LT\"or->country=\"LU\"or->country=\"LV\"or->country=\"MT\"or->country=\"NL\"or->country=\"PO\"or->country=\"PT\"or->country=\"RO\"or->country=\"SE\"or->country=\"SI\"or->country=\"SK\""), address -> areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("AT")).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("BE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("BG"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("CY"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("CZ"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("DE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("DK"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("EE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("ES"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("FI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("FR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GB"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("GR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("HR"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("HU"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("IT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LU"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("LV"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("MT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("NL"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PO"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("PT"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("RO"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SE"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SI"))).or(areEqual(MapperS.of(address).map("getCountry", Address::getCountry).<String>map("getValue", FieldWithMeta::getValue), MapperS.of("SK")))))
			.toBlueprint(getURI(), getName());
	}
}
