package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.CreditDefaultPayout;
import org.isda.cdm.Payout;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class IsCreditDefaultSwapRule<INKEY extends Comparable<INKEY>> implements Blueprint<Payout, Boolean, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public IsCreditDefaultSwapRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "IsCreditDefaultSwap"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#IsCreditDefaultSwap";
	}
	
	
	@Override
	public BlueprintInstance<Payout, Boolean, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Payout, Boolean, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.84/@nodes/@node", "->creditDefaultPayout exists", new StringIdentifier("->creditDefaultPayout exists"), payout -> exists(MapperS.of(payout).<CreditDefaultPayout>map("getCreditDefaultPayout", Payout::getCreditDefaultPayout), false)))
			.toBlueprint(getURI(), getName());
	}
}
