package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.FloatingRateSpecification;
import org.isda.cdm.InterestRatePayout;
import org.isda.cdm.Payout;
import org.isda.cdm.RateSpecification;
import org.isda.cdm.Schedule;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class IsFixedFloatRule<INKEY extends Comparable<INKEY>> implements Blueprint<Payout, Boolean, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public IsFixedFloatRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "IsFixedFloat"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#IsFixedFloat";
	}
	
	
	@Override
	public BlueprintInstance<Payout, Boolean, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Payout, Boolean, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.77/@nodes/@node", "->interestRatePayout->rateSpecification->fixedRate count = 1and->interestRatePayout->rateSpecification->floatingRate count = 1", new StringIdentifier("->interestRatePayout->rateSpecification->fixedRate count = 1and->interestRatePayout->rateSpecification->floatingRate count = 1"), payout -> areEqual(MapperS.of(MapperS.of(payout).<InterestRatePayout>mapC("getInterestRatePayout", Payout::getInterestRatePayout).<RateSpecification>map("getRateSpecification", InterestRatePayout::getRateSpecification).<Schedule>map("getFixedRate", RateSpecification::getFixedRate).resultCount()), MapperS.of(Integer.valueOf(1))).and(areEqual(MapperS.of(MapperS.of(payout).<InterestRatePayout>mapC("getInterestRatePayout", Payout::getInterestRatePayout).<RateSpecification>map("getRateSpecification", InterestRatePayout::getRateSpecification).<FloatingRateSpecification>map("getFloatingRate", RateSpecification::getFloatingRate).resultCount()), MapperS.of(Integer.valueOf(1))))))
			.toBlueprint(getURI(), getName());
	}
}
