package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.CrossCurrencyTerms;
import org.isda.cdm.InterestRatePayout;
import org.isda.cdm.Payout;
import org.isda.cdm.PrincipalExchanges;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class IsXCCYSwapRule<INKEY extends Comparable<INKEY>> implements Blueprint<Payout, Boolean, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public IsXCCYSwapRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "IsXCCYSwap"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#IsXCCYSwap";
	}
	
	
	@Override
	public BlueprintInstance<Payout, Boolean, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Payout, Boolean, INKEY>newRosettaMultipleMapper("model-reg-reporting.rosetta#//@elements.82/@nodes/@node", "->interestRatePayout->crossCurrencyTerms->principalExchanges exists", new StringIdentifier("->interestRatePayout->crossCurrencyTerms->principalExchanges exists"), payout -> exists(MapperS.of(payout).<InterestRatePayout>mapC("getInterestRatePayout", Payout::getInterestRatePayout).<CrossCurrencyTerms>map("getCrossCurrencyTerms", InterestRatePayout::getCrossCurrencyTerms).<PrincipalExchanges>map("getPrincipalExchanges", CrossCurrencyTerms::getPrincipalExchanges), false)))
			.toBlueprint(getURI(), getName());
	}
}
