package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.Filter;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.Event;
import org.isda.cdm.PrimitiveEvent;
import org.isda.cdm.QuantityChangePrimitive;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class QuantityChangeRule<INKEY extends Comparable<INKEY>> implements Blueprint<Event, Event, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public QuantityChangeRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "QuantityChange"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#QuantityChange";
	}
	
	
	@Override
	public BlueprintInstance<Event, Event, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, new Filter<Event, INKEY>("model-reg-reporting.rosetta#//@elements.27/@nodes/@node", "->primitive->quantityChange exists", event -> exists(MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<QuantityChangePrimitive>mapC("getQuantityChange", PrimitiveEvent::getQuantityChange), false).get()))
			.toBlueprint(getURI(), getName());
	}
}
