package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.Contract;
import org.isda.cdm.ContractualProduct;
import org.isda.cdm.EconomicTerms;
import org.isda.cdm.InterestRatePayout;
import org.isda.cdm.Payout;
import org.isda.cdm.RateSpecification;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class RateSpecificationRule<INKEY extends Comparable<INKEY>> implements Blueprint<Contract, RateSpecification, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public RateSpecificationRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "RateSpecification"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#RateSpecification";
	}
	
	
	@Override
	public BlueprintInstance<Contract, RateSpecification, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Contract, RateSpecification, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.72/@nodes/@node", "->contractualProduct->economicTerms->payout->interestRatePayout->rateSpecification", new StringIdentifier("Rate Specification"), contract -> MapperS.of(contract).<ContractualProduct>map("getContractualProduct", Contract::getContractualProduct).<EconomicTerms>map("getEconomicTerms", ContractualProduct::getEconomicTerms).<Payout>map("getPayout", EconomicTerms::getPayout).<InterestRatePayout>mapC("getInterestRatePayout", Payout::getInterestRatePayout).<RateSpecification>map("getRateSpecification", InterestRatePayout::getRateSpecification)))
			.toBlueprint(getURI(), getName());
	}
}
