package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.MapperTree;
import org.isda.cdm.ActionEnum;
import org.isda.cdm.Event;
import org.isda.cdm.Inception;
import org.isda.cdm.PrimitiveEvent;
import org.isda.cdm.QuantityChangePrimitive;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;
import static com.rosetta.model.lib.validation.MapperTreeValidatorHelper.*;
import static com.rosetta.model.lib.validation.ValidatorHelper.*;

/**
 * @version 2.5.4
 */
public class ReportStatusRule<INKEY extends Comparable<INKEY>> implements Blueprint<Event, String, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public ReportStatusRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "ReportStatus"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#ReportStatus";
	}
	
	
	@Override
	public BlueprintInstance<Event, String, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<Event, String, INKEY>newRosettaSingleMapper("model-reg-reporting.rosetta#//@elements.38/@nodes/@node", "choice", new StringIdentifier("Report Status"), event -> doIf(exists(MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<Inception>mapC("getInception", PrimitiveEvent::getInception), false).or(exists(MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive).<QuantityChangePrimitive>mapC("getQuantityChange", PrimitiveEvent::getQuantityChange), false)),MapperS.of("NEWT"),doIf(areEqual(MapperS.of(event).<ActionEnum>map("getAction", Event::getAction), MapperS.of(ActionEnum.CANCEL)),MapperS.of("CANC"),doIf(areEqual(MapperS.of(event).<String>map("getEventQualifier", Event::getEventQualifier), MapperS.of("Termination")),MapperS.of("CANC"),MapperS.of(""))))))
			.toBlueprint(getURI(), getName());
	}
}
