package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.FilterByRule;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import org.isda.cdm.Event;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;

/**
 * @version 2.5.4
 */
public class ReportableProductRule<INKEY extends Comparable<INKEY>> implements Blueprint<Event, Event, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public ReportableProductRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "ReportableProduct"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#ReportableProduct";
	}
	
	
	@Override
	public BlueprintInstance<Event, Event, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, new FilterByRule<Event, INKEY>("model-reg-reporting.rosetta#//@elements.22/@nodes/@node", "HasContract", new HasContractRule<INKEY>(actionFactory).blueprint()))
			.toBlueprint(getURI(), getName());
	}
}
