package org.isda.cdm.blueprint;
			
import com.regnosys.rosetta.blueprints.Blueprint;
import com.regnosys.rosetta.blueprints.BlueprintBuilder;
import com.regnosys.rosetta.blueprints.BlueprintInstance;
import com.regnosys.rosetta.blueprints.runner.actions.rosetta.RosettaActionFactory;
import com.regnosys.rosetta.blueprints.runner.data.StringIdentifier;
import com.regnosys.rosetta.blueprints.runner.nodes.SinkNode;
import com.regnosys.rosetta.blueprints.runner.nodes.SourceNode;
import com.rosetta.model.lib.functions.MapperS;
import static com.regnosys.rosetta.blueprints.BlueprintBuilder.*;

/**
 * @version 2.5.4
 */
public class SecuritiesFinancingTransactionIndicatorRule<IN, INKEY extends Comparable<INKEY>> implements Blueprint<IN, String, INKEY, INKEY> {

	private final RosettaActionFactory actionFactory;

	public SecuritiesFinancingTransactionIndicatorRule(RosettaActionFactory actionFactory) {
		this.actionFactory = actionFactory;
	}
	
	@Override
	public String getName() {
		return "SecuritiesFinancingTransactionIndicator"; 
	}
	
	@Override
	public String getURI() {
		return "model-reg-reporting.rosetta#SecuritiesFinancingTransactionIndicator";
	}
	
	
	@Override
	public BlueprintInstance<IN, String, INKEY, INKEY> blueprint() { 
		return 
			startsWith(actionFactory, actionFactory.<IN, String, INKEY> newRosettaReturn("model-reg-reporting.rosetta#//@elements.70/@nodes/@node", "\"Out Of Scope\"",  new StringIdentifier("Securities Financing Transaction Indicator"),  () -> MapperS.of("Out Of Scope")))
			.toBlueprint(getURI(), getName());
	}
}
