package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.CalculationPeriodData;
import org.isda.cdm.CalculationPeriodDates;


@ImplementedBy(CalculationPeriodImpl.class)
public abstract class CalculationPeriod implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param calculationPeriodDates 
	* @param date 
	* @return result 
	*/
	public CalculationPeriodData evaluate(CalculationPeriodDates calculationPeriodDates, Date date) {
		
		CalculationPeriodData result = doEvaluate(calculationPeriodDates, date).build();
		
		objectValidator.validateAndFailOnErorr(CalculationPeriodData.class, result);
		return result;
	}
	
	protected abstract CalculationPeriodData.CalculationPeriodDataBuilder doEvaluate(CalculationPeriodDates calculationPeriodDates, Date date);
}
