package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.lang.Boolean;
import java.math.BigDecimal;
import org.isda.cdm.ContractualQuantity;


@ImplementedBy(EqualsImpl.class)
public abstract class Equals implements RosettaFunction {

	/**
	* @param contractualQuantity 
	* @param scalar 
	* @return result 
	*/
	public Boolean evaluate(ContractualQuantity contractualQuantity, BigDecimal scalar) {
		
		Boolean result = doEvaluate(contractualQuantity, scalar);
		
		return result;
	}
	
	protected abstract Boolean doEvaluate(ContractualQuantity contractualQuantity, BigDecimal scalar);
}
