package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.EquityPayout;
import org.isda.cdm.PayerReceiver;


@ImplementedBy(EquityAmountPayerImpl.class)
public abstract class EquityAmountPayer implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param equityPayout 
	* @return payerReceiver 
	*/
	public PayerReceiver evaluate(EquityPayout equityPayout) {
		
		PayerReceiver payerReceiver = doEvaluate(equityPayout).build();
		
		objectValidator.validateAndFailOnErorr(PayerReceiver.class, payerReceiver);
		return payerReceiver;
	}
	
	protected abstract PayerReceiver.PayerReceiverBuilder doEvaluate(EquityPayout equityPayout);
}
