package org.isda.cdm.functions;

import com.rosetta.model.lib.functions.Mapper;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.math.BigDecimalExtensions;
import java.math.BigDecimal;
import org.isda.cdm.Quantity;


public class EquityNotionalAmount implements RosettaFunction {

	/**
	* @param numberOfSecurities 
	* @param price 
	* @return equityNotionalAmount 
	*/
	public BigDecimal evaluate(Quantity numberOfSecurities, BigDecimal price) {
		
		BigDecimal equityNotionalAmount = doEvaluate(numberOfSecurities, price);
		
		return equityNotionalAmount;
	}
	
	protected BigDecimal doEvaluate(Quantity numberOfSecurities, BigDecimal price) {
		Mapper<BigDecimal> equityNotionalAmountHolder = null;
		equityNotionalAmountHolder = MapperS.of(BigDecimalExtensions.multiply(numberOfSecurities.toBuilder().getAmount(), price));
		return equityNotionalAmountHolder.get();
	}
	
}
