package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import java.math.BigDecimal;
import org.isda.cdm.Equity;
import org.isda.cdm.TimeZone;


@ImplementedBy(EquitySpotImpl.class)
public abstract class EquitySpot implements RosettaFunction {

	/**
	* @param equity 
	* @param date 
	* @param time 
	* @return spot 
	*/
	public BigDecimal evaluate(Equity equity, Date date, TimeZone time) {
		
		BigDecimal spot = doEvaluate(equity, date, time);
		
		return spot;
	}
	
	protected abstract BigDecimal doEvaluate(Equity equity, Date date, TimeZone time);
}
