package org.isda.cdm.functions;

import com.google.inject.Inject;
import com.rosetta.model.lib.functions.MapperBuilder;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import java.lang.SuppressWarnings;
import org.isda.cdm.ContractState;
import org.isda.cdm.Event;
import org.isda.cdm.PrimitiveEvent;

import static com.rosetta.model.lib.functions.ExpressionOperators.exists;

public class ExtractContractState implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param event 
	* @return contractState 
	*/
	public ContractState evaluate(Event event) {
		
		ContractState contractState = doEvaluate(event).build();
		
		objectValidator.validateAndFailOnErorr(ContractState.class, contractState);
		return contractState;
	}
	
	protected ContractState.ContractStateBuilder doEvaluate(Event event) {
		ContractState.ContractStateBuilder contractStateHolder = ContractState.builder();
		@SuppressWarnings("unused") ContractState contractState = contractStateHolder.build();
		contractStateHolder = exists(primitive(event).get().toBuilder().getOrCreateContractFormation(0)) ? primitive(event).get().toBuilder().getOrCreateContractFormation(0).getOrCreateAfter() : exists(primitive(event).get().toBuilder().getOrCreateReset(0)) ? primitive(event).get().toBuilder().getOrCreateReset(0).getOrCreateAfter() : null
		;
		return contractStateHolder;
	}
	
	
	protected MapperBuilder<PrimitiveEvent> primitive(Event event) {
		return MapperS.of(event).<PrimitiveEvent>map("getPrimitive", Event::getPrimitive);
	}
}
