package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.ContractualQuantity;
import org.isda.cdm.Trade;


@ImplementedBy(ExtractQuantityImpl.class)
public abstract class ExtractQuantity implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param trade 
	* @return quantity 
	*/
	public ContractualQuantity evaluate(Trade trade) {
		
		ContractualQuantity quantity = doEvaluate(trade).build();
		
		objectValidator.validateAndFailOnErorr(ContractualQuantity.class, quantity);
		return quantity;
	}
	
	protected abstract ContractualQuantity.ContractualQuantityBuilder doEvaluate(Trade trade);
}
