package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.FloatingRateSpecification;
import org.isda.cdm.SpreadSchedule;


@ImplementedBy(GetRateScheduleImpl.class)
public abstract class GetRateSchedule implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param floatingRateCalculation 
	* @return schedule 
	*/
	public SpreadSchedule evaluate(FloatingRateSpecification floatingRateCalculation) {
		
		SpreadSchedule schedule = doEvaluate(floatingRateCalculation).build();
		
		objectValidator.validateAndFailOnErorr(SpreadSchedule.class, schedule);
		return schedule;
	}
	
	protected abstract SpreadSchedule.SpreadScheduleBuilder doEvaluate(FloatingRateSpecification floatingRateCalculation);
}
