package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.math.BigDecimal;
import org.isda.cdm.ForwardPayout;


@ImplementedBy(InterpolateForwardRateImpl.class)
public abstract class InterpolateForwardRate implements RosettaFunction {

	/**
	* @param forward 
	* @return result 
	*/
	public BigDecimal evaluate(ForwardPayout forward) {
		
		BigDecimal result = doEvaluate(forward);
		
		return result;
	}
	
	protected abstract BigDecimal doEvaluate(ForwardPayout forward);
}
