package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.lang.Integer;
import org.isda.cdm.CalculationPeriodFrequency;


@ImplementedBy(PeriodsInYearImpl.class)
public abstract class PeriodsInYear implements RosettaFunction {

	/**
	* @param frequency 
	* @return numberOfPeriods 
	*/
	public Integer evaluate(CalculationPeriodFrequency frequency) {
		
		Integer numberOfPeriods = doEvaluate(frequency);
		
		return numberOfPeriods;
	}
	
	protected abstract Integer doEvaluate(CalculationPeriodFrequency frequency);
}
