package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.ContractualQuantity;


@ImplementedBy(PlusImpl.class)
public abstract class Plus implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param q1 
	* @param q2 
	* @return result 
	*/
	public ContractualQuantity evaluate(ContractualQuantity q1, ContractualQuantity q2) {
		
		ContractualQuantity result = doEvaluate(q1, q2).build();
		
		objectValidator.validateAndFailOnErorr(ContractualQuantity.class, result);
		return result;
	}
	
	protected abstract ContractualQuantity.ContractualQuantityBuilder doEvaluate(ContractualQuantity q1, ContractualQuantity q2);
}
