package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.lang.Boolean;
import java.math.BigDecimal;
import org.isda.cdm.Quantity;


@ImplementedBy(QuantityEqualsImpl.class)
public abstract class QuantityEquals implements RosettaFunction {

	/**
	* @param q1 
	* @param q2 
	* @param precision 
	* @return result 
	*/
	public Boolean evaluate(Quantity q1, Quantity q2, BigDecimal precision) {
		
		Boolean result = doEvaluate(q1, q2, precision);
		
		return result;
	}
	
	protected abstract Boolean doEvaluate(Quantity q1, Quantity q2, BigDecimal precision);
}
