package org.isda.cdm.functions;

import com.rosetta.model.lib.functions.Mapper;
import com.rosetta.model.lib.functions.MapperS;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.math.BigDecimalExtensions;
import java.math.BigDecimal;


public class RateOfReturn implements RosettaFunction {

	/**
	* @param initialPrice 
	* @param finalPrice 
	* @return rateOfReturn 
	*/
	public BigDecimal evaluate(BigDecimal initialPrice, BigDecimal finalPrice) {
		
		BigDecimal rateOfReturn = doEvaluate(initialPrice, finalPrice);
		
		return rateOfReturn;
	}
	
	protected BigDecimal doEvaluate(BigDecimal initialPrice, BigDecimal finalPrice) {
		Mapper<BigDecimal> rateOfReturnHolder = null;
		rateOfReturnHolder = MapperS.of(BigDecimalExtensions.divide((BigDecimalExtensions.subtract(finalPrice, initialPrice)), initialPrice));
		return rateOfReturnHolder.get();
	}
	
}
