package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import org.isda.cdm.AdjustableOrRelativeDate;


@ImplementedBy(ResolveAdjustableDateImpl.class)
public abstract class ResolveAdjustableDate implements RosettaFunction {

	/**
	* @param terminationDate 
	* @return adjustedDate 
	*/
	public Date evaluate(AdjustableOrRelativeDate terminationDate) {
		
		Date adjustedDate = doEvaluate(terminationDate);
		
		return adjustedDate;
	}
	
	protected abstract Date doEvaluate(AdjustableOrRelativeDate terminationDate);
}
