package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import java.math.BigDecimal;
import org.isda.cdm.EquityValuation;


@ImplementedBy(ResolvePriceImpl.class)
public abstract class ResolvePrice implements RosettaFunction {

	/**
	* @param equityValuation 
	* @param date 
	* @return price 
	*/
	public BigDecimal evaluate(EquityValuation equityValuation, Date date) {
		
		BigDecimal price = doEvaluate(equityValuation, date);
		
		return price;
	}
	
	protected abstract BigDecimal doEvaluate(EquityValuation equityValuation, Date date);
}
