package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import java.math.BigDecimal;
import org.isda.cdm.FloatingRateIndexEnum;


@ImplementedBy(ResolveRateIndexImpl.class)
public abstract class ResolveRateIndex implements RosettaFunction {

	/**
	* @param index 
	* @return rate 
	*/
	public BigDecimal evaluate(FloatingRateIndexEnum index) {
		
		BigDecimal rate = doEvaluate(index);
		
		return rate;
	}
	
	protected abstract BigDecimal doEvaluate(FloatingRateIndexEnum index);
}
