package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.DeterminationMethodEnum;
import org.isda.cdm.TimeTypeEnum;
import org.isda.cdm.TimeZone;


@ImplementedBy(ResolveTimeZoneFromTimeTypeImpl.class)
public abstract class ResolveTimeZoneFromTimeType implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param timeType 
	* @param determinationMethod 
	* @return time 
	*/
	public TimeZone evaluate(TimeTypeEnum timeType, DeterminationMethodEnum determinationMethod) {
		
		TimeZone time = doEvaluate(timeType, determinationMethod).build();
		
		objectValidator.validateAndFailOnErorr(TimeZone.class, time);
		return time;
	}
	
	protected abstract TimeZone.TimeZoneBuilder doEvaluate(TimeTypeEnum timeType, DeterminationMethodEnum determinationMethod);
}
