package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import java.util.List;
import org.isda.cdm.Quantity;


@ImplementedBy(SumImpl.class)
public abstract class Sum implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param quantities 
	* @return sum 
	*/
	public Quantity evaluate(List<Quantity> quantities) {
		
		Quantity sum = doEvaluate(quantities).build();
		
		objectValidator.validateAndFailOnErorr(Quantity.class, sum);
		return sum;
	}
	
	protected abstract Quantity.QuantityBuilder doEvaluate(List<Quantity> quantities);
}
