package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.google.inject.Inject;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.validation.ModelObjectValidator;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.TimeZone;


@ImplementedBy(TimeZoneFromBusinessCenterTimeImpl.class)
public abstract class TimeZoneFromBusinessCenterTime implements RosettaFunction {
	
	@Inject protected ModelObjectValidator objectValidator;

	/**
	* @param time 
	* @return result 
	*/
	public TimeZone evaluate(BusinessCenterTime time) {
		
		TimeZone result = doEvaluate(time).build();
		
		objectValidator.validateAndFailOnErorr(TimeZone.class, result);
		return result;
	}
	
	protected abstract TimeZone.TimeZoneBuilder doEvaluate(BusinessCenterTime time);
}
