package org.isda.cdm.functions;

import com.google.inject.ImplementedBy;
import com.rosetta.model.lib.functions.RosettaFunction;
import com.rosetta.model.lib.records.Date;
import java.time.ZonedDateTime;


@ImplementedBy(ToDateTimeImpl.class)
public abstract class ToDateTime implements RosettaFunction {

	/**
	* @param date 
	* @return datetime 
	*/
	public ZonedDateTime evaluate(Date date) {
		
		ZonedDateTime datetime = doEvaluate(date);
		
		return datetime;
	}
	
	protected abstract ZonedDateTime doEvaluate(Date date);
}
