package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ActualPrice;
import org.isda.cdm.PriceExpressionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ActualPrice.class)
public class ActualPriceMeta implements RosettaMetaData<ActualPrice> {

	@Override
	public List<Validator<? super ActualPrice>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ActualPriceCurrencyDataRule()
		);
	}

	@Override
	public List<Validator<? super ActualPrice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ActualPrice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ActualPrice> validator() {
		return new org.isda.cdm.validation.ActualPriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ActualPrice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ActualPriceOnlyExistsValidator();
	}
}
