package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalDisruptionEvents;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalDisruptionEvents.class)
public class AdditionalDisruptionEventsMeta implements RosettaMetaData<AdditionalDisruptionEvents> {

	@Override
	public List<Validator<? super AdditionalDisruptionEvents>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AdditionalDisruptionEventsMaximumStockLoanRateDataRule(),
			new org.isda.cdm.validation.datarule.AdditionalDisruptionEventsInitialStockLoanRateDataRule()
		);
	}

	@Override
	public List<Validator<? super AdditionalDisruptionEvents>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalDisruptionEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalDisruptionEvents> validator() {
		return new org.isda.cdm.validation.AdditionalDisruptionEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalDisruptionEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalDisruptionEventsOnlyExistsValidator();
	}
}
