package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalRightsEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalRightsEvent.class)
public class AdditionalRightsEventMeta implements RosettaMetaData<AdditionalRightsEvent> {

	@Override
	public List<Validator<? super AdditionalRightsEvent>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AdditionalRightsEventQualificationDataRule()
		);
	}

	@Override
	public List<Validator<? super AdditionalRightsEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalRightsEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalRightsEvent> validator() {
		return new org.isda.cdm.validation.AdditionalRightsEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalRightsEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalRightsEventOnlyExistsValidator();
	}
}
