package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalType;
import org.isda.cdm.AdditionalTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdditionalType.class)
public class AdditionalTypeMeta implements RosettaMetaData<AdditionalType> {

	@Override
	public List<Validator<? super AdditionalType>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AdditionalTypeCustomValueDataRule(),
			new org.isda.cdm.validation.datarule.AdditionalTypeStandardValueDataRule()
		);
	}

	@Override
	public List<Validator<? super AdditionalType>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdditionalType, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdditionalType> validator() {
		return new org.isda.cdm.validation.AdditionalTypeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdditionalType, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdditionalTypeOnlyExistsValidator();
	}
}
