package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.BusinessDayAdjustments;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableDate.class)
public class AdjustableDateMeta implements RosettaMetaData<AdjustableDate> {

	@Override
	public List<Validator<? super AdjustableDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdjustableDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.AdjustableDateChoiceRule()
		);
	}

	@Override
	public List<Function<? super AdjustableDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableDate> validator() {
		return new org.isda.cdm.validation.AdjustableDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableDateOnlyExistsValidator();
	}
}
