package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrAdjustedDate;
import org.isda.cdm.BusinessDayAdjustments;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableOrAdjustedDate.class)
public class AdjustableOrAdjustedDateMeta implements RosettaMetaData<AdjustableOrAdjustedDate> {

	@Override
	public List<Validator<? super AdjustableOrAdjustedDate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AdjustableOrAdjustedDateAdjustedDateDataRule()
		);
	}

	@Override
	public List<Validator<? super AdjustableOrAdjustedDate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdjustableOrAdjustedDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableOrAdjustedDate> validator() {
		return new org.isda.cdm.validation.AdjustableOrAdjustedDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableOrAdjustedDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableOrAdjustedDateOnlyExistsValidator();
	}
}
