package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrAdjustedOrRelativeDate;
import org.isda.cdm.BusinessDayAdjustments;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableOrAdjustedOrRelativeDate.class)
public class AdjustableOrAdjustedOrRelativeDateMeta implements RosettaMetaData<AdjustableOrAdjustedOrRelativeDate> {

	@Override
	public List<Validator<? super AdjustableOrAdjustedOrRelativeDate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AdjustableOrAdjustedOrRelativeDateAdjustedDateDataRule()
		);
	}

	@Override
	public List<Validator<? super AdjustableOrAdjustedOrRelativeDate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AdjustableOrAdjustedOrRelativeDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableOrAdjustedOrRelativeDate> validator() {
		return new org.isda.cdm.validation.AdjustableOrAdjustedOrRelativeDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableOrAdjustedOrRelativeDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableOrAdjustedOrRelativeDateOnlyExistsValidator();
	}
}
