package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.AdjustedRelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableOrRelativeDate.class)
public class AdjustableOrRelativeDateMeta implements RosettaMetaData<AdjustableOrRelativeDate> {

	@Override
	public List<Validator<? super AdjustableOrRelativeDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdjustableOrRelativeDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.AdjustableOrRelativeDateChoiceRule()
		);
	}

	@Override
	public List<Function<? super AdjustableOrRelativeDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableOrRelativeDate> validator() {
		return new org.isda.cdm.validation.AdjustableOrRelativeDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableOrRelativeDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableOrRelativeDateOnlyExistsValidator();
	}
}
