package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDates;
import org.isda.cdm.AdjustableOrRelativeDates;
import org.isda.cdm.RelativeDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AdjustableOrRelativeDates.class)
public class AdjustableOrRelativeDatesMeta implements RosettaMetaData<AdjustableOrRelativeDates> {

	@Override
	public List<Validator<? super AdjustableOrRelativeDates>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AdjustableOrRelativeDates>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.AdjustableOrRelativeDatesChoiceRule()
		);
	}

	@Override
	public List<Function<? super AdjustableOrRelativeDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AdjustableOrRelativeDates> validator() {
		return new org.isda.cdm.validation.AdjustableOrRelativeDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AdjustableOrRelativeDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AdjustableOrRelativeDatesOnlyExistsValidator();
	}
}
