package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AllocationOutcome;
import org.isda.cdm.Trade;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AllocationOutcome.class)
public class AllocationOutcomeMeta implements RosettaMetaData<AllocationOutcome> {

	@Override
	public List<Validator<? super AllocationOutcome>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AllocationOutcomeExecutionClosedDataRule(),
			new org.isda.cdm.validation.datarule.AllocationOutcomeContractClosedDataRule()
		);
	}

	@Override
	public List<Validator<? super AllocationOutcome>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AllocationOutcome, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AllocationOutcome> validator() {
		return new org.isda.cdm.validation.AllocationOutcomeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AllocationOutcome, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AllocationOutcomeOnlyExistsValidator();
	}
}
