package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AllocationOutcome;
import org.isda.cdm.AllocationPrimitive;
import org.isda.cdm.Trade;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AllocationPrimitive.class)
public class AllocationPrimitiveMeta implements RosettaMetaData<AllocationPrimitive> {

	@Override
	public List<Validator<? super AllocationPrimitive>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AllocationPrimitiveExecutionTypeDataRule(),
			new org.isda.cdm.validation.datarule.AllocationPrimitiveContractTypeDataRule()
		);
	}

	@Override
	public List<Validator<? super AllocationPrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AllocationPrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AllocationPrimitive> validator() {
		return new org.isda.cdm.validation.AllocationPrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AllocationPrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AllocationPrimitiveOnlyExistsValidator();
	}
}
