package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmendmentEffectiveDate;
import org.isda.cdm.AmendmentEffectiveDateEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AmendmentEffectiveDate.class)
public class AmendmentEffectiveDateMeta implements RosettaMetaData<AmendmentEffectiveDate> {

	@Override
	public List<Validator<? super AmendmentEffectiveDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AmendmentEffectiveDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.AmendmentEffectiveDateOneOfRule()
		);
	}

	@Override
	public List<Function<? super AmendmentEffectiveDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AmendmentEffectiveDate> validator() {
		return new org.isda.cdm.validation.AmendmentEffectiveDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AmendmentEffectiveDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AmendmentEffectiveDateOnlyExistsValidator();
	}
}
