package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AppropriatedCollateralValuation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AppropriatedCollateralValuation.class)
public class AppropriatedCollateralValuationMeta implements RosettaMetaData<AppropriatedCollateralValuation> {

	@Override
	public List<Validator<? super AppropriatedCollateralValuation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AppropriatedCollateralValuationSpecifiedDataRule(),
			new org.isda.cdm.validation.datarule.AppropriatedCollateralValuationNotSpecifiedDataRule()
		);
	}

	@Override
	public List<Validator<? super AppropriatedCollateralValuation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AppropriatedCollateralValuation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AppropriatedCollateralValuation> validator() {
		return new org.isda.cdm.validation.AppropriatedCollateralValuationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AppropriatedCollateralValuation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AppropriatedCollateralValuationOnlyExistsValidator();
	}
}
