package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssetPool;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AssetPool.class)
public class AssetPoolMeta implements RosettaMetaData<AssetPool> {

	@Override
	public List<Validator<? super AssetPool>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.AssetPoolEffectiveDateDataRule()
		);
	}

	@Override
	public List<Validator<? super AssetPool>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super AssetPool, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AssetPool> validator() {
		return new org.isda.cdm.validation.AssetPoolValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AssetPool, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AssetPoolOnlyExistsValidator();
	}
}
