package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AveragingObservationList;
import org.isda.cdm.AveragingPeriod;
import org.isda.cdm.AveragingSchedule;
import org.isda.cdm.DateTimeList;
import org.isda.cdm.MarketDisruptionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=AveragingPeriod.class)
public class AveragingPeriodMeta implements RosettaMetaData<AveragingPeriod> {

	@Override
	public List<Validator<? super AveragingPeriod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super AveragingPeriod>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.AveragingPeriodChoiceRule()
		);
	}

	@Override
	public List<Function<? super AveragingPeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super AveragingPeriod> validator() {
		return new org.isda.cdm.validation.AveragingPeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super AveragingPeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.AveragingPeriodOnlyExistsValidator();
	}
}
