package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BasketReferenceInformation;
import org.isda.cdm.ReferencePool;
import org.isda.cdm.Tranche;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BasketReferenceInformation.class)
public class BasketReferenceInformationMeta implements RosettaMetaData<BasketReferenceInformation> {

	@Override
	public List<Validator<? super BasketReferenceInformation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.BasketReferenceInformationNthToDefaultDataRule(),
			new org.isda.cdm.validation.datarule.BasketReferenceInformationNthToDefaultMthToDefaultDataRule()
		);
	}

	@Override
	public List<Validator<? super BasketReferenceInformation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.BasketReferenceInformationChoiceRule()
		);
	}

	@Override
	public List<Function<? super BasketReferenceInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BasketReferenceInformation> validator() {
		return new org.isda.cdm.validation.BasketReferenceInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BasketReferenceInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BasketReferenceInformationOnlyExistsValidator();
	}
}
