package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Bond;
import org.isda.cdm.BondChoiceModel;
import org.isda.cdm.ConvertibleBond;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondChoiceModel.class)
public class BondChoiceModelMeta implements RosettaMetaData<BondChoiceModel> {

	@Override
	public List<Validator<? super BondChoiceModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondChoiceModel>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.BondChoiceModelOneOfRule()
		);
	}

	@Override
	public List<Function<? super BondChoiceModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondChoiceModel> validator() {
		return new org.isda.cdm.validation.BondChoiceModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondChoiceModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondChoiceModelOnlyExistsValidator();
	}
}
