package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondChoiceModel;
import org.isda.cdm.BondEquityModel;
import org.isda.cdm.Equity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondEquityModel.class)
public class BondEquityModelMeta implements RosettaMetaData<BondEquityModel> {

	@Override
	public List<Validator<? super BondEquityModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondEquityModel>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.BondEquityModelOneOfRule()
		);
	}

	@Override
	public List<Function<? super BondEquityModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondEquityModel> validator() {
		return new org.isda.cdm.validation.BondEquityModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondEquityModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondEquityModelOnlyExistsValidator();
	}
}
