package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondOptionStrike;
import org.isda.cdm.OptionStrike;
import org.isda.cdm.ReferenceSwapCurve;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BondOptionStrike.class)
public class BondOptionStrikeMeta implements RosettaMetaData<BondOptionStrike> {

	@Override
	public List<Validator<? super BondOptionStrike>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BondOptionStrike>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.BondOptionStrikeOneOfRule()
		);
	}

	@Override
	public List<Function<? super BondOptionStrike, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BondOptionStrike> validator() {
		return new org.isda.cdm.validation.BondOptionStrikeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BondOptionStrike, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BondOptionStrikeOnlyExistsValidator();
	}
}
