package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.BusinessCenters;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=BusinessCenters.class)
public class BusinessCentersMeta implements RosettaMetaData<BusinessCenters> {

	@Override
	public List<Validator<? super BusinessCenters>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super BusinessCenters>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.BusinessCentersChoiceRule()
		);
	}

	@Override
	public List<Function<? super BusinessCenters, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super BusinessCenters> validator() {
		return new org.isda.cdm.validation.BusinessCentersValidator();
	}
	
	@Override
	public ValidatorWithArg<? super BusinessCenters, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.BusinessCentersOnlyExistsValidator();
	}
}
