package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterEnum;
import org.isda.cdm.CalculationAgent;
import org.isda.cdm.CalculationAgentPartyEnum;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationAgent.class)
public class CalculationAgentMeta implements RosettaMetaData<CalculationAgent> {

	@Override
	public List<Validator<? super CalculationAgent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationAgent>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CalculationAgentChoiceRule()
		);
	}

	@Override
	public List<Function<? super CalculationAgent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationAgent> validator() {
		return new org.isda.cdm.validation.CalculationAgentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationAgent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationAgentOnlyExistsValidator();
	}
}
