package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.BusinessDayAdjustments;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.CalculationPeriodFrequency;
import org.isda.cdm.StubPeriodTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationPeriodDates.class)
public class CalculationPeriodDatesMeta implements RosettaMetaData<CalculationPeriodDates> {

	@Override
	public List<Validator<? super CalculationPeriodDates>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd16DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd17DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd18DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd20DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd21DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd22DataRule()
		);
	}

	@Override
	public List<Validator<? super CalculationPeriodDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationPeriodDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationPeriodDates> validator() {
		return new org.isda.cdm.validation.CalculationPeriodDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationPeriodDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationPeriodDatesOnlyExistsValidator();
	}
}
