package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriodFrequency;
import org.isda.cdm.RollConventionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationPeriodFrequency.class)
public class CalculationPeriodFrequencyMeta implements RosettaMetaData<CalculationPeriodFrequency> {

	@Override
	public List<Validator<? super CalculationPeriodFrequency>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd57DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd58DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd60DataRule()
		);
	}

	@Override
	public List<Validator<? super CalculationPeriodFrequency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CalculationPeriodFrequency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationPeriodFrequency> validator() {
		return new org.isda.cdm.validation.CalculationPeriodFrequencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationPeriodFrequency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationPeriodFrequencyOnlyExistsValidator();
	}
}
