package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriod;
import org.isda.cdm.FloatingRateDefinition;
import org.isda.cdm.FxLinkedNotionalAmount;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CalculationPeriod.class)
public class CalculationPeriodMeta implements RosettaMetaData<CalculationPeriod> {

	@Override
	public List<Validator<? super CalculationPeriod>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CalculationPeriod>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CalculationPeriodChoice1ChoiceRule(),
			new org.isda.cdm.validation.choicerule.CalculationPeriodChoice2ChoiceRule(),
			new org.isda.cdm.validation.choicerule.CalculationPeriodChoice3ChoiceRule(),
			new org.isda.cdm.validation.choicerule.CalculationPeriodChoice4ChoiceRule()
		);
	}

	@Override
	public List<Function<? super CalculationPeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CalculationPeriod> validator() {
		return new org.isda.cdm.validation.CalculationPeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CalculationPeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CalculationPeriodOnlyExistsValidator();
	}
}
