package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmericanExercise;
import org.isda.cdm.BermudaExercise;
import org.isda.cdm.CancelableProvision;
import org.isda.cdm.CancelableProvisionAdjustedDates;
import org.isda.cdm.EuropeanExercise;
import org.isda.cdm.ExerciseNotice;
import org.isda.cdm.FinalCalculationPeriodDateAdjustment;
import org.isda.cdm.SimplePayment;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CancelableProvision.class)
public class CancelableProvisionMeta implements RosettaMetaData<CancelableProvision> {

	@Override
	public List<Validator<? super CancelableProvision>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CancelableProvision>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CancelableProvisonChoiceRule()
		);
	}

	@Override
	public List<Function<? super CancelableProvision, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CancelableProvision> validator() {
		return new org.isda.cdm.validation.CancelableProvisionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CancelableProvision, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CancelableProvisionOnlyExistsValidator();
	}
}
