package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDates;
import org.isda.cdm.BusinessDateRange;
import org.isda.cdm.CashSettlementPaymentDate;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CashSettlementPaymentDate.class)
public class CashSettlementPaymentDateMeta implements RosettaMetaData<CashSettlementPaymentDate> {

	@Override
	public List<Validator<? super CashSettlementPaymentDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CashSettlementPaymentDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CashSettlementPaymentDateChoiceRule()
		);
	}

	@Override
	public List<Function<? super CashSettlementPaymentDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CashSettlementPaymentDate> validator() {
		return new org.isda.cdm.validation.CashSettlementPaymentDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CashSettlementPaymentDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashSettlementPaymentDateOnlyExistsValidator();
	}
}
