package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrAdjustedOrRelativeDate;
import org.isda.cdm.Cashflow;
import org.isda.cdm.CashflowTypeEnum;
import org.isda.cdm.Money;
import org.isda.cdm.PayerReceiver;
import org.isda.cdm.PaymentDiscounting;
import org.isda.cdm.PremiumExpression;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Cashflow.class)
public class CashflowMeta implements RosettaMetaData<Cashflow> {

	@Override
	public List<Validator<? super Cashflow>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.CashflowCashflowAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super Cashflow>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Cashflow, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Cashflow> validator() {
		return new org.isda.cdm.validation.CashflowValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Cashflow, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CashflowOnlyExistsValidator();
	}
}
