package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Confirmation;
import org.isda.cdm.ConfirmationStatusEnum;
import org.isda.cdm.Identifier;
import org.isda.cdm.Lineage;
import org.isda.cdm.Party;
import org.isda.cdm.PartyRole;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Confirmation.class)
public class ConfirmationMeta implements RosettaMetaData<Confirmation> {

	@Override
	public List<Validator<? super Confirmation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ConfirmationPartyRoleBuyerSellerDataRule()
		);
	}

	@Override
	public List<Validator<? super Confirmation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Confirmation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Confirmation> validator() {
		return new org.isda.cdm.validation.ConfirmationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Confirmation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ConfirmationOnlyExistsValidator();
	}
}
