package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ConstituentWeight;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ConstituentWeight.class)
public class ConstituentWeightMeta implements RosettaMetaData<ConstituentWeight> {

	@Override
	public List<Validator<? super ConstituentWeight>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ConstituentWeightBasketPercentageDataRule()
		);
	}

	@Override
	public List<Validator<? super ConstituentWeight>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ConstituentWeight, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ConstituentWeight> validator() {
		return new org.isda.cdm.validation.ConstituentWeightValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ConstituentWeight, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ConstituentWeightOnlyExistsValidator();
	}
}
