package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractualQuantity;
import org.isda.cdm.FutureValueAmount;
import org.isda.cdm.FxLinkedNotionalSchedule;
import org.isda.cdm.Money;
import org.isda.cdm.NotionalSchedule;
import org.isda.cdm.Quantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ContractualQuantity.class)
public class ContractualQuantityMeta implements RosettaMetaData<ContractualQuantity> {

	@Override
	public List<Validator<? super ContractualQuantity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ContractualQuantity>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ContractualQuantityChoiceRule()
		);
	}

	@Override
	public List<Function<? super ContractualQuantity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ContractualQuantity> validator() {
		return new org.isda.cdm.validation.ContractualQuantityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ContractualQuantity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ContractualQuantityOnlyExistsValidator();
	}
}
