package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditNotation;
import org.isda.cdm.CreditNotations;
import org.isda.cdm.MultipleCreditNotations;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditNotations.class)
public class CreditNotationsMeta implements RosettaMetaData<CreditNotations> {

	@Override
	public List<Validator<? super CreditNotations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditNotations>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CreditNotationsOneOfRule()
		);
	}

	@Override
	public List<Function<? super CreditNotations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditNotations> validator() {
		return new org.isda.cdm.validation.CreditNotationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditNotations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditNotationsOnlyExistsValidator();
	}
}
