package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditRatingDebt;
import org.isda.cdm.MultipleDebtTypes;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditRatingDebt.class)
public class CreditRatingDebtMeta implements RosettaMetaData<CreditRatingDebt> {

	@Override
	public List<Validator<? super CreditRatingDebt>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditRatingDebt>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CreditRatingDebtOneOfRule()
		);
	}

	@Override
	public List<Function<? super CreditRatingDebt, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditRatingDebt> validator() {
		return new org.isda.cdm.validation.CreditRatingDebtValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditRatingDebt, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditRatingDebtOnlyExistsValidator();
	}
}
