package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralRounding;
import org.isda.cdm.CreditSupportObligationsVariationMargin;
import org.isda.cdm.EligibleCollateralVariationMargin;
import org.isda.cdm.IneligibleCreditSupport;
import org.isda.cdm.MinimumTransferAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CreditSupportObligationsVariationMargin.class)
public class CreditSupportObligationsVariationMarginMeta implements RosettaMetaData<CreditSupportObligationsVariationMargin> {

	@Override
	public List<Validator<? super CreditSupportObligationsVariationMargin>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super CreditSupportObligationsVariationMargin>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CreditSupportObligationsVariationMargin, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CreditSupportObligationsVariationMargin> validator() {
		return new org.isda.cdm.validation.CreditSupportObligationsVariationMarginValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CreditSupportObligationsVariationMargin, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CreditSupportObligationsVariationMarginOnlyExistsValidator();
	}
}
