package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CrossRate;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=CrossRate.class)
public class CrossRateMeta implements RosettaMetaData<CrossRate> {

	@Override
	public List<Validator<? super CrossRate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.CrossRateRule1DataRule()
		);
	}

	@Override
	public List<Validator<? super CrossRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CrossRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CrossRate> validator() {
		return new org.isda.cdm.validation.CrossRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CrossRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CrossRateOnlyExistsValidator();
	}
}
