package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CommodityReferencePriceEnum;
import org.isda.cdm.Curve;
import org.isda.cdm.InterestRateCurve;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Curve.class)
public class CurveMeta implements RosettaMetaData<Curve> {

	@Override
	public List<Validator<? super Curve>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Curve>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.CurveOneOfRule()
		);
	}

	@Override
	public List<Function<? super Curve, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Curve> validator() {
		return new org.isda.cdm.validation.CurveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Curve, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CurveOnlyExistsValidator();
	}
}
