package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustodianRisk;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=CustodianRisk.class)
public class CustodianRiskMeta implements RosettaMetaData<CustodianRisk> {

	@Override
	public List<Validator<? super CustodianRisk>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.CustodianRiskSpecifiedDataRule()
		);
	}

	@Override
	public List<Validator<? super CustodianRisk>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super CustodianRisk, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super CustodianRisk> validator() {
		return new org.isda.cdm.validation.CustodianRiskValidator();
	}
	
	@Override
	public ValidatorWithArg<? super CustodianRisk, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.CustodianRiskOnlyExistsValidator();
	}
}
