package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeliverableObligations;
import org.isda.cdm.LoanParticipation;
import org.isda.cdm.NotDomesticCurrency;
import org.isda.cdm.ObligationCategoryEnum;
import org.isda.cdm.PCDeliverableObligationCharac;
import org.isda.cdm.Period;
import org.isda.cdm.SpecifiedCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DeliverableObligations.class)
public class DeliverableObligationsMeta implements RosettaMetaData<DeliverableObligations> {

	@Override
	public List<Validator<? super DeliverableObligations>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLCd34DataRule()
		);
	}

	@Override
	public List<Validator<? super DeliverableObligations>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DeliverableObligationsChoiceRule()
		);
	}

	@Override
	public List<Function<? super DeliverableObligations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DeliverableObligations> validator() {
		return new org.isda.cdm.validation.DeliverableObligationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DeliverableObligations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DeliverableObligationsOnlyExistsValidator();
	}
}
