package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeliveryAmount;
import org.isda.cdm.DeliveryAmountElectionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DeliveryAmount.class)
public class DeliveryAmountMeta implements RosettaMetaData<DeliveryAmount> {

	@Override
	public List<Validator<? super DeliveryAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DeliveryAmount>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DeliveryAmountOneOfRule()
		);
	}

	@Override
	public List<Function<? super DeliveryAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DeliveryAmount> validator() {
		return new org.isda.cdm.validation.DeliveryAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DeliveryAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DeliveryAmountOnlyExistsValidator();
	}
}
