package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DayCountFractionEnum;
import org.isda.cdm.DiscountingMethod;
import org.isda.cdm.DiscountingTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DiscountingMethod.class)
public class DiscountingMethodMeta implements RosettaMetaData<DiscountingMethod> {

	@Override
	public List<Validator<? super DiscountingMethod>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.DiscountingDiscountRateDataRule()
		);
	}

	@Override
	public List<Validator<? super DiscountingMethod>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DiscountingMethod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DiscountingMethod> validator() {
		return new org.isda.cdm.validation.DiscountingMethodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DiscountingMethod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DiscountingMethodOnlyExistsValidator();
	}
}
