package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.DisputeResolution;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DisputeResolution.class)
public class DisputeResolutionMeta implements RosettaMetaData<DisputeResolution> {

	@Override
	public List<Validator<? super DisputeResolution>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DisputeResolution>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DisputeResolutionOneOfRule()
		);
	}

	@Override
	public List<Function<? super DisputeResolution, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DisputeResolution> validator() {
		return new org.isda.cdm.validation.DisputeResolutionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DisputeResolution, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DisputeResolutionOnlyExistsValidator();
	}
}
