package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DeterminationMethodEnum;
import org.isda.cdm.DividendCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DividendCurrency.class)
public class DividendCurrencyMeta implements RosettaMetaData<DividendCurrency> {

	@Override
	public List<Validator<? super DividendCurrency>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DividendCurrency>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DividendCurrencyOneOfRule()
		);
	}

	@Override
	public List<Function<? super DividendCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DividendCurrency> validator() {
		return new org.isda.cdm.validation.DividendCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DividendCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DividendCurrencyOnlyExistsValidator();
	}
}
