package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DividendDateReference;
import org.isda.cdm.DividendDateReferenceEnum;
import org.isda.cdm.Offset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DividendDateReference.class)
public class DividendDateReferenceMeta implements RosettaMetaData<DividendDateReference> {

	@Override
	public List<Validator<? super DividendDateReference>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.DividendDateReferencePaymentDateOffsetDataRule()
		);
	}

	@Override
	public List<Validator<? super DividendDateReference>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DividendDateReference, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DividendDateReference> validator() {
		return new org.isda.cdm.validation.DividendDateReferenceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DividendDateReference, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DividendDateReferenceOnlyExistsValidator();
	}
}
