package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.DividendDateReference;
import org.isda.cdm.DividendPaymentDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DividendPaymentDate.class)
public class DividendPaymentDateMeta implements RosettaMetaData<DividendPaymentDate> {

	@Override
	public List<Validator<? super DividendPaymentDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DividendPaymentDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DividendPaymentDateOneOfRule()
		);
	}

	@Override
	public List<Function<? super DividendPaymentDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DividendPaymentDate> validator() {
		return new org.isda.cdm.validation.DividendPaymentDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DividendPaymentDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DividendPaymentDateOnlyExistsValidator();
	}
}
