package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DividendPayout;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DividendPayout.class)
public class DividendPayoutMeta implements RosettaMetaData<DividendPayout> {

	@Override
	public List<Validator<? super DividendPayout>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.DividendPayoutDividendPayoutRatioDataRule(),
			new org.isda.cdm.validation.datarule.DividendPayoutDividendPayoutRatioCashDataRule(),
			new org.isda.cdm.validation.datarule.DividendPayoutDividendPayoutRatioNonCashDataRule()
		);
	}

	@Override
	public List<Validator<? super DividendPayout>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DividendPayout, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DividendPayout> validator() {
		return new org.isda.cdm.validation.DividendPayoutValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DividendPayout, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DividendPayoutOnlyExistsValidator();
	}
}
