package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DividendAmountTypeEnum;
import org.isda.cdm.DividendCurrency;
import org.isda.cdm.DividendEntitlementEnum;
import org.isda.cdm.DividendPaymentDate;
import org.isda.cdm.DividendPayout;
import org.isda.cdm.DividendPeriodEnum;
import org.isda.cdm.DividendReturnTerms;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DividendReturnTerms.class)
public class DividendReturnTermsMeta implements RosettaMetaData<DividendReturnTerms> {

	@Override
	public List<Validator<? super DividendReturnTerms>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.DividendReturnTermsDividendPeriodDataRule()
		);
	}

	@Override
	public List<Validator<? super DividendReturnTerms>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super DividendReturnTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DividendReturnTerms> validator() {
		return new org.isda.cdm.validation.DividendReturnTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DividendReturnTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DividendReturnTermsOnlyExistsValidator();
	}
}
