package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BrokerConfirmation;
import org.isda.cdm.ContractualDefinitionsEnum;
import org.isda.cdm.ContractualMatrix;
import org.isda.cdm.ContractualTermsSupplement;
import org.isda.cdm.CreditSupportAgreement;
import org.isda.cdm.DocumentationIdentification;
import org.isda.cdm.MasterAgreement;
import org.isda.cdm.MasterConfirmation;
import org.isda.cdm.OtherAgreement;
import org.isda.cdm.Resource;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=DocumentationIdentification.class)
public class DocumentationIdentificationMeta implements RosettaMetaData<DocumentationIdentification> {

	@Override
	public List<Validator<? super DocumentationIdentification>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super DocumentationIdentification>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.DocumentationIdentificationChoiceRule()
		);
	}

	@Override
	public List<Function<? super DocumentationIdentification, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super DocumentationIdentification> validator() {
		return new org.isda.cdm.validation.DocumentationIdentificationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super DocumentationIdentification, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.DocumentationIdentificationOnlyExistsValidator();
	}
}
