package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EarlyTerminationEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EarlyTerminationEvent.class)
public class EarlyTerminationEventMeta implements RosettaMetaData<EarlyTerminationEvent> {

	@Override
	public List<Validator<? super EarlyTerminationEvent>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd39DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd40DataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd41DataRule()
		);
	}

	@Override
	public List<Validator<? super EarlyTerminationEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EarlyTerminationEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EarlyTerminationEvent> validator() {
		return new org.isda.cdm.validation.EarlyTerminationEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EarlyTerminationEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EarlyTerminationEventOnlyExistsValidator();
	}
}
