package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EarlyTerminationProvision;
import org.isda.cdm.ExercisePeriod;
import org.isda.cdm.MandatoryEarlyTermination;
import org.isda.cdm.OptionalEarlyTermination;
import org.isda.cdm.Period;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EarlyTerminationProvision.class)
public class EarlyTerminationProvisionMeta implements RosettaMetaData<EarlyTerminationProvision> {

	@Override
	public List<Validator<? super EarlyTerminationProvision>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.EarlyTerminationProvisionMandatoryEarlyTerminationDataRule()
		);
	}

	@Override
	public List<Validator<? super EarlyTerminationProvision>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EarlyTerminationProvision, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EarlyTerminationProvision> validator() {
		return new org.isda.cdm.validation.EarlyTerminationProvisionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EarlyTerminationProvision, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EarlyTerminationProvisionOnlyExistsValidator();
	}
}
