package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ElectiveAmountElection;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ElectiveAmountElection.class)
public class ElectiveAmountElectionMeta implements RosettaMetaData<ElectiveAmountElection> {

	@Override
	public List<Validator<? super ElectiveAmountElection>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ElectiveAmountElectionNoAmountDataRule(),
			new org.isda.cdm.validation.datarule.ElectiveAmountElectionAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super ElectiveAmountElection>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ElectiveAmountElectionChoiceRule()
		);
	}

	@Override
	public List<Function<? super ElectiveAmountElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ElectiveAmountElection> validator() {
		return new org.isda.cdm.validation.ElectiveAmountElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ElectiveAmountElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ElectiveAmountElectionOnlyExistsValidator();
	}
}
