package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CollateralAssetDefinitionsEnum;
import org.isda.cdm.CreditNotations;
import org.isda.cdm.EligibleCollateral;
import org.isda.cdm.Period;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=EligibleCollateral.class)
public class EligibleCollateralMeta implements RosettaMetaData<EligibleCollateral> {

	@Override
	public List<Validator<? super EligibleCollateral>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.EligibleCollateralValuationPercentageDataRule()
		);
	}

	@Override
	public List<Validator<? super EligibleCollateral>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super EligibleCollateral, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super EligibleCollateral> validator() {
		return new org.isda.cdm.validation.EligibleCollateralValidator();
	}
	
	@Override
	public ValidatorWithArg<? super EligibleCollateral, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.EligibleCollateralOnlyExistsValidator();
	}
}
