package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExchangeRate;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExchangeRate.class)
public class ExchangeRateMeta implements RosettaMetaData<ExchangeRate> {

	@Override
	public List<Validator<? super ExchangeRate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ExchangeRateRateDataRule(),
			new org.isda.cdm.validation.datarule.ExchangeRateSpotRateDataRule(),
			new org.isda.cdm.validation.datarule.ExchangeRatePointValueForwardPointsDataRule(),
			new org.isda.cdm.validation.datarule.ExchangeRateForwardPointsSpotRateDataRule()
		);
	}

	@Override
	public List<Validator<? super ExchangeRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ExchangeRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExchangeRate> validator() {
		return new org.isda.cdm.validation.ExchangeRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExchangeRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExchangeRateOnlyExistsValidator();
	}
}
