package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ExerciseFee;
import org.isda.cdm.Money;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExerciseFee.class)
public class ExerciseFeeMeta implements RosettaMetaData<ExerciseFee> {

	@Override
	public List<Validator<? super ExerciseFee>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExerciseFee>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExerciseFeeChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExerciseFee, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExerciseFee> validator() {
		return new org.isda.cdm.validation.ExerciseFeeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExerciseFee, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExerciseFeeOnlyExistsValidator();
	}
}
