package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmountSchedule;
import org.isda.cdm.ExerciseFeeSchedule;
import org.isda.cdm.Money;
import org.isda.cdm.RelativeDateOffset;
import org.isda.cdm.Schedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExerciseFeeSchedule.class)
public class ExerciseFeeScheduleMeta implements RosettaMetaData<ExerciseFeeSchedule> {

	@Override
	public List<Validator<? super ExerciseFeeSchedule>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExerciseFeeSchedule>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExerciseFeeScheduleChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExerciseFeeSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExerciseFeeSchedule> validator() {
		return new org.isda.cdm.validation.ExerciseFeeScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExerciseFeeSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExerciseFeeScheduleOnlyExistsValidator();
	}
}
