package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Cashflow;
import org.isda.cdm.Contract;
import org.isda.cdm.ExerciseOutcome;
import org.isda.cdm.PhysicalExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExerciseOutcome.class)
public class ExerciseOutcomeMeta implements RosettaMetaData<ExerciseOutcome> {

	@Override
	public List<Validator<? super ExerciseOutcome>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExerciseOutcome>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExerciseOutcomeChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExerciseOutcome, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExerciseOutcome> validator() {
		return new org.isda.cdm.validation.ExerciseOutcomeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExerciseOutcome, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExerciseOutcomeOnlyExistsValidator();
	}
}
