package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AutomaticExercise;
import org.isda.cdm.ExerciseProcedure;
import org.isda.cdm.ManualExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExerciseProcedure.class)
public class ExerciseProcedureMeta implements RosettaMetaData<ExerciseProcedure> {

	@Override
	public List<Validator<? super ExerciseProcedure>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExerciseProcedure>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExerciseProcedureChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExerciseProcedure, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExerciseProcedure> validator() {
		return new org.isda.cdm.validation.ExerciseProcedureValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExerciseProcedure, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExerciseProcedureOnlyExistsValidator();
	}
}
