package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmericanExercise;
import org.isda.cdm.BermudaExercise;
import org.isda.cdm.EuropeanExercise;
import org.isda.cdm.ExerciseNotice;
import org.isda.cdm.ExtendibleProvision;
import org.isda.cdm.ExtendibleProvisionAdjustedDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExtendibleProvision.class)
public class ExtendibleProvisionMeta implements RosettaMetaData<ExtendibleProvision> {

	@Override
	public List<Validator<? super ExtendibleProvision>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExtendibleProvision>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExtendibleProvisionChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExtendibleProvision, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExtendibleProvision> validator() {
		return new org.isda.cdm.validation.ExtendibleProvisionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExtendibleProvision, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExtendibleProvisionOnlyExistsValidator();
	}
}
