package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdditionalDisruptionEvents;
import org.isda.cdm.EquityCorporateEvents;
import org.isda.cdm.ExtraordinaryEvents;
import org.isda.cdm.IndexAdjustmentEvents;
import org.isda.cdm.NationalizationOrInsolvencyOrDelistingEventEnum;
import org.isda.cdm.Representations;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ExtraordinaryEvents.class)
public class ExtraordinaryEventsMeta implements RosettaMetaData<ExtraordinaryEvents> {

	@Override
	public List<Validator<? super ExtraordinaryEvents>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ExtraordinaryEvents>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ExtraordinaryEventsChoiceRule()
		);
	}

	@Override
	public List<Function<? super ExtraordinaryEvents, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ExtraordinaryEvents> validator() {
		return new org.isda.cdm.validation.ExtraordinaryEventsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ExtraordinaryEvents, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ExtraordinaryEventsOnlyExistsValidator();
	}
}
