package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationAgent;
import org.isda.cdm.FallbackReferencePrice;
import org.isda.cdm.SettlementRateOptionEnum;
import org.isda.cdm.ValuationPostponement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FallbackReferencePrice.class)
public class FallbackReferencePriceMeta implements RosettaMetaData<FallbackReferencePrice> {

	@Override
	public List<Validator<? super FallbackReferencePrice>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ValuationPostponementMaximumDaysOfPostponementDataRule()
		);
	}

	@Override
	public List<Validator<? super FallbackReferencePrice>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FallbackReferencePrice, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FallbackReferencePrice> validator() {
		return new org.isda.cdm.validation.FallbackReferencePriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FallbackReferencePrice, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FallbackReferencePriceOnlyExistsValidator();
	}
}
