package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.FeaturePayment;
import org.isda.cdm.PayerReceiver;
import org.isda.cdm.TimeTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FeaturePayment.class)
public class FeaturePaymentMeta implements RosettaMetaData<FeaturePayment> {

	@Override
	public List<Validator<? super FeaturePayment>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FeaturePaymentAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super FeaturePayment>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FeaturePaymentChoiceRule()
		);
	}

	@Override
	public List<Function<? super FeaturePayment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FeaturePayment> validator() {
		return new org.isda.cdm.validation.FeaturePaymentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FeaturePayment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FeaturePaymentOnlyExistsValidator();
	}
}
