package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateDefinition;
import org.isda.cdm.RateObservation;
import org.isda.cdm.Strike;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FloatingRateDefinition.class)
public class FloatingRateDefinitionMeta implements RosettaMetaData<FloatingRateDefinition> {

	@Override
	public List<Validator<? super FloatingRateDefinition>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FloatingRateDefinitionFloatingRateMultiplierDataRule()
		);
	}

	@Override
	public List<Validator<? super FloatingRateDefinition>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FloatingRateDefinition, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FloatingRateDefinition> validator() {
		return new org.isda.cdm.validation.FloatingRateDefinitionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FloatingRateDefinition, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FloatingRateDefinitionOnlyExistsValidator();
	}
}
