package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRate;
import org.isda.cdm.FloatingRateIndexEnum;
import org.isda.cdm.Period;
import org.isda.cdm.RateTreatmentEnum;
import org.isda.cdm.Schedule;
import org.isda.cdm.SpreadSchedule;
import org.isda.cdm.StrikeSchedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FloatingRate.class)
public class FloatingRateMeta implements RosettaMetaData<FloatingRate> {

	@Override
	public List<Validator<? super FloatingRate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FloatingRateFloatingRateMultiplierScheduleDataRule()
		);
	}

	@Override
	public List<Validator<? super FloatingRate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FloatingRate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FloatingRate> validator() {
		return new org.isda.cdm.validation.FloatingRateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FloatingRate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FloatingRateOnlyExistsValidator();
	}
}
