package org.isda.cdm.meta;

import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ForwardPayout;

/**
 * @version 2.5.4
 */
@RosettaMeta(model=ForwardPayout.class)
public class ForwardPayoutMeta implements RosettaMetaData<ForwardPayout> {

	@Override
	public List<Validator<? super ForwardPayout>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FxForwardSettlementDateDataRule(),
			new org.isda.cdm.validation.datarule.FxForwardFxSettlementDataRule()
		);
	}

	@Override
	public List<Validator<? super ForwardPayout>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ForwardPayout, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ForwardPayout> validator() {
		return new org.isda.cdm.validation.ForwardPayoutValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ForwardPayout, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ForwardPayoutOnlyExistsValidator();
	}
}
