package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Frequency;
import org.isda.cdm.PeriodExtendedEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Frequency.class)
public class FrequencyMeta implements RosettaMetaData<Frequency> {

	@Override
	public List<Validator<? super Frequency>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FrequencyPeriodDataRule(),
			new org.isda.cdm.validation.datarule.FrequencyPeriodMultiplierDataRule()
		);
	}

	@Override
	public List<Validator<? super Frequency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Frequency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Frequency> validator() {
		return new org.isda.cdm.validation.FrequencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Frequency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FrequencyOnlyExistsValidator();
	}
}
