package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FutureValueAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FutureValueAmount.class)
public class FutureValueAmountMeta implements RosettaMetaData<FutureValueAmount> {

	@Override
	public List<Validator<? super FutureValueAmount>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FutureValueAmountNonNegativeAmountDataRule(),
			new org.isda.cdm.validation.datarule.FutureValueAmountCalculationPeriodNumberOfDaysDataRule()
		);
	}

	@Override
	public List<Validator<? super FutureValueAmount>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super FutureValueAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FutureValueAmount> validator() {
		return new org.isda.cdm.validation.FutureValueAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FutureValueAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FutureValueAmountOnlyExistsValidator();
	}
}
