package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxCashSettlement;
import org.isda.cdm.FxFixing;
import org.isda.cdm.FxRateSourceFixing;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxCashSettlement.class)
public class FxCashSettlementMeta implements RosettaMetaData<FxCashSettlement> {

	@Override
	public List<Validator<? super FxCashSettlement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxCashSettlement>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FxCashSettlementChoiceRule()
		);
	}

	@Override
	public List<Function<? super FxCashSettlement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxCashSettlement> validator() {
		return new org.isda.cdm.validation.FxCashSettlementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxCashSettlement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxCashSettlementOnlyExistsValidator();
	}
}
