package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Composite;
import org.isda.cdm.FxFeature;
import org.isda.cdm.Quanto;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxFeature.class)
public class FxFeatureMeta implements RosettaMetaData<FxFeature> {

	@Override
	public List<Validator<? super FxFeature>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxFeature>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FxFeatureChoiceRule()
		);
	}

	@Override
	public List<Function<? super FxFeature, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxFeature> validator() {
		return new org.isda.cdm.validation.FxFeatureValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxFeature, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxFeatureOnlyExistsValidator();
	}
}
