package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenters;
import org.isda.cdm.BusinessDayConventionEnum;
import org.isda.cdm.DateRelativeToCalculationPeriodDates;
import org.isda.cdm.DateRelativeToPaymentDates;
import org.isda.cdm.FxFixingDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxFixingDate.class)
public class FxFixingDateMeta implements RosettaMetaData<FxFixingDate> {

	@Override
	public List<Validator<? super FxFixingDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxFixingDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FxFixingDateChoice1ChoiceRule(),
			new org.isda.cdm.validation.choicerule.FxFixingDateChoice2ChoiceRule()
		);
	}

	@Override
	public List<Function<? super FxFixingDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxFixingDate> validator() {
		return new org.isda.cdm.validation.FxFixingDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxFixingDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxFixingDateOnlyExistsValidator();
	}
}
