package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxHaircutCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxHaircutCurrency.class)
public class FxHaircutCurrencyMeta implements RosettaMetaData<FxHaircutCurrency> {

	@Override
	public List<Validator<? super FxHaircutCurrency>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FxHaircutCurrencyTerminationCurrencyDataRule(),
			new org.isda.cdm.validation.datarule.FxHaircutFxDesignatedCurrencyDataRule()
		);
	}

	@Override
	public List<Validator<? super FxHaircutCurrency>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FxHaircutCurrencyOneOfRule()
		);
	}

	@Override
	public List<Function<? super FxHaircutCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxHaircutCurrency> validator() {
		return new org.isda.cdm.validation.FxHaircutCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxHaircutCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxHaircutCurrencyOnlyExistsValidator();
	}
}
