package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxInformationSource;
import org.isda.cdm.FxSettlementRateSource;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=FxSettlementRateSource.class)
public class FxSettlementRateSourceMeta implements RosettaMetaData<FxSettlementRateSource> {

	@Override
	public List<Validator<? super FxSettlementRateSource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super FxSettlementRateSource>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.FxSettlementRateSourceChoiceRule()
		);
	}

	@Override
	public List<Function<? super FxSettlementRateSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super FxSettlementRateSource> validator() {
		return new org.isda.cdm.validation.FxSettlementRateSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super FxSettlementRateSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.FxSettlementRateSourceOnlyExistsValidator();
	}
}
