package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BasketReferenceInformation;
import org.isda.cdm.BuyerSeller;
import org.isda.cdm.GeneralTerms;
import org.isda.cdm.IndexReferenceInformation;
import org.isda.cdm.ReferenceInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=GeneralTerms.class)
public class GeneralTermsMeta implements RosettaMetaData<GeneralTerms> {

	@Override
	public List<Validator<? super GeneralTerms>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLCd41DataRule(),
			new org.isda.cdm.validation.datarule.FpMLCd42DataRule(),
			new org.isda.cdm.validation.datarule.BasketReferenceInformationNameOrIdDataRule()
		);
	}

	@Override
	public List<Validator<? super GeneralTerms>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.GeneralTermsChoiceRule()
		);
	}

	@Override
	public List<Function<? super GeneralTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super GeneralTerms> validator() {
		return new org.isda.cdm.validation.GeneralTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super GeneralTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.GeneralTermsOnlyExistsValidator();
	}
}
