package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AssignedIdentifier;
import org.isda.cdm.Identifier;
import org.isda.cdm.Party;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Identifier.class)
public class IdentifierMeta implements RosettaMetaData<Identifier> {

	@Override
	public List<Validator<? super Identifier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Identifier>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.IdentifierChoiceRule()
		);
	}

	@Override
	public List<Function<? super Identifier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Identifier> validator() {
		return new org.isda.cdm.validation.IdentifierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Identifier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IdentifierOnlyExistsValidator();
	}
}
