package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.IndexAnnexSourceEnum;
import org.isda.cdm.IndexReferenceInformation;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.SettledEntityMatrix;
import org.isda.cdm.Tranche;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=IndexReferenceInformation.class)
public class IndexReferenceInformationMeta implements RosettaMetaData<IndexReferenceInformation> {

	@Override
	public List<Validator<? super IndexReferenceInformation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.IndexReferenceInformationIndexSeriesDataRule(),
			new org.isda.cdm.validation.datarule.IndexReferenceInformationIndexAnnexVersionDataRule()
		);
	}

	@Override
	public List<Validator<? super IndexReferenceInformation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super IndexReferenceInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super IndexReferenceInformation> validator() {
		return new org.isda.cdm.validation.IndexReferenceInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super IndexReferenceInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.IndexReferenceInformationOnlyExistsValidator();
	}
}
