package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InitialFixingDate;
import org.isda.cdm.RelativeDateOffset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InitialFixingDate.class)
public class InitialFixingDateMeta implements RosettaMetaData<InitialFixingDate> {

	@Override
	public List<Validator<? super InitialFixingDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InitialFixingDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.InitialFixingDateOneOfRule()
		);
	}

	@Override
	public List<Function<? super InitialFixingDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InitialFixingDate> validator() {
		return new org.isda.cdm.validation.InitialFixingDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InitialFixingDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InitialFixingDateOnlyExistsValidator();
	}
}
