package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InitialMarginCalculation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InitialMarginCalculation.class)
public class InitialMarginCalculationMeta implements RosettaMetaData<InitialMarginCalculation> {

	@Override
	public List<Validator<? super InitialMarginCalculation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InitialMarginCalculation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.InitialMarginCalculationChoiceRule()
		);
	}

	@Override
	public List<Function<? super InitialMarginCalculation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InitialMarginCalculation> validator() {
		return new org.isda.cdm.validation.InitialMarginCalculationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InitialMarginCalculation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InitialMarginCalculationOnlyExistsValidator();
	}
}
