package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InitialMargin;
import org.isda.cdm.InitialMarginCalculation;
import org.isda.cdm.MarginTypeEnum;
import org.isda.cdm.Money;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InitialMargin.class)
public class InitialMarginMeta implements RosettaMetaData<InitialMargin> {

	@Override
	public List<Validator<? super InitialMargin>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.InitialMarginMarginThresholdDataRule(),
			new org.isda.cdm.validation.datarule.InitialMarginMinimumTransferAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super InitialMargin>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super InitialMargin, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InitialMargin> validator() {
		return new org.isda.cdm.validation.InitialMarginValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InitialMargin, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InitialMarginOnlyExistsValidator();
	}
}
