package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.InterestAdjustmentPeriodicity;
import org.isda.cdm.InterestAdjustmentPeriodicityEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=InterestAdjustmentPeriodicity.class)
public class InterestAdjustmentPeriodicityMeta implements RosettaMetaData<InterestAdjustmentPeriodicity> {

	@Override
	public List<Validator<? super InterestAdjustmentPeriodicity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super InterestAdjustmentPeriodicity>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.InterestAdjustmentPeriodicityOneOfRule()
		);
	}

	@Override
	public List<Function<? super InterestAdjustmentPeriodicity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super InterestAdjustmentPeriodicity> validator() {
		return new org.isda.cdm.validation.InterestAdjustmentPeriodicityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super InterestAdjustmentPeriodicity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.InterestAdjustmentPeriodicityOnlyExistsValidator();
	}
}
