package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.LastRegularPaymentDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LastRegularPaymentDate.class)
public class LastRegularPaymentDateMeta implements RosettaMetaData<LastRegularPaymentDate> {

	@Override
	public List<Validator<? super LastRegularPaymentDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LastRegularPaymentDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.LastRegularPaymentDateOneOfRule()
		);
	}

	@Override
	public List<Function<? super LastRegularPaymentDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LastRegularPaymentDate> validator() {
		return new org.isda.cdm.validation.LastRegularPaymentDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LastRegularPaymentDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LastRegularPaymentDateOnlyExistsValidator();
	}
}
