package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CsaInitialMargin2016JapaneseLaw;
import org.isda.cdm.CsaInitialMargin2016NewYorkLaw;
import org.isda.cdm.CsaVariationMargin2016NewYorkLaw;
import org.isda.cdm.CsdInitialMargin2016EnglishLaw;
import org.isda.cdm.EquitySwapMasterConfirmation2018;
import org.isda.cdm.LegalAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LegalAgreement.class)
public class LegalAgreementMeta implements RosettaMetaData<LegalAgreement> {

	@Override
	public List<Validator<? super LegalAgreement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LegalAgreement>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.LegalAgreementOneOfRule()
		);
	}

	@Override
	public List<Function<? super LegalAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LegalAgreement> validator() {
		return new org.isda.cdm.validation.LegalAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LegalAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LegalAgreementOnlyExistsValidator();
	}
}
