package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditLimitTypeEnum;
import org.isda.cdm.CreditLimitUtilisation;
import org.isda.cdm.LimitApplicable;
import org.isda.cdm.Velocity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=LimitApplicable.class)
public class LimitApplicableMeta implements RosettaMetaData<LimitApplicable> {

	@Override
	public List<Validator<? super LimitApplicable>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super LimitApplicable>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.LimitApplicableChoiceRule()
		);
	}

	@Override
	public List<Function<? super LimitApplicable, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super LimitApplicable> validator() {
		return new org.isda.cdm.validation.LimitApplicableValidator();
	}
	
	@Override
	public ValidatorWithArg<? super LimitApplicable, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LimitApplicableOnlyExistsValidator();
	}
}
