package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Cashflow;
import org.isda.cdm.Contract;
import org.isda.cdm.CreditDefaultPayout;
import org.isda.cdm.EquityPayout;
import org.isda.cdm.Event;
import org.isda.cdm.Execution;
import org.isda.cdm.InterestRatePayout;
import org.isda.cdm.LegalAgreement;
import org.isda.cdm.Lineage;
import org.isda.cdm.OptionPayout;
import org.isda.cdm.PortfolioState;
import org.isda.cdm.TransferPrimitive;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Lineage.class)
public class LineageMeta implements RosettaMetaData<Lineage> {

	@Override
	public List<Validator<? super Lineage>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Lineage>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Lineage, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Lineage> validator() {
		return new org.isda.cdm.validation.LineageValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Lineage, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.LineageOnlyExistsValidator();
	}
}
