package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.CalculationAgent;
import org.isda.cdm.MandatoryEarlyTermination;
import org.isda.cdm.MandatoryEarlyTerminationAdjustedDates;
import org.isda.cdm.OptionCashSettlement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MandatoryEarlyTermination.class)
public class MandatoryEarlyTerminationMeta implements RosettaMetaData<MandatoryEarlyTermination> {

	@Override
	public List<Validator<? super MandatoryEarlyTermination>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd27DataRule()
		);
	}

	@Override
	public List<Validator<? super MandatoryEarlyTermination>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MandatoryEarlyTermination, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MandatoryEarlyTermination> validator() {
		return new org.isda.cdm.validation.MandatoryEarlyTerminationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MandatoryEarlyTermination, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MandatoryEarlyTerminationOnlyExistsValidator();
	}
}
