package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MultipleExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MultipleExercise.class)
public class MultipleExerciseMeta implements RosettaMetaData<MultipleExercise> {

	@Override
	public List<Validator<? super MultipleExercise>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.MultipleExerciseMaximumNumberOfOptionsDataRule(),
			new org.isda.cdm.validation.datarule.MinimumNumberOfOptionsMinimumNumberOfOptionsDataRule()
		);
	}

	@Override
	public List<Validator<? super MultipleExercise>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.MultipleExerciseOneOfRule()
		);
	}

	@Override
	public List<Function<? super MultipleExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MultipleExercise> validator() {
		return new org.isda.cdm.validation.MultipleExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MultipleExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MultipleExerciseOnlyExistsValidator();
	}
}
