package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MultipleValuationDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=MultipleValuationDates.class)
public class MultipleValuationDatesMeta implements RosettaMetaData<MultipleValuationDates> {

	@Override
	public List<Validator<? super MultipleValuationDates>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.MultipleValuationDatesBusinessDaysThereafterDataRule(),
			new org.isda.cdm.validation.datarule.MultipleValuationDatesNumberValuationDatesDataRule()
		);
	}

	@Override
	public List<Validator<? super MultipleValuationDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super MultipleValuationDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super MultipleValuationDates> validator() {
		return new org.isda.cdm.validation.MultipleValuationDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super MultipleValuationDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.MultipleValuationDatesOnlyExistsValidator();
	}
}
