package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NaturalPerson;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NaturalPerson.class)
public class NaturalPersonMeta implements RosettaMetaData<NaturalPerson> {

	@Override
	public List<Validator<? super NaturalPerson>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NaturalPerson>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.NaturalPersonChoiceRule()
		);
	}

	@Override
	public List<Function<? super NaturalPerson, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NaturalPerson> validator() {
		return new org.isda.cdm.validation.NaturalPersonValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NaturalPerson, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NaturalPersonOnlyExistsValidator();
	}
}
