package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDates;
import org.isda.cdm.FxFixingDate;
import org.isda.cdm.NonDeliverableSettlement;
import org.isda.cdm.PriceSourceDisruption;
import org.isda.cdm.SettlementRateOptionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonDeliverableSettlement.class)
public class NonDeliverableSettlementMeta implements RosettaMetaData<NonDeliverableSettlement> {

	@Override
	public List<Validator<? super NonDeliverableSettlement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super NonDeliverableSettlement>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.NonDeliverableSettlementChoiceRule()
		);
	}

	@Override
	public List<Function<? super NonDeliverableSettlement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonDeliverableSettlement> validator() {
		return new org.isda.cdm.validation.NonDeliverableSettlementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonDeliverableSettlement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonDeliverableSettlementOnlyExistsValidator();
	}
}
