package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeQuantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeQuantity.class)
public class NonNegativeQuantityMeta implements RosettaMetaData<NonNegativeQuantity> {

	@Override
	public List<Validator<? super NonNegativeQuantity>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.NonNegativeQuantityAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super NonNegativeQuantity>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeQuantity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeQuantity> validator() {
		return new org.isda.cdm.validation.NonNegativeQuantityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeQuantity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeQuantityOnlyExistsValidator();
	}
}
