package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeSchedule;
import org.isda.cdm.NonNegativeStep;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeSchedule.class)
public class NonNegativeScheduleMeta implements RosettaMetaData<NonNegativeSchedule> {

	@Override
	public List<Validator<? super NonNegativeSchedule>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.NonNegativeScheduleInitialValueDataRule()
		);
	}

	@Override
	public List<Validator<? super NonNegativeSchedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeSchedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeSchedule> validator() {
		return new org.isda.cdm.validation.NonNegativeScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeSchedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeScheduleOnlyExistsValidator();
	}
}
