package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeStep;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=NonNegativeStep.class)
public class NonNegativeStepMeta implements RosettaMetaData<NonNegativeStep> {

	@Override
	public List<Validator<? super NonNegativeStep>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.NonNegativeStepStepValueDataRule()
		);
	}

	@Override
	public List<Validator<? super NonNegativeStep>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super NonNegativeStep, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super NonNegativeStep> validator() {
		return new org.isda.cdm.validation.NonNegativeStepValidator();
	}
	
	@Override
	public ValidatorWithArg<? super NonNegativeStep, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.NonNegativeStepOnlyExistsValidator();
	}
}
