package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NotDomesticCurrency;
import org.isda.cdm.ObligationCategoryEnum;
import org.isda.cdm.Obligations;
import org.isda.cdm.SpecifiedCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Obligations.class)
public class ObligationsMeta implements RosettaMetaData<Obligations> {

	@Override
	public List<Validator<? super Obligations>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Obligations>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ObligationsChoiceRule()
		);
	}

	@Override
	public List<Function<? super Obligations, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Obligations> validator() {
		return new org.isda.cdm.validation.ObligationsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Obligations, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ObligationsOnlyExistsValidator();
	}
}
