package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Curve;
import org.isda.cdm.InformationSource;
import org.isda.cdm.ObservationSource;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ObservationSource.class)
public class ObservationSourceMeta implements RosettaMetaData<ObservationSource> {

	@Override
	public List<Validator<? super ObservationSource>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ObservationSourceContentDataRule()
		);
	}

	@Override
	public List<Validator<? super ObservationSource>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ObservationSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ObservationSource> validator() {
		return new org.isda.cdm.validation.ObservationSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ObservationSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ObservationSourceOnlyExistsValidator();
	}
}
