package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DayTypeEnum;
import org.isda.cdm.Offset;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Offset.class)
public class OffsetMeta implements RosettaMetaData<Offset> {

	@Override
	public List<Validator<? super Offset>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.OffsetDayTypeDataRule()
		);
	}

	@Override
	public List<Validator<? super Offset>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Offset, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Offset> validator() {
		return new org.isda.cdm.validation.OffsetValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Offset, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OffsetOnlyExistsValidator();
	}
}
