package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OneWayProvisions;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OneWayProvisions.class)
public class OneWayProvisionsMeta implements RosettaMetaData<OneWayProvisions> {

	@Override
	public List<Validator<? super OneWayProvisions>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.OneWayProvisionsPostingPartyReferenceExistsDataRule(),
			new org.isda.cdm.validation.datarule.OneWayProvisionsPostingPartyReferenceAbsentDataRule()
		);
	}

	@Override
	public List<Validator<? super OneWayProvisions>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OneWayProvisions, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OneWayProvisions> validator() {
		return new org.isda.cdm.validation.OneWayProvisionsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OneWayProvisions, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OneWayProvisionsOnlyExistsValidator();
	}
}
