package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessCenterTime;
import org.isda.cdm.CashPriceMethod;
import org.isda.cdm.CashSettlementPaymentDate;
import org.isda.cdm.CrossCurrencyMethod;
import org.isda.cdm.OptionCashSettlement;
import org.isda.cdm.RelativeDateOffset;
import org.isda.cdm.YieldCurveMethod;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionCashSettlement.class)
public class OptionCashSettlementMeta implements RosettaMetaData<OptionCashSettlement> {

	@Override
	public List<Validator<? super OptionCashSettlement>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionCashSettlement>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.OptionCashSettlementChoiceRule()
		);
	}

	@Override
	public List<Function<? super OptionCashSettlement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionCashSettlement> validator() {
		return new org.isda.cdm.validation.OptionCashSettlementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionCashSettlement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionCashSettlementOnlyExistsValidator();
	}
}
