package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OptionDenomination;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionDenomination.class)
public class OptionDenominationMeta implements RosettaMetaData<OptionDenomination> {

	@Override
	public List<Validator<? super OptionDenomination>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.OptionDenominationOptionEntitlementDataRule(),
			new org.isda.cdm.validation.datarule.OptionDenominationNumberOfOptionsDataRule()
		);
	}

	@Override
	public List<Validator<? super OptionDenomination>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super OptionDenomination, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionDenomination> validator() {
		return new org.isda.cdm.validation.OptionDenominationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionDenomination, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionDenominationOnlyExistsValidator();
	}
}
