package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FxCashSettlement;
import org.isda.cdm.OptionCashSettlement;
import org.isda.cdm.OptionPhysicalSettlement;
import org.isda.cdm.OptionSettlement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionSettlement.class)
public class OptionSettlementMeta implements RosettaMetaData<OptionSettlement> {

	@Override
	public List<Validator<? super OptionSettlement>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.OptionSettlementCashSettlementTermsDataRule(),
			new org.isda.cdm.validation.datarule.OptionSettlementPhysicalSettlementTermsDataRule()
		);
	}

	@Override
	public List<Validator<? super OptionSettlement>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.OptionSettlementChoiceRule()
		);
	}

	@Override
	public List<Function<? super OptionSettlement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionSettlement> validator() {
		return new org.isda.cdm.validation.OptionSettlementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionSettlement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionSettlementOnlyExistsValidator();
	}
}
