package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.OptionStrike;
import org.isda.cdm.ReferenceSwapCurve;
import org.isda.cdm.Schedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionStrike.class)
public class OptionStrikeMeta implements RosettaMetaData<OptionStrike> {

	@Override
	public List<Validator<? super OptionStrike>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionStrike>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.OptionStrikeOneOfRule()
		);
	}

	@Override
	public List<Function<? super OptionStrike, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionStrike> validator() {
		return new org.isda.cdm.validation.OptionStrikeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionStrike, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionStrikeOnlyExistsValidator();
	}
}
