package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmericanExercise;
import org.isda.cdm.BermudaExercise;
import org.isda.cdm.EuropeanExercise;
import org.isda.cdm.OptionStyle;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionStyle.class)
public class OptionStyleMeta implements RosettaMetaData<OptionStyle> {

	@Override
	public List<Validator<? super OptionStyle>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionStyle>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.OptionStyleOneOfRule()
		);
	}

	@Override
	public List<Function<? super OptionStyle, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionStyle> validator() {
		return new org.isda.cdm.validation.OptionStyleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionStyle, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionStyleOnlyExistsValidator();
	}
}
