package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmericanExercise;
import org.isda.cdm.BermudaExercise;
import org.isda.cdm.BuyerSeller;
import org.isda.cdm.CalculationAgent;
import org.isda.cdm.EuropeanExercise;
import org.isda.cdm.ExerciseNotice;
import org.isda.cdm.OptionCashSettlement;
import org.isda.cdm.OptionalEarlyTermination;
import org.isda.cdm.OptionalEarlyTerminationAdjustedDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=OptionalEarlyTermination.class)
public class OptionalEarlyTerminationMeta implements RosettaMetaData<OptionalEarlyTermination> {

	@Override
	public List<Validator<? super OptionalEarlyTermination>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super OptionalEarlyTermination>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.OptionalEarlyTerminationChoiceRule()
		);
	}

	@Override
	public List<Function<? super OptionalEarlyTermination, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super OptionalEarlyTermination> validator() {
		return new org.isda.cdm.validation.OptionalEarlyTerminationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super OptionalEarlyTermination, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.OptionalEarlyTerminationOnlyExistsValidator();
	}
}
