package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.PartialExercise;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartialExercise.class)
public class PartialExerciseMeta implements RosettaMetaData<PartialExercise> {

	@Override
	public List<Validator<? super PartialExercise>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartialExercise>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PartialExerciseChoiceRule()
		);
	}

	@Override
	public List<Function<? super PartialExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartialExercise> validator() {
		return new org.isda.cdm.validation.PartialExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartialExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartialExerciseOnlyExistsValidator();
	}
}
