package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessUnit;
import org.isda.cdm.ContactInformation;
import org.isda.cdm.NaturalPerson;
import org.isda.cdm.Party;
import org.isda.cdm.PartyContactInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyContactInformation.class)
public class PartyContactInformationMeta implements RosettaMetaData<PartyContactInformation> {

	@Override
	public List<Validator<? super PartyContactInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyContactInformation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PartyContactInformationChoiceRule()
		);
	}

	@Override
	public List<Function<? super PartyContactInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyContactInformation> validator() {
		return new org.isda.cdm.validation.PartyContactInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyContactInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyContactInformationOnlyExistsValidator();
	}
}
