package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CustomisedWorkflow;
import org.isda.cdm.Party;
import org.isda.cdm.PartyCustomisedWorkflow;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PartyCustomisedWorkflow.class)
public class PartyCustomisedWorkflowMeta implements RosettaMetaData<PartyCustomisedWorkflow> {

	@Override
	public List<Validator<? super PartyCustomisedWorkflow>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PartyCustomisedWorkflow>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PartyCustomisedWorkflowChoiceRule()
		);
	}

	@Override
	public List<Function<? super PartyCustomisedWorkflow, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PartyCustomisedWorkflow> validator() {
		return new org.isda.cdm.validation.PartyCustomisedWorkflowValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PartyCustomisedWorkflow, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PartyCustomisedWorkflowOnlyExistsValidator();
	}
}
