package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CalculationPeriod;
import org.isda.cdm.Money;
import org.isda.cdm.PaymentCalculationPeriod;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PaymentCalculationPeriod.class)
public class PaymentCalculationPeriodMeta implements RosettaMetaData<PaymentCalculationPeriod> {

	@Override
	public List<Validator<? super PaymentCalculationPeriod>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.CalculationPeriodCalculationPeriodNumberOfDaysDataRule(),
			new org.isda.cdm.validation.datarule.FpMLIrd34DataRule()
		);
	}

	@Override
	public List<Validator<? super PaymentCalculationPeriod>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PaymentCalculationPeriodChoiceRule()
		);
	}

	@Override
	public List<Function<? super PaymentCalculationPeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PaymentCalculationPeriod> validator() {
		return new org.isda.cdm.validation.PaymentCalculationPeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PaymentCalculationPeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PaymentCalculationPeriodOnlyExistsValidator();
	}
}
