package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BusinessDayAdjustments;
import org.isda.cdm.Frequency;
import org.isda.cdm.LastRegularPaymentDate;
import org.isda.cdm.Offset;
import org.isda.cdm.PayRelativeToEnum;
import org.isda.cdm.PaymentDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PaymentDates.class)
public class PaymentDatesMeta implements RosettaMetaData<PaymentDates> {

	@Override
	public List<Validator<? super PaymentDates>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd35Cd31DataRule(),
			new org.isda.cdm.validation.datarule.PaymentDatesPaymentDaysOffsetDataRule(),
			new org.isda.cdm.validation.datarule.PaymentDatesDateRelativeToDataRule()
		);
	}

	@Override
	public List<Validator<? super PaymentDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PaymentDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PaymentDates> validator() {
		return new org.isda.cdm.validation.PaymentDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PaymentDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PaymentDatesOnlyExistsValidator();
	}
}
