package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Cashflow;
import org.isda.cdm.ExecutionQuantity;
import org.isda.cdm.PhysicalExercise;
import org.isda.cdm.Product;
import org.isda.cdm.Quantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PhysicalExercise.class)
public class PhysicalExerciseMeta implements RosettaMetaData<PhysicalExercise> {

	@Override
	public List<Validator<? super PhysicalExercise>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PhysicalExerciseQuantityDataRule()
		);
	}

	@Override
	public List<Validator<? super PhysicalExercise>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PhysicalExercise, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PhysicalExercise> validator() {
		return new org.isda.cdm.validation.PhysicalExerciseValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PhysicalExercise, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PhysicalExerciseOnlyExistsValidator();
	}
}
