package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PhysicalSettlementPeriod;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PhysicalSettlementPeriod.class)
public class PhysicalSettlementPeriodMeta implements RosettaMetaData<PhysicalSettlementPeriod> {

	@Override
	public List<Validator<? super PhysicalSettlementPeriod>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PhysicalSettlementPeriodBusinessDaysDataRule(),
			new org.isda.cdm.validation.datarule.PhysicalSettlementPeriodMaximumBusinessDaysDataRule()
		);
	}

	@Override
	public List<Validator<? super PhysicalSettlementPeriod>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PhysicalSettlementPeriodOneOfRule()
		);
	}

	@Override
	public List<Function<? super PhysicalSettlementPeriod, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PhysicalSettlementPeriod> validator() {
		return new org.isda.cdm.validation.PhysicalSettlementPeriodValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PhysicalSettlementPeriod, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PhysicalSettlementPeriodOnlyExistsValidator();
	}
}
