package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Lineage;
import org.isda.cdm.PortfolioState;
import org.isda.cdm.Position;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PortfolioState.class)
public class PortfolioStateMeta implements RosettaMetaData<PortfolioState> {

	@Override
	public List<Validator<? super PortfolioState>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PortfolioStateInitialisationDataRule()
		);
	}

	@Override
	public List<Validator<? super PortfolioState>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PortfolioState, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PortfolioState> validator() {
		return new org.isda.cdm.validation.PortfolioStateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PortfolioState, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PortfolioStateOnlyExistsValidator();
	}
}
