package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Contract;
import org.isda.cdm.Money;
import org.isda.cdm.Position;
import org.isda.cdm.PositionStatusEnum;
import org.isda.cdm.Product;
import org.isda.cdm.Quantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Position.class)
public class PositionMeta implements RosettaMetaData<Position> {

	@Override
	public List<Validator<? super Position>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PositionContractFormedDataRule()
		);
	}

	@Override
	public List<Validator<? super Position>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Position, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Position> validator() {
		return new org.isda.cdm.validation.PositionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Position, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PositionOnlyExistsValidator();
	}
}
