package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EligibleCollateral;
import org.isda.cdm.PostingObligationsElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PostingObligationsElection.class)
public class PostingObligationsElectionMeta implements RosettaMetaData<PostingObligationsElection> {

	@Override
	public List<Validator<? super PostingObligationsElection>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PostingObligationsElectionAsPermittedDataRule(),
			new org.isda.cdm.validation.datarule.PostingObligationsElectionEligibleCollateralDataRule()
		);
	}

	@Override
	public List<Validator<? super PostingObligationsElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PostingObligationsElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PostingObligationsElection> validator() {
		return new org.isda.cdm.validation.PostingObligationsElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PostingObligationsElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PostingObligationsElectionOnlyExistsValidator();
	}
}
