package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ActualPrice;
import org.isda.cdm.Price;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Price.class)
public class PriceMeta implements RosettaMetaData<Price> {

	@Override
	public List<Validator<? super Price>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PriceCleanNetPriceNetPriceDataRule()
		);
	}

	@Override
	public List<Validator<? super Price>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Price, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Price> validator() {
		return new org.isda.cdm.validation.PriceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Price, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PriceOnlyExistsValidator();
	}
}
