package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AllocationPrimitive;
import org.isda.cdm.ContractFormation;
import org.isda.cdm.ExecutionPrimitive;
import org.isda.cdm.ExercisePrimitive;
import org.isda.cdm.Inception;
import org.isda.cdm.ObservationPrimitive;
import org.isda.cdm.PrimitiveEvent;
import org.isda.cdm.QuantityChangePrimitive;
import org.isda.cdm.ResetPrimitive;
import org.isda.cdm.TermsChangePrimitive;
import org.isda.cdm.TransferPrimitive;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PrimitiveEvent.class)
public class PrimitiveEventMeta implements RosettaMetaData<PrimitiveEvent> {

	@Override
	public List<Validator<? super PrimitiveEvent>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super PrimitiveEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super PrimitiveEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PrimitiveEvent> validator() {
		return new org.isda.cdm.validation.PrimitiveEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PrimitiveEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PrimitiveEventOnlyExistsValidator();
	}
}
