package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Party;
import org.isda.cdm.ProcessAgentElection;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ProcessAgentElection.class)
public class ProcessAgentElectionMeta implements RosettaMetaData<ProcessAgentElection> {

	@Override
	public List<Validator<? super ProcessAgentElection>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ProcessAgentElectionApplicableDataRule(),
			new org.isda.cdm.validation.datarule.ProcessAgentElectionNotApplicableDataRule()
		);
	}

	@Override
	public List<Validator<? super ProcessAgentElection>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ProcessAgentElection, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ProcessAgentElection> validator() {
		return new org.isda.cdm.validation.ProcessAgentElectionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ProcessAgentElection, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProcessAgentElectionOnlyExistsValidator();
	}
}
