package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractualProduct;
import org.isda.cdm.ForeignExchange;
import org.isda.cdm.Index;
import org.isda.cdm.Loan;
import org.isda.cdm.Product;
import org.isda.cdm.Security;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Product.class)
public class ProductMeta implements RosettaMetaData<Product> {

	@Override
	public List<Validator<? super Product>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Product>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ProductOneOfRule()
		);
	}

	@Override
	public List<Function<? super Product, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Product> validator() {
		return new org.isda.cdm.validation.ProductValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Product, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ProductOnlyExistsValidator();
	}
}
