package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.PubliclyAvailableInformation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=PubliclyAvailableInformation.class)
public class PubliclyAvailableInformationMeta implements RosettaMetaData<PubliclyAvailableInformation> {

	@Override
	public List<Validator<? super PubliclyAvailableInformation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.PubliclyAvailableInformationSpecifiedNumberDataRule()
		);
	}

	@Override
	public List<Validator<? super PubliclyAvailableInformation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.PubliclyAvailableInformationChoiceRule()
		);
	}

	@Override
	public List<Function<? super PubliclyAvailableInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super PubliclyAvailableInformation> validator() {
		return new org.isda.cdm.validation.PubliclyAvailableInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super PubliclyAvailableInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.PubliclyAvailableInformationOnlyExistsValidator();
	}
}
