package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Quantity;
import org.isda.cdm.UnitEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Quantity.class)
public class QuantityMeta implements RosettaMetaData<Quantity> {

	@Override
	public List<Validator<? super Quantity>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Quantity>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.QuantityUnitChoiceRule()
		);
	}

	@Override
	public List<Function<? super Quantity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Quantity> validator() {
		return new org.isda.cdm.validation.QuantityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Quantity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.QuantityOnlyExistsValidator();
	}
}
