package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.RateObservation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RateObservation.class)
public class RateObservationMeta implements RosettaMetaData<RateObservation> {

	@Override
	public List<Validator<? super RateObservation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.RateObservationObservationWeightDataRule()
		);
	}

	@Override
	public List<Validator<? super RateObservation>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RateObservation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RateObservation> validator() {
		return new org.isda.cdm.validation.RateObservationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RateObservation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RateObservationOnlyExistsValidator();
	}
}
