package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.FloatingRateSpecification;
import org.isda.cdm.InflationRateSpecification;
import org.isda.cdm.RateSpecification;
import org.isda.cdm.Schedule;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RateSpecification.class)
public class RateSpecificationMeta implements RosettaMetaData<RateSpecification> {

	@Override
	public List<Validator<? super RateSpecification>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super RateSpecification>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.RateSpecificationOneOfRule()
		);
	}

	@Override
	public List<Function<? super RateSpecification, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RateSpecification> validator() {
		return new org.isda.cdm.validation.RateSpecificationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RateSpecification, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RateSpecificationOnlyExistsValidator();
	}
}
