package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.ReferenceInformation;
import org.isda.cdm.ReferenceObligation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferenceInformation.class)
public class ReferenceInformationMeta implements RosettaMetaData<ReferenceInformation> {

	@Override
	public List<Validator<? super ReferenceInformation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferenceInformation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ReferenceInformationChoiceRule()
		);
	}

	@Override
	public List<Function<? super ReferenceInformation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferenceInformation> validator() {
		return new org.isda.cdm.validation.ReferenceInformationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferenceInformation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferenceInformationOnlyExistsValidator();
	}
}
