package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Bond;
import org.isda.cdm.ConvertibleBond;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.Loan;
import org.isda.cdm.MortgageBackedSecurity;
import org.isda.cdm.ReferenceObligation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferenceObligation.class)
public class ReferenceObligationMeta implements RosettaMetaData<ReferenceObligation> {

	@Override
	public List<Validator<? super ReferenceObligation>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferenceObligation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ReferenceObligationChoice1ChoiceRule(),
			new org.isda.cdm.validation.choicerule.ReferenceObligationChoice2ChoiceRule()
		);
	}

	@Override
	public List<Function<? super ReferenceObligation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferenceObligation> validator() {
		return new org.isda.cdm.validation.ReferenceObligationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferenceObligation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferenceObligationOnlyExistsValidator();
	}
}
