package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.EntityTypeEnum;
import org.isda.cdm.LegalEntity;
import org.isda.cdm.ReferenceObligation;
import org.isda.cdm.ReferencePair;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferencePair.class)
public class ReferencePairMeta implements RosettaMetaData<ReferencePair> {

	@Override
	public List<Validator<? super ReferencePair>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferencePair>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ReferencePairChoiceRule()
		);
	}

	@Override
	public List<Function<? super ReferencePair, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferencePair> validator() {
		return new org.isda.cdm.validation.ReferencePairValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferencePair, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferencePairOnlyExistsValidator();
	}
}
