package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashSettlementTerms;
import org.isda.cdm.ConstituentWeight;
import org.isda.cdm.PhysicalSettlementTerms;
import org.isda.cdm.ProtectionTerms;
import org.isda.cdm.ReferencePair;
import org.isda.cdm.ReferencePoolItem;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReferencePoolItem.class)
public class ReferencePoolItemMeta implements RosettaMetaData<ReferencePoolItem> {

	@Override
	public List<Validator<? super ReferencePoolItem>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReferencePoolItem>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ReferencePoolItemChoiceRule()
		);
	}

	@Override
	public List<Function<? super ReferencePoolItem, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReferencePoolItem> validator() {
		return new org.isda.cdm.validation.ReferencePoolItemValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReferencePoolItem, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReferencePoolItemOnlyExistsValidator();
	}
}
