package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.RelatedAgreement;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RelatedAgreement.class)
public class RelatedAgreementMeta implements RosettaMetaData<RelatedAgreement> {

	@Override
	public List<Validator<? super RelatedAgreement>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.RelatedAgreementNotSpecifiedDataRule(),
			new org.isda.cdm.validation.datarule.RelatedAgreementSpecifiedDataRule()
		);
	}

	@Override
	public List<Validator<? super RelatedAgreement>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RelatedAgreement, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RelatedAgreement> validator() {
		return new org.isda.cdm.validation.RelatedAgreementValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RelatedAgreement, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RelatedAgreementOnlyExistsValidator();
	}
}
