package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.DateRange;
import org.isda.cdm.RelativeDates;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RelativeDates.class)
public class RelativeDatesMeta implements RosettaMetaData<RelativeDates> {

	@Override
	public List<Validator<? super RelativeDates>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.RelativeDatesPeriodSkipDataRule()
		);
	}

	@Override
	public List<Validator<? super RelativeDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RelativeDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RelativeDates> validator() {
		return new org.isda.cdm.validation.RelativeDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RelativeDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RelativeDatesOnlyExistsValidator();
	}
}
