package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableDate;
import org.isda.cdm.BusinessDayAdjustments;
import org.isda.cdm.CalculationPeriodDates;
import org.isda.cdm.InitialFixingDate;
import org.isda.cdm.Offset;
import org.isda.cdm.RelativeDateOffset;
import org.isda.cdm.ResetDates;
import org.isda.cdm.ResetFrequency;
import org.isda.cdm.ResetRelativeToEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ResetDates.class)
public class ResetDatesMeta implements RosettaMetaData<ResetDates> {

	@Override
	public List<Validator<? super ResetDates>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ResetDatesRateCutOffDaysOffsetDataRule(),
			new org.isda.cdm.validation.datarule.ResetFrequencyWeeklyDataRule(),
			new org.isda.cdm.validation.datarule.ResetFrequencyNotWeeklyDataRule()
		);
	}

	@Override
	public List<Validator<? super ResetDates>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ResetDates, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ResetDates> validator() {
		return new org.isda.cdm.validation.ResetDatesValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ResetDates, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResetDatesOnlyExistsValidator();
	}
}
