package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ContractState;
import org.isda.cdm.ResetPrimitive;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ResetPrimitive.class)
public class ResetPrimitiveMeta implements RosettaMetaData<ResetPrimitive> {

	@Override
	public List<Validator<? super ResetPrimitive>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ResetPrimitiveContractDataRule()
		);
	}

	@Override
	public List<Validator<? super ResetPrimitive>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super ResetPrimitive, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ResetPrimitive> validator() {
		return new org.isda.cdm.validation.ResetPrimitiveValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ResetPrimitive, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResetPrimitiveOnlyExistsValidator();
	}
}
