package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.NonNegativeQuantitySchedule;
import org.isda.cdm.QuantityMultiplier;
import org.isda.cdm.QuantityNotationEnum;
import org.isda.cdm.ResolvablePayoutQuantity;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ResolvablePayoutQuantity.class)
public class ResolvablePayoutQuantityMeta implements RosettaMetaData<ResolvablePayoutQuantity> {

	@Override
	public List<Validator<? super ResolvablePayoutQuantity>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.ResolvablePayoutQuantityQuantityMultiplierDataRule()
		);
	}

	@Override
	public List<Validator<? super ResolvablePayoutQuantity>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ResolvablePayoutQuantityChoice1ChoiceRule()
		);
	}

	@Override
	public List<Function<? super ResolvablePayoutQuantity, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ResolvablePayoutQuantity> validator() {
		return new org.isda.cdm.validation.ResolvablePayoutQuantityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ResolvablePayoutQuantity, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResolvablePayoutQuantityOnlyExistsValidator();
	}
}
