package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Resource;
import org.isda.cdm.ResourceLength;
import org.isda.cdm.ResourceTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Resource.class)
public class ResourceMeta implements RosettaMetaData<Resource> {

	@Override
	public List<Validator<? super Resource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Resource>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ResourceChoiceRule()
		);
	}

	@Override
	public List<Function<? super Resource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Resource> validator() {
		return new org.isda.cdm.validation.ResourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Resource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ResourceOnlyExistsValidator();
	}
}
