package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.ReturnAmount;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ReturnAmount.class)
public class ReturnAmountMeta implements RosettaMetaData<ReturnAmount> {

	@Override
	public List<Validator<? super ReturnAmount>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ReturnAmount>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ReturnAmountOneOfRule()
		);
	}

	@Override
	public List<Function<? super ReturnAmount, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ReturnAmount> validator() {
		return new org.isda.cdm.validation.ReturnAmountValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ReturnAmount, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ReturnAmountOnlyExistsValidator();
	}
}
