package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.RightsEvent;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=RightsEvent.class)
public class RightsEventMeta implements RosettaMetaData<RightsEvent> {

	@Override
	public List<Validator<? super RightsEvent>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.RightsEventIncludeCoolingOffLanguageDataRule(),
			new org.isda.cdm.validation.datarule.RightsEventCustomElectionDataRule()
		);
	}

	@Override
	public List<Validator<? super RightsEvent>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super RightsEvent, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super RightsEvent> validator() {
		return new org.isda.cdm.validation.RightsEventValidator();
	}
	
	@Override
	public ValidatorWithArg<? super RightsEvent, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.RightsEventOnlyExistsValidator();
	}
}
