package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Schedule;
import org.isda.cdm.Step;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Schedule.class)
public class ScheduleMeta implements RosettaMetaData<Schedule> {

	@Override
	public List<Validator<? super Schedule>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.FpMLIrd25DataRule()
		);
	}

	@Override
	public List<Validator<? super Schedule>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Schedule, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Schedule> validator() {
		return new org.isda.cdm.validation.ScheduleValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Schedule, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ScheduleOnlyExistsValidator();
	}
}
