package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.BuyerSeller;
import org.isda.cdm.DeliveryMethodEnum;
import org.isda.cdm.ExchangeRate;
import org.isda.cdm.Money;
import org.isda.cdm.SecurityLeg;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityLeg.class)
public class SecurityLegMeta implements RosettaMetaData<SecurityLeg> {

	@Override
	public List<Validator<? super SecurityLeg>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityLeg>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SecurityLegChoiceRule()
		);
	}

	@Override
	public List<Function<? super SecurityLeg, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityLeg> validator() {
		return new org.isda.cdm.validation.SecurityLegValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityLeg, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityLegOnlyExistsValidator();
	}
}
