package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Bond;
import org.isda.cdm.ConvertibleBond;
import org.isda.cdm.Equity;
import org.isda.cdm.ExchangeTradedFund;
import org.isda.cdm.MortgageBackedSecurity;
import org.isda.cdm.MutualFund;
import org.isda.cdm.Security;
import org.isda.cdm.Warrant;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Security.class)
public class SecurityMeta implements RosettaMetaData<Security> {

	@Override
	public List<Validator<? super Security>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Security>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SecurityOneOfRule()
		);
	}

	@Override
	public List<Function<? super Security, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Security> validator() {
		return new org.isda.cdm.validation.SecurityValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Security, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityOnlyExistsValidator();
	}
}
