package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.BondValuationModel;
import org.isda.cdm.SecurityValuationModel;
import org.isda.cdm.UnitContractValuationModel;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SecurityValuationModel.class)
public class SecurityValuationModelMeta implements RosettaMetaData<SecurityValuationModel> {

	@Override
	public List<Validator<? super SecurityValuationModel>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SecurityValuationModel>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SecurityValuationModelOneOfRule()
		);
	}

	@Override
	public List<Function<? super SecurityValuationModel, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SecurityValuationModel> validator() {
		return new org.isda.cdm.validation.SecurityValuationModelValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SecurityValuationModel, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SecurityValuationModelOnlyExistsValidator();
	}
}
