package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SensitivitiesEnum;
import org.isda.cdm.SensitivityMethodology;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SensitivityMethodology.class)
public class SensitivityMethodologyMeta implements RosettaMetaData<SensitivityMethodology> {

	@Override
	public List<Validator<? super SensitivityMethodology>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SensitivityMethodology>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SensitivityMethodologyOneOfRule()
		);
	}

	@Override
	public List<Function<? super SensitivityMethodology, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SensitivityMethodology> validator() {
		return new org.isda.cdm.validation.SensitivityMethodologyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SensitivityMethodology, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SensitivityMethodologyOnlyExistsValidator();
	}
}
