package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CashSettlementReferenceBanks;
import org.isda.cdm.InformationSource;
import org.isda.cdm.SettlementRateSource;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SettlementRateSource.class)
public class SettlementRateSourceMeta implements RosettaMetaData<SettlementRateSource> {

	@Override
	public List<Validator<? super SettlementRateSource>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SettlementRateSource>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SettlementRateSourceOneOfRule()
		);
	}

	@Override
	public List<Function<? super SettlementRateSource, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SettlementRateSource> validator() {
		return new org.isda.cdm.validation.SettlementRateSourceValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SettlementRateSource, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SettlementRateSourceOnlyExistsValidator();
	}
}
