package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.records.Date;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.Money;
import org.isda.cdm.SettlementTerms;
import org.isda.cdm.SettlementTypeEnum;
import org.isda.cdm.TransferSettlementEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SettlementTerms.class)
public class SettlementTermsMeta implements RosettaMetaData<SettlementTerms> {

	@Override
	public List<Validator<? super SettlementTerms>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SettlementTerms>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SettlementTermsAmountCurrencyChoiceRule(),
			new org.isda.cdm.validation.choicerule.SettlementTermsDateChoiceRule()
		);
	}

	@Override
	public List<Function<? super SettlementTerms, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SettlementTerms> validator() {
		return new org.isda.cdm.validation.SettlementTermsValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SettlementTerms, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SettlementTermsOnlyExistsValidator();
	}
}
