package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SimmCalculationCurrency;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SimmCalculationCurrency.class)
public class SimmCalculationCurrencyMeta implements RosettaMetaData<SimmCalculationCurrency> {

	@Override
	public List<Validator<? super SimmCalculationCurrency>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.SimmCalculationCurrencyBaseCurrencyDataRule(),
			new org.isda.cdm.validation.datarule.SimmCalculationCurrencyNotBaseCurrencyDataRule()
		);
	}

	@Override
	public List<Validator<? super SimmCalculationCurrency>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SimmCalculationCurrency, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SimmCalculationCurrency> validator() {
		return new org.isda.cdm.validation.SimmCalculationCurrencyValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SimmCalculationCurrency, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SimmCalculationCurrencyOnlyExistsValidator();
	}
}
