package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SimmException;
import org.isda.cdm.SimmExceptionEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SimmException.class)
public class SimmExceptionMeta implements RosettaMetaData<SimmException> {

	@Override
	public List<Validator<? super SimmException>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super SimmException>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.SimmExceptionOneOfRule()
		);
	}

	@Override
	public List<Function<? super SimmException, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SimmException> validator() {
		return new org.isda.cdm.validation.SimmExceptionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SimmException, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SimmExceptionOnlyExistsValidator();
	}
}
