package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SimmVersion;
import org.isda.cdm.SpecifiedSimmVersion;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SimmVersion.class)
public class SimmVersionMeta implements RosettaMetaData<SimmVersion> {

	@Override
	public List<Validator<? super SimmVersion>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.SimmVersionVersion1DataRule(),
			new org.isda.cdm.validation.datarule.SimmVersionVersion2DataRule()
		);
	}

	@Override
	public List<Validator<? super SimmVersion>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SimmVersion, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SimmVersion> validator() {
		return new org.isda.cdm.validation.SimmVersionValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SimmVersion, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SimmVersionOnlyExistsValidator();
	}
}
