package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AdjustableOrRelativeDate;
import org.isda.cdm.Money;
import org.isda.cdm.SimplePayment;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SimplePayment.class)
public class SimplePaymentMeta implements RosettaMetaData<SimplePayment> {

	@Override
	public List<Validator<? super SimplePayment>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.SimplePaymentPaymentAmountDataRule()
		);
	}

	@Override
	public List<Validator<? super SimplePayment>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SimplePayment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SimplePayment> validator() {
		return new org.isda.cdm.validation.SimplePaymentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SimplePayment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SimplePaymentOnlyExistsValidator();
	}
}
