package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.SingleValuationDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=SingleValuationDate.class)
public class SingleValuationDateMeta implements RosettaMetaData<SingleValuationDate> {

	@Override
	public List<Validator<? super SingleValuationDate>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.SingleValuationDateBusinessDaysDataRule()
		);
	}

	@Override
	public List<Validator<? super SingleValuationDate>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super SingleValuationDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super SingleValuationDate> validator() {
		return new org.isda.cdm.validation.SingleValuationDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super SingleValuationDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.SingleValuationDateOnlyExistsValidator();
	}
}
