package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Money;
import org.isda.cdm.StubFloatingRate;
import org.isda.cdm.StubValue;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=StubValue.class)
public class StubValueMeta implements RosettaMetaData<StubValue> {

	@Override
	public List<Validator<? super StubValue>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super StubValue>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.StubValueOneOfRule()
		);
	}

	@Override
	public List<Function<? super StubValue, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super StubValue> validator() {
		return new org.isda.cdm.validation.StubValueValidator();
	}
	
	@Override
	public ValidatorWithArg<? super StubValue, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.StubValueOnlyExistsValidator();
	}
}
