package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.AmendmentEffectiveDate;
import org.isda.cdm.PartyTerminationCurrency;
import org.isda.cdm.TerminationCurrencyAmendment;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=TerminationCurrencyAmendment.class)
public class TerminationCurrencyAmendmentMeta implements RosettaMetaData<TerminationCurrencyAmendment> {

	@Override
	public List<Validator<? super TerminationCurrencyAmendment>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.TerminationCurrencyAmendmentApplicableDataRule()
		);
	}

	@Override
	public List<Validator<? super TerminationCurrencyAmendment>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super TerminationCurrencyAmendment, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super TerminationCurrencyAmendment> validator() {
		return new org.isda.cdm.validation.TerminationCurrencyAmendmentValidator();
	}
	
	@Override
	public ValidatorWithArg<? super TerminationCurrencyAmendment, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TerminationCurrencyAmendmentOnlyExistsValidator();
	}
}
