package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Contract;
import org.isda.cdm.Execution;
import org.isda.cdm.Trade;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Trade.class)
public class TradeMeta implements RosettaMetaData<Trade> {

	@Override
	public List<Validator<? super Trade>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Trade>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.TradeOneOfRule()
		);
	}

	@Override
	public List<Function<? super Trade, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Trade> validator() {
		return new org.isda.cdm.validation.TradeValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Trade, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TradeOnlyExistsValidator();
	}
}
