package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Tranche;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Tranche.class)
public class TrancheMeta implements RosettaMetaData<Tranche> {

	@Override
	public List<Validator<? super Tranche>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.TrancheAttachmentPointDataRule(),
			new org.isda.cdm.validation.datarule.TrancheExhaustionPointDataRule(),
			new org.isda.cdm.validation.datarule.TrancheAttachmentPointExhaustionPointDataRule()
		);
	}

	@Override
	public List<Validator<? super Tranche>> choiceRuleValidators() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Function<? super Tranche, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Tranche> validator() {
		return new org.isda.cdm.validation.TrancheValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Tranche, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TrancheOnlyExistsValidator();
	}
}
