package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.CreditEvents;
import org.isda.cdm.Trigger;
import org.isda.cdm.TriggerTimeTypeEnum;
import org.isda.cdm.TriggerTypeEnum;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Trigger.class)
public class TriggerMeta implements RosettaMetaData<Trigger> {

	@Override
	public List<Validator<? super Trigger>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Trigger>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.TriggerChoice1ChoiceRule(),
			new org.isda.cdm.validation.choicerule.TriggerChoice2ChoiceRule()
		);
	}

	@Override
	public List<Function<? super Trigger, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Trigger> validator() {
		return new org.isda.cdm.validation.TriggerValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Trigger, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.TriggerOnlyExistsValidator();
	}
}
