package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.Basket;
import org.isda.cdm.SingleUnderlier;
import org.isda.cdm.Underlier;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=Underlier.class)
public class UnderlierMeta implements RosettaMetaData<Underlier> {

	@Override
	public List<Validator<? super Underlier>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super Underlier>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.UnderlierOneOfRule()
		);
	}

	@Override
	public List<Function<? super Underlier, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super Underlier> validator() {
		return new org.isda.cdm.validation.UnderlierValidator();
	}
	
	@Override
	public ValidatorWithArg<? super Underlier, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.UnderlierOnlyExistsValidator();
	}
}
