package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.MultipleValuationDates;
import org.isda.cdm.SingleValuationDate;
import org.isda.cdm.ValuationDate;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=ValuationDate.class)
public class ValuationDateMeta implements RosettaMetaData<ValuationDate> {

	@Override
	public List<Validator<? super ValuationDate>> dataRules() {
		return Arrays.asList(
		);
	}

	@Override
	public List<Validator<? super ValuationDate>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.ValuationDateOneOfRule()
		);
	}

	@Override
	public List<Function<? super ValuationDate, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super ValuationDate> validator() {
		return new org.isda.cdm.validation.ValuationDateValidator();
	}
	
	@Override
	public ValidatorWithArg<? super ValuationDate, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.ValuationDateOnlyExistsValidator();
	}
}
