package org.isda.cdm.meta;

import com.google.common.collect.ImmutableMultimap;
import com.google.common.collect.Multimap;
import com.rosetta.model.lib.annotations.RosettaMeta;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.qualify.QualifyResult;
import com.rosetta.model.lib.validation.Validator;
import com.rosetta.model.lib.validation.ValidatorWithArg;
import java.math.BigDecimal;
import java.time.ZonedDateTime;
import java.util.Arrays;
import java.util.List;
import java.util.function.Function;
import org.isda.cdm.WeightedAveragingObservation;


/**
 * @version 2.5.4
 */
@RosettaMeta(model=WeightedAveragingObservation.class)
public class WeightedAveragingObservationMeta implements RosettaMetaData<WeightedAveragingObservation> {

	@Override
	public List<Validator<? super WeightedAveragingObservation>> dataRules() {
		return Arrays.asList(
			new org.isda.cdm.validation.datarule.WeightedAveragingObservationObservationNumberDataRule(),
			new org.isda.cdm.validation.datarule.WeightedAveragingObservationWeightDataRule()
		);
	}

	@Override
	public List<Validator<? super WeightedAveragingObservation>> choiceRuleValidators() {
		return Arrays.asList(
			new org.isda.cdm.validation.choicerule.WeightedAveragingObservationChoiceRule()
		);
	}

	@Override
	public List<Function<? super WeightedAveragingObservation, QualifyResult>> getQualifyFunctions() {
		return Arrays.asList(
		);
	}
	
	@Override
	public Validator<? super WeightedAveragingObservation> validator() {
		return new org.isda.cdm.validation.WeightedAveragingObservationValidator();
	}
	
	@Override
	public ValidatorWithArg<? super WeightedAveragingObservation, String> onlyExistsValidator() {
		return new org.isda.cdm.validation.exists.WeightedAveragingObservationOnlyExistsValidator();
	}
}
