package org.isda.cdm.metafields;

import static java.util.Optional.ofNullable;

import com.rosetta.model.lib.process.*;
import com.rosetta.model.lib.path.RosettaPath;
import com.rosetta.model.lib.meta.FieldWithMeta;
import org.isda.cdm.*;
import com.rosetta.model.lib.RosettaModelObject;
import com.rosetta.model.lib.RosettaModelObjectBuilder;
import com.rosetta.model.lib.meta.RosettaMetaData;
import com.rosetta.model.lib.meta.BasicRosettaMetaData;
import com.rosetta.model.lib.records.Date;
import java.math.BigDecimal;

public class FieldWithMetaMasterConfirmationAnnexTypeEnum extends RosettaModelObject implements FieldWithMeta<MasterConfirmationAnnexTypeEnum>{
	private final MasterConfirmationAnnexTypeEnum value;
	private final MetaFields meta;
	private static BasicRosettaMetaData<FieldWithMetaMasterConfirmationAnnexTypeEnum> metaData = new BasicRosettaMetaData<>();
				
	@Override
	public RosettaMetaData<? extends FieldWithMetaMasterConfirmationAnnexTypeEnum> metaData() {
		return metaData;
	}
	
	private FieldWithMetaMasterConfirmationAnnexTypeEnum(FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder builder) {
		value = builder.getValue();
		meta = ofNullable(builder.getMeta()).map(MetaFields.MetaFieldsBuilder::build).orElse(null);
	}
	
	public MasterConfirmationAnnexTypeEnum getValue() {
		return value;
	}
	
	public MetaFields getMeta() {
		return meta;
	}
	
	public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder toBuilder() {
		FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder builder = new FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder();
		builder.setValue(value);
		builder.setMeta(meta);
		return builder;
	}
	
	public static FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder builder() {
		return new FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder();
	}
	
	@Override
	protected void process(RosettaPath path, Processor processor) {
		processRosetta(path.newSubPath("meta"), processor, MetaFields.class, meta, AttributeMeta.IS_META);
		processor.processBasic(path.newSubPath("value"), MasterConfirmationAnnexTypeEnum.class, value, this);
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int _result = 1;
		_result = prime * _result + ((meta == null) ? 0 : meta.hashCode());
		_result = prime * _result + ((value == null) ? 0 : value.hashCode());
		return _result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null || getClass() != obj.getClass())
			return false;
		FieldWithMetaMasterConfirmationAnnexTypeEnum other = (FieldWithMetaMasterConfirmationAnnexTypeEnum) obj;
		if (meta != null ? !meta.equals(other.meta) : other.meta!=null) return false;
		if (value != null ? !value.equals(other.value) : other.value!=null) return false;
		return true;
	}

	@Override
	public String toString() {
		return "FieldWithMetaMasterConfirmationAnnexTypeEnum {" +
			"value=" + this.value + ", " +
			"meta=" + this.meta + ", " +
		'}';
	}
	
	public static class FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder extends RosettaModelObjectBuilder{
		private MasterConfirmationAnnexTypeEnum  value;
		private MetaFields.MetaFieldsBuilder meta;
		
		public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder() {}
		
		@Override
		public RosettaMetaData<? extends FieldWithMetaMasterConfirmationAnnexTypeEnum> metaData() {
			return metaData;
		}
		
		public MasterConfirmationAnnexTypeEnum getValue() {
			return value;
		}
		
		public MetaFields.MetaFieldsBuilder getMeta() {
			return meta;
		}
		
		public MetaFields.MetaFieldsBuilder getOrCreateMeta() {
			return meta=ofNullable(meta).orElseGet(MetaFields::builder);
		}
		
		public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder setValue(MasterConfirmationAnnexTypeEnum value) {
			this.value = value;
			return this;
		}
		
		public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder setMeta(MetaFields meta) {
			this.meta = ofNullable(meta).map(MetaFields::toBuilder).orElse(null);
			return this;
		}
		
		public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder setMetaBuilder(MetaFields.MetaFieldsBuilder meta) {
			this.meta = meta;
			return this;
		}
		
		public FieldWithMetaMasterConfirmationAnnexTypeEnum build() {
			return new FieldWithMetaMasterConfirmationAnnexTypeEnum(this);
		}
		
		@Override
		public FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder prune() {
			return this;
		}
		
		@Override
		public boolean hasData() {
			return value!=null || value!=null;
		}
		
		@Override
		public void process(RosettaPath path, BuilderProcessor processor) {
			processRosetta(path.newSubPath("meta"), processor, MetaFields.class, meta, AttributeMeta.IS_META);
			processor.processBasic(path.newSubPath("value"), MasterConfirmationAnnexTypeEnum.class, value, this);
		}
		
		@Override
		public int hashCode() {
			final int prime = 31;
			int _result = 1;
			_result = prime * _result + ((meta == null) ? 0 : meta.hashCode());
			_result = prime * _result + ((value == null) ? 0 : value.hashCode());
			return _result;
		}
	
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null || getClass() != obj.getClass())
				return false;
			FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder other = (FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder) obj;
			if (meta != null ? !meta.equals(other.meta) : other.meta!=null) return false;
			if (value != null ? !value.equals(other.value) : other.value!=null) return false;
			return true;
		}
	
		@Override
		public String toString() {
			return "FieldWithMetaMasterConfirmationAnnexTypeEnumBuilder {" +
				"value=" + this.value + ", " +
				"meta=" + this.meta + ", " +
			'}';
		}
	}
}
